Fri Mar 17 13:28:04 1995  Ulrich Drepper  <drepper@ipd.info.uni-karlsruhe.de>

	* sysdeps/ieee754/ldbl2mpn.c (__mpn_extract_long_double):
	Handle 80-bit denormalized numbers correctly.

	* stdlib/strtod.c, stdlib/strtof.c, stdlib/strtold.c:
	[IMPLICIT_ONE,*_MAX_10_EXP_LOG]: not needed anymore.
	* stdlib/strtod.c (RETURN): Add parentheses around return value.
	(round_and_return): Correct handling of denormalized numbers.

	* stdio/fpioconst.[ch]: [LDBL_MAX_10_EXP_LOG]: don't use it.
	LAST_POW10 defines the maximal available exponent.

Thu Mar 16 00:04:41 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* locale/C-ctype.c: New correct data generated by drepper.

	* Rules: Don't use $(libc.a).

	Parsing of grouped numbers contributed by Ulrich Drepper.
	* stdlib/strtol.c (__strtol_internal): Renamed from strtol.  Take
 	new flag arg; if nonzero, parse locale-dependent thousands
 	grouping and interpret only the prefix that is correctly grouped.
	(strtol): Define this to call _strtol_internal with zero for the flag.
	Use a weak symbol for the definition.
	* stdlib/strtod.c (strtod, __strtod_internal): Likewise.
  	Check for the exponent of the number overflowing the float format.
	* stdlib/stdlib.h (__strtof, __strtold): Declarations removed.
	(__strto{f,d,ld,l,ul,q,uq}_internal): Declare these functions.
	[__OPTIMIZE__]: Define inline functions calling those.
	* stdlib/strtold.c (STRTOF): Set to strtold, not __strtold.
	(strtold): Remove weak alias.
	* stdlib/strtof.c (STRTOF): Set to strtof, not __strtof.
	(strtof): Remove weak alias.
	* stdlib/grouping.h: New file, written by drepper.
	* stdlib/Makefile (distribute): Add grouping.h.
	* stdio/vfscanf.c: Grok %' modifier to numeric conversions.  Call
 	__strtoX_internal with the grouping flag set iff the modifier is
 	present.

Wed Mar 15 00:40:54 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/generic/memchr.c: Fix typos: limit.h -> limits.h.

	* mach/Machrules: Produce static deps for all object flavors.
	[interface-library]: Remove all these variables and rules.
	($(interface-library)-routines): Define this variable.
	(extra-libs): Append $(interface-library) to this.
	* mach/Makefile (interface-library): Omit .a suffix.
	* hurd/Makefile: Likewise.

Tue Mar 14 23:40:31 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* stdio/internals.c (flushbuf): If !FLUSH_ONLY, don't skip out
 	early if no new data in buffer after priming.

Mon Mar 13 01:48:16 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Makerules (object-suffixes, libtypes): Move all these variables
 	to Makeconfig.
	* Makeconfig (object-suffixes, libtypes): Moved here from Makerules.

	* Makerules (build-extra-lib): New canned sequence.

	* sysdeps/mach/hurd/euidaccess.c: Include fcntl.h.  Declare ERR;
 	fix uses of FILE and PORT.  Remove bogus weak alias for `access'.

	* sysdeps/mach/hurd/dirfd.c: Include hurd/fd.h and errno.h.
	Add missing semicolon.
	* sysdeps/mach/hurd/opendir.c: Include hurd/fd.h.  Use a `struct
 	hurd_fd *' temp var, since DIRP->__fd is a `void *'.
	* sysdeps/mach/hurd/readdir.c: Include hurd/fd.h.

	* stdlib/wcstombs.c: #if 0 out code for non-ASCII chars until the
 	locale data format is implemented.

	* sysdeps/mach/hurd/i386/trampoline.c (_hurd_setup_sighandler):
 	Pass &__sigreturn on the stack to the trampoline code, so it is
 	not position-dependent.

	* stdio/printf_fp.c (NDEBUG): Define this to disable assert.
  	Don't include <stdarg.h>.
	(__printf_fp): Last arg ARGS is now `const void **const'; 
	dereference ARGS[0] instead of using va_arg.

	* locale/setlocale.c: In LC_ALL case, initialize CATEGORY before
 	loop to install data.

	* locale/loadlocale.c (_nl_category_num_items): Use _NL_ITEM_INDEX
 	to extract number from item code.
	(_nl_load_locale): Close the descriptor when finished.

	* malloc/realloc.c (_realloc_internal): Call _malloc_internal in
 	place of malloc.

	* time/tzfile.c (__tzfile_default): Initialize RULE_STDOFF to zero.

	* stdio/printf_fp.c (group_number): Cast *GROUPING to unsigned int
 	to avoid warning.
	* sysdeps/generic/sigset.h (__SIGSETFN): Cast result of sizeof to
 	int to avoid warning.

	Support building several flavors of objects and libraries.
	* Makerules (libtypes, object-suffixes): New variables.
	(libtype.*, CFLAGS-*, CPPFLAGS-*): New variables for each object
	suffix.
	(CFLAGS, CPPFLAGS): Append $(C{,CPP}FLAGS-$(suffix $@)).
	(%.so, %.po, %.go): New compilation rules for %.S, %.s, %.c.
	(close-check-inhibit-asm): Append a semicolon.
	(sysd-rules): Generate rules for each object suffix.
	(compile.S, compile.c): Always assume gcc.
	(OUTPUT_OPTION): Define unconditionally.
	(+make-deps): In generated rule, produce a dependent for each
	object suffix.
	(.SUFFIXES): Add $(object-suffixes) in place of .o.
	(.PRECIOUS): Make all suffix flavors precious.
	($(libc.a)): Target removed.
	(lib): Depend on each enabled libtype.
	(libobjs, objects, objs): Depend on all the enabled object flavors.
	(lib%.a): New pattern rule.
	[$(build-shared)=yes] (lib%.so: lib%_pic.a): New pattern rule.
	(stamp-$(subdir)): Rewritten to a pattern rule for stamp.%-$(subdir)
	to make one for each flavor; library dep rule likewise rewritten.
	($(libc.a)(__.SYMDEF)): Target replaced with one target for each
	flavor.
	(symdef.%): New pattern rule; helper for __.SYMDEF targets.
	(installed-libcs): New variable.
	(install): Depend on that instead of
	$(libdir)/lib$(libprefix)$(libc-name).a;
	that file's rule rewritten to make each enabled libtype.
	(install-lib.so): New variable, filters lib%.so from $(install-lib).
	(install-lib): Filter out lib%.so after setting install-lib.so.
	[$(build-shared)=yes] (install): Install $(install-lib.so).
	(common-mostlyclean): Remove all flavors of objects.
	* Makefile ($(libc.a)(__.SYMDEF)): Target removed.
	[$(build-shared)=yes] (lib): Depend on $(common-objpfx)libc.so.

Sun Mar 12 18:21:10 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/stub/ulimit.c: Don't include gnu-stabs.h.
	* sysdeps/stub/pause.c: Likewise.
	* sysdeps/stub/time.c: Likewise.

	* stdlib/mbtowc.c: #if 0 out code for non-ASCII chars until the
 	locale data format is implemented.
	* stdlib/wctomb.c: Likewise.

	* mach/Makefile ($(objpfx)errsystems.c): Reenable this rule; the
 	gcc bug is fixed.
	* mach/errsystems.c: File removed.

	* Makeconfig (libc.a): Variable removed.
	(+link): Don't use it.

	* configure.in (AC_ARG_ENABLE calls): Use $enableval instead of
 	assuming `yes'.

	* malloc/malloc.h (_malloc_internal, _realloc_internal): Declare these.
	* malloc/realloc.c (_realloc_internal): Renamed from realloc;
 	don't use __realloc_hook.
	(realloc): New function; call __realloc_hook ?: _realloc_internal.
	* malloc/malloc.c (_malloc_internal): Renamed from malloc;
	don't use __malloc_hook.
	(malloc): New function; call __malloc_hook ?: _malloc_internal.
	(initialize): Set up _heaplimit to cover the _heapinfo table.
	(morecore_recursing): New static variable.
	(morecore): If that is set, return null immediately.
	When growing the info table, before getting new core from the
 	system for it, set morecore_recursing and try moving _heapinfo
 	with _realloc_internal.  When that fails and we get new core, set
 	_heaplimit to cover the core for the new _heapinfo table.
	(register_heapinfo): New function.  Record the _heapinfo table's
	own blocks in that table and in the statistics variables.
	(initialize, _malloc_internal): Use it after allocating new table.

Fri Mar 10 22:26:28 1995  Jim Meyering  (meyering@comco.com)

	* sysdeps/generic/memchr.c: Remove ansidecl.h and clean up for use
	by other packages.
	[LONG_MAX <= LONG_MAX_32_BITS]: Don't compile 64-bit code.

Fri Mar 10 13:31:29 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* mach/errorlib.h (errors): Use const for decl.

	* time/tzfile.c (uc2ul, _uc2ul): Macros removed.
	(decode): New inline function; decode signed 32-bit integers, and
	sign-extend properly when long is longer than 32 bits.
	(__tzfile_read): Changed all uses of uc2ul to decode.
	Decode the transition times properly when sizeof (time_t) > 4.

	* stdio/printf.h: Doc fixes.  Don't #include <stddef.h>.
	(printf_function): Make last arg ARGS a vector of pointers instead of a
	pointer to va_list.

Fri Mar 10 13:46:25 1995  Ulrich Drepper  <drepper@ipd.info.uni-karlsruhe.de>

	* stdio/vfprintf.c [USE_IN_LIBIO] (PAD): Use return value of _IO_padn.
	(buffered_vfprintf): Remove line buffer when flush failed.

Fri Mar 10 00:04:55 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* time/tzfile.c (struct ttinfo): New member `isgmt'.
  	(__tzfile_read): Read isgmt flags for each type.
  	(__tzfile_default): When using TZDEFRULES DST rules, adjust
 	transition times according to the isstd and isgmt flags for the
 	types of each transition, and adjust each transition to point to
 	type index either 0 or 1.  Reset type indices 0 and 1 to describe
 	the user's settings.

Thu Mar  9 22:29:03 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* locale/categories.def (LC_CTYPE): Merge CLASS_EB and CLASS_EL
 	into just CLASS.  Add standard/optional flag to all items.

	* locale/localeinfo.h (_NL_CURRENT_DEFINE): Fix typo.

	* ctype/ctype.h [__BYTE_ORDER == __LITTLE_ENDIAN] (_ISbit):
 	Rearrange defn to satisfy compiler.

	* locale/localeinfo.h: Declare _nl_current.

	* configure.in: Use AC_CHECK_TOOL for CC, AR, RANLIB.  Accept args
 	--enable-shared, --enable-profile, --enable-omitfp; pass settings
 	through to config.make.
	* config.make.in (build-shared, build-profile, build-omitfp): New
 	config vars.

	* elf/elf.h (STN_UNDEF): Renamed to SHN_UNDEF (typo).
	(DT_NUM): New macro.

	* locale/nl_langinfo.c: Include errno.h and stddef.h.  Fix typos.

	* locale/lc-ctype.c (_nl_postload_ctype): Fix macro insanity.

	* locale/loadlocale.c (_nl_load_locale) [! MAP_COPY]: Define
 	MAP_COPY to MAP_PRIVATE.

Thu Mar  9 17:16:53 1995  Brendan Kehoe  (brendan@zen.org)

	* sysdeps/alpha/divrem.m4: Undefine `ret' to avoid the definition
	that's used inside the alpha sysdep.h.

	* sysdeps/alpha/__longjmp.c (__longjmp): Remove obsolete __NORETURN
	keyword.
	* sysdeps/alpha/__math.h (__copysign): Remove obsolete __CONSTVALUE.

	* configure.in: Match `osf*', not `osf1*'.
	* configure: Likewise.
	* sysdeps/unix/bsd/osf: Renamed from `sysdeps/unix/bsd/osf1'.

Wed Mar  8 13:38:13 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* posix/glob/configure.bat: Fixes from DJ.

	* time/backward, time/europe, time/northamerica, time/pacificnew,
	time/zdump.c, time/zic.c, time/tzfile.h, time/private.h,
	time/ialloc.c: Code and data updated from ADO's 95b.
	* time/emkdir.c: File removed.
	* time/Makefile (distribute, extra-objs, zic): Omit it.
	
	* time/localtime.c: Deansideclized.  Never #define __tzname et al
 	to non-__ names.

	* locale/lc-ctype.c (__ctype_tolower, __ctype_toupper): Use int *
 	instead of short int *.
	* ctype/ctype-info.c: Likewise.
	* ctype/ctype.h: Likewise.

	* locale/langinfo.h (_NL_CTYPE_CLASS): Use this (just one) instead
 	of EB and EL versions.

Mon Mar  6 12:34:56 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* ctype/ctype.h (_ISbit): New macro, defined dependent on byte order.
	(_IS* enum): Use _ISbit to produce values.

Sun Mar  5 19:40:13 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* locale/localeinfo.h: Rewritten for new locale system, using
	locale data files and with <langinfo.h> interface.
	* locale/setlocale.c: Rewritten to use locale data files.
	* langinfo.h: New file.
        * locale/langinfo.h: New file.
        * locale/nl_langinfo.c: New file.
        * locale/loadlocale.c: New file.
        * locale/lc-ctype.c: New file.
        * locale/lc-messages.c: New file.
        * locale/lc-monetary.c: New file.
        * locale/lc-numeric.c: New file.
        * locale/lc-time.c: New file.
        * locale/categories.def: New file.
	* locale/Makefile (headers): Remove localeinfo.h.
	(distribute): New variable; put localeinfo.h here, and categories.def.
	(routines): Add loadlocale.
	(categories): New variable.
	(aux): Use that to get C-category and lc-category.
	* ctype/ctype.h (_IS*): Use independent bits for all but _ISalnum.
	* ctype/ctype-info.c: For initial tables, use
	_nl_C_LC_CTYPE_{class,toupper,tolower} constant tables defined in
	locale/C-ctype.c. 
	* locale/C-ctype.c, locale/C-messages.c: New files.
 	* locale/C-monetary.c, locale/C-numeric.c, locale/C-time.c:
	Default "C" locale data updated for new locale system.
	* locale/C-collate.c: File removed.
        * locale/C-ctype_ct.c: File removed.
        * locale/C-ctype_mb.c: File removed.
        * locale/C-response.c: File removed.
	* locale/localeconv.c: Use _NL_CURRENT macro to access locale data.
	* stdio/printf_fp.c, stdio/vfprintf.c, stdio/vfscanf.c,
	  stdlib/strtod.c, time/asctime.c, time/strftime.c:
	Include ../locale/localeinfo.h and use _NL_CURRENT macro to access
	locale data.
	* time/localtime.c: Don't include <localeinfo.h>.
	* time/tzset.c: Don't use locale items for default TZ value or
	"GMT" string (use "UTC").

	* stdio/vfprintf.c [USE_IN_LIBIO] (PAD): Only call the function if
 	WIDTH>0; update DONE.

	* malloc/malloc.c (morecore): Fix last change to calculate by
 	blocks instead of bytes.

Fri Mar  3 12:24:52 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/generic/sys/mman.h (__mmap, __munmap): Declare these.
	* sysdeps/unix/sysv/irix4/sys/mman.h: Likewise.
	* sysdeps/unix/bsd/ultrix4/sys/mman.h: Likewise.
	* sysdeps/unix/bsd/osf1/sys/mman.h: Likewise.
	* sysdeps/unix/bsd/sun/sunos4/sys/mman.h: Likewise.
	* sysdeps/stub/munmap.c (munmap): Rename to __munmap, add weak
 	alias munmap.
	* sysdeps/unix/mman/munmap.S: Likewise.
	* sysdeps/mach/munmap.c: Likewise.
	* sysdeps/mach/hurd/mmap.c (mmap): Rename to __mmap, add weak
 	alias mmap.
	* sysdeps/unix/mman/mmap.S: Likewise.
	* sysdeps/unix/bsd/sun/sunos4/mmap.c: Likewise.
	* sysdeps/stub/mmap.c: Likewise.

	* sysdeps/unix/bsd/setsid.c: Use __getpgid instead of __getpgrp.

	* sysdeps/unix/dirfd.c: #undef dirfd before function defn.

Thu Mar  2 12:15:24 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* misc/search.h: Add missing semicolon.

	* sysdeps/unix/dirfd.c: Fix typo.

	* sysdeps/generic/sys/mman.h (mmap): Use __off_t instead of off_t
 	in decl.

	* stdio/vfscanf.c (%c): In no-assign case, fix loop to decrement
 	WIDTH before test.

Wed Mar  1 00:57:47 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* stdlib/strtod.c: Fixes from drepper.
	[IMPLICIT_ONE]: New macro, one for IEEE754 formats.
	* stdlib/strtold.c [IMPLICIT_ONE]: New macro, 0.
	* stdlib/strtof.c [IMPLICIT_ONE]: New macro, 1.

	* stdio/vfprintf.c: Correctly notice Z modifier.

	* misc/search.h: New file.
	* misc/Makefile (headers): Add search.h.
	* misc/insremque.c: Include search.h.
	(struct qelem): Type removed.

Mon Feb 27 07:00:57 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* elf/libelf.h: New file.
	* elf/elf_hash.c: New file.

Sun Feb 26 15:51:00 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* malloc/malloc.c (morecore): Account in NEWSIZE for the
 	malloc_info structures for each new block.

Sat Feb 25 02:17:52 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/kill.c: When the process has no message port
 	registered and we have its task port, translate a few signals to
 	task_suspend/task_resume/task_terminate.

Fri Feb 24 14:40:48 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* io/Makefile (routines): Add euidaccess.
	* sysdeps/mach/hurd/euidaccess.c: New file.
	* sysdeps/stub/euidaccess.c: New file.
	* posix/unistd.h [__USE_GNU] (euidaccess): Declare it.

	* dirent/Makefile (routines): Add dirfd.
	* sysdeps/stub/dirfd.c: New file.
	* sysdeps/unix/dirfd.c: New file.
	* sysdeps/unix/dirstream.h (_DIR_dirfd): New macro.
	* dirent/dirent.h (dirfd): Declare new function.  Define as macro
 	_DIR_dirfd if that is defined.
	* sysdeps/mach/hurd/dirstream.h (DIR): Replace `__port' member
 	with `void *__fd'.
	* sysdeps/mach/hurd/opendir.c: Use DIRP->__fd instead of DIRP->__port.
	Open the file with `open'; set FD_CLOEXEC on the fd.
	* sysdeps/mach/hurd/closedir.c: Likewise.
	* sysdeps/mach/hurd/readdir.c: Likewise.
	* sysdeps/mach/hurd/dirfd.c: New file.

	* posix/Makefile (glob/configure): Do cvs commit if there is a CVS
 	directory.
	(glob/ChangeLog): Likewise.

	* locale/locale.h (LC_*): Use small integers instead of bit masks.

	* stdio/bug4.c: Put temporary files in /tmp.
	* stdio/bug3.c: Likewise.
	* stdio/bug5.c: Likewise.
	* stdio/test-fseek.c: Likewise.
	* stdio/test-popen.c: Likewise.

Wed Feb 22 00:44:41 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* posix/glob/configure.in: Put AC_ISC_POSIX before AC_CONST.

	* libc-symbols.h (weak_symbol): New macro.

	* hurd/hurdsig.c (_hurd_internal_post_signal): Ignore preempter
 	elts with null handlers.

	* sysdeps/mach/hurd/i386/sigreturn.c: Restore the FPU state.

Tue Feb 21 21:53:30 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* stdlib/random.c (__srandom): Change algorithm used to populate
 	the state array.
	(randtbl): Recomputed with new algorithm.

	* sysdeps/sparc/Makefile [subdir=crypt] (crypt): Reset only if set
 	to original value of `crypt'.
	* sysdeps/unix/sysv/sysv4/solaris2/sparc/Makefile [subdir=crypt]
 	(crypt): New variable, set to crypt.solar.

Tue Feb 21 11:50:37 1995  Brendan Kehoe  (brendan@zen.org)

	* sysdeps/sparc/Makefile (routines): Reference `dotmul', not `mul'.

	* config.h.in: Put comment around ^L to pacify Solaris as here too.

Tue Feb 21 00:10:50 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* string/Makefile (distribute): Add pagecopy.h.
	* sysdeps/mach/pagecopy.h: New file.
	* sysdeps/generic/pagecopy.h: New file.
	* sysdeps/generic/memcpy.c: Include pagecopy.h; call
 	PAGE_COPY_FWD_MAYBE first when word aligned.
	* sysdeps/generic/memmove.c: Likewise.

	* misc/bsd-compat.c (longjmp, setjmp): Functions removed.
	(getpgrp): Call __getpgid instead of __getpgrp.

	* Makefile (subdirs): Add elf first.
	* elf/Makefile: New file.
	* elf/elf.h: New file.

	* sysdeps/unix/start.c (errno): Only define if it's not #define'd
 	as a macro.
	[! NO_UNDERSCORES]: Define `start' as a weak alias, not a symbol
	indirection.

	* csu/Makefile (crtstuff): New variable consolidates crti, crtn;
 	add crti_s, crtn_s.
	(install-lib, extra-objs, generated-, omit-deps): Use that.
	(initfini): New canned sequence, broken out of crt[in].s rule.
	(crt[in].s rule): Use it.
	(crt[in]_s.s): New rule.
	* csu/initfini.c (GLOBAL): New macro; define it to empty if undefined.
	(_init, _fini): Use GLOBAL as storage class.
	Add self reference to avoid GCC optimizing out the functions.

	* Makefile (headers): Remove $(stddef.h).
	* Makeconfig (stddef.h): Variable removed; now require gcc version
 	>= 2.2.
	* stddef.h: File removed.

Mon Feb 20 19:42:31 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/unix/bsd/ultrix4/mips/start.S: Remove `__environ'
 	definition.
	* sysdeps/unix/bsd/osf1/alpha/start.S: Likewise.

	* stdlib/strtod.c: Allow the string to start with a decimal point
 	without a leading zero.

Mon Feb 20 04:04:57 1995  Roland McGrath  <roland@duality.gnu.ai.mit.edu>

	* Makefile (subdirs): Put csu first.

	* sysdeps/mach/hurd/start.c: Include unistd.h for __environ decl.

	* Makeconfig [elf=yes] (+preinit, +postinit): New variables, set
 	to crt[in].o.
	(csu-objpfx): New variable.
	(+link): Use it to find start.o and $(+preinit), $(+postinit).

	* Rules (subdir_lib, all): Depend on objs.

	* config.h.in [HAVE_ELF || HAVE_GNU_LD]: Define HAVE_WEAK_SYMBOLS.

	* stdlib/strtod.c (PASTE, PASTE1): New helper macros; use these in
 	access to float.h macros.

	* misc/efgcvt.c: New file.
	* misc/Makefile (routines): Add efgcvt.

Sun Feb 19 20:10:43 1995  Brendan Kehoe  <brendan@zen.org>

	* sysdeps/sparc/mul.S: Renamed to `dotmul.S'.
        * sysdeps/sparc/Makefile (routines): Reference `dotmul.S', not `mul.S',
        to avoid a misreference that would override sysdeps/generic/mul.c.
	* sysdeps/sparc/Dist: Likewise.

Sun Feb 19 17:46:13 1995  Roland McGrath  <roland@duality.gnu.ai.mit.edu>

	* posix/Makefile (aux): Add environ.
	* posix/environ.c: New file.
	* sysdeps/unix/sparc/start.c: Remove __environ definition.
	* sysdeps/unix/start.c: Likewise.
	* sysdeps/unix/sysv/irix4/start.c: Likewise.
	* sysdeps/mach/hurd/start.c: Likewise.
	* sysdeps/mach/start.c: Likewise.
	* sysdeps/stub/start.c: Likewise.

	* sysdeps/unix/make_errlist.c: In produced program, test
 	HAVE_WEAK_SYMBOLS instead of HAVE_GNU_LD.
	* sysdeps/unix/sysv/sysv4/dup2.c: Fix #include of renamed file.
  	Remove extra weak alias.

	* sysdeps/unix/sysv/sysv4/sigaltstack.S: Fix unsquashed file name
 	in #include.

	* libc-symbols.h: Put comment around ^L to pacify Solaris as.

	* sysdeps/posix/Makefile (cded-objdir-includes): New variable
 	replaced cded-objdir-CPPFLAGS; transform $(+includes) instead of
 	$(CPPFLAGS).
	(mk-stdiolim): Use it instead.

Fri Feb 17 12:16:27 1995  Roland McGrath  <roland@duality.gnu.ai.mit.edu>

	* mach/mach_init.c (__vm_page_size): Make it initialized.  It does
 	not work to make a weak alias to a bss symbol.

	* stdio/Makefile (distribute): Remove mpn-copy.mk; add gen-mpn-copy.
	(tests): Add test-fwrite.
	* stdio/test-fwrite.c: New file.

	* stdlib/stdlib.h [__USE_GNU]: Declare strtof, strtold, __strtof,
 	__strtold.

	* Makefile (autoconf-it): New canned sequence.  Do cvs commit if
 	there is a CVS directory.
	(configure, %/configure): Use $(autoconf-it) for cmds.
	* Make-dist: Likewise.
	* sysdeps/mach/hurd/Makefile (errlist.c, errnos.h): Do cvs commit
 	if there is a CVS directory.
	* sysdeps/sparc/Makefile (divrem output): Likewise.
	* sysdeps/alpha/Makefile (divrem output): Likewise.
	* Makerules ($(gpl2lgpl)): Likewise.

	* Makerules (rule to install lib%.a from $(install-lib)): Fix
 	patsubst to elide ranlib for $(non-lib.a).

	* stdio/tst-printf.c: Enable FP tests.  Add some new tests from rfg.

Thu Feb 16 04:06:06 1995  Roland McGrath  <roland@duality.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/mig-reply.c: Add weak aliases to non-__ names.
	* mach/mig-dealloc.c: Add weak alias mig_deallocate.

Wed Feb 15 13:34:01 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/hurd/signal.h (HURD_MSGPORT_RPC): Take new arg
 	DEALLOC_REFPORT; deallocate the refport after use only if it
 	evaluates to nonzero.
	* sysdeps/mach/hurd/kill.c: Pass DEALLOC_REFPORT arg of one.
	* hurd/hurdkill.c: Pass DEALLOC_REFPORT arg of zero.

	* hurd/hurdsig.c (abort_rpcs): Take new arg int *STATE_CHANGE; set
 	*STATE_CHANGE to indicate whether or not we changed *STATE and it
 	should be committed to the thread.
	(abort_all_rpcs): Take new arg LIVE; if nonzero and abort_rpcs changes
	state for a thread, do thread_set_state on that thread.  Don't use
 	SS->intr_port for collecting reply ports, it is not safe to
 	clobber that when suspending; instead, alloca a temporary array.
	(_hurd_internal_post_signal): Pass LIVE flag to abort_all_rpcs:
	zero when dying, one when suspending.  Pass new arg to abort_rpcs.

	* sysdeps/mach/hurd/stdio_init.c: Don't lock the file descriptor;
 	HURD_FD_PORT_USE will.  Don't use critical sections around
 	HURD_FD_PORT_USE invocations.

	* sysdeps/mach/hurd/stdio_init.c: Don't make pipes/FIFOs unbuffered.
	* sysdeps/posix/stdio_init.c: Likewise.

Tue Feb 14 03:01:12 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/hurd/fd.h (_hurd_fd_get): Don't do critical section
 	locking; don't leave the descriptor locked on return.
	(HURD_FD_PORT_USE): Don't expect _hurd_fd_get to return the fd locked.
	Use a critical section around locking the descriptor.
	Check for an empty descriptor and return EBADF.
	* sysdeps/mach/hurd/dup2.c: Likewise.
	* sysdeps/mach/hurd/fcntl.c: Likewise.
	Use HURD_FD_PORT_USE macro for RPCs.
	* sysdeps/mach/hurd/sysd-stdio.c: Don't lock the descriptor before
 	using HURD_FD_PORT_USE.
	* sysdeps/mach/hurd/defs.c (init_stdio): Don't expect _hurd_fd_get
 	to lock the descriptor.
	* sysdeps/mach/hurd/stdio_init.c: Use critical sections while
 	locking the descriptor.
	* sysdeps/mach/hurd/fdopen.c: Likewise.
	* hurd/fd-close.c: Likewise.
	Don't expect the descriptor to be locked on entry.
	Check for empty descriptor and return EBADF.

	Factor ctty RPC code for SIGTTIN/SIGTTOU generation out into
	new functions _hurd_ctty_input and _hurd_ctty_output, each
	called with (io_t port, io_t ctty, error_t (*rpc) (io_t)).
	* hurd/ctty-input.c: New file.
	* hurd/ctty-output.c: New file.
	* hurd/Makefile (dtable): Add ctty-input and ctty-output.
	* hurd/fd-read.c: Use _hurd_ctty_input.
	* hurd/fd-write.c: Use _hurd_ctty_output.
	* sysdeps/mach/hurd/ioctl.c: Likewise.
	* hurd/hurd/fd.h (_hurd_ctty_input, _hurd_ctty_output): Declare them.

Mon Feb 13 11:36:12 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* stdio/vfscanf.c (%e, %f, %g): Use strtod, __strtold, or __strtof
 	as appropriate to the type.

	* sysdeps/ieee754/huge_val.h (__huge_val_t): New macro to avoid
 	repeating the union.
	(HUGE_VAL, __huge_val): Use it.
	[__USE_GNU] (HUGE_VALf, HUGE_VALl): New macros, along with
	analogous macros to HUGE_VAL's: __huge_val[fl]_t, __HUGE_VAL[fl]_bytes.
	* stdlib/strtold.c (FLOAT_HUGE_VAL): Define this to HUGE_VALl.
	(STRTOF): Set to __strtold; define strtold as weak alias.
	* stdlib/strtof.c (FLOAT_HUGE_VAL): Define this to HUGE_VALf.
	(STRTOF): Set to __strtof; define strtof as weak alias.

	* sysdeps/ieee754/ieee754.h (union ieee754_float): New type.
	(IEEE754_FLOAT_BIAS): New macro.

	* sysdeps/ieee754/mpn2ldbl.c: Fix typos.

	* stdlib/testmb.c: Add tests from rfg for using normal chars as
 	multibyte chars.

	* hurd/hurdmalloc.c (malloc_init): Add self reference to avoid not
 	only the `defined but not used' warning, but also to avoid GCC
 	optimizing out the entire function (!).

	* stdlib/wctomb.c: Include ctype.h.

	* Makerules (install-lib-non.a): Don't include $(non-lib.a).

	* hurd/hurdmalloc.c: Include string.h; #define bcopy using memcpy.

Sat Feb 11 04:05:29 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* stdio/printf_fp.c: Include "fpioconst.h".
	(_tens_p): Table moved to fpioconst.c, renamed to _fpioconst_pow10.
	(__printf_fp): All references changed.
	Don't bother computing THOUSANDS_SEP if GROUPING is empty.
	(group_number): Use memmove instead of memcpy, since operands overlap.
	* stdio/fpioconst.c: New file, tables broken out of stdio/printf_fp.c.
	* stdio/fpioconst.h: New file, header declaring the table data.
	* stdio/Makefile (aux): Add fpioconst.
	(distribute): Add fpioconst.h.
	* stdlib/strtod.c: Complete rewrite from drepper.
	* stdlib/strtof.c: New file.
	* stdlib/strtold.c: New file.
	* stdlib/Makefile (routines): Add strtof, strtold.
	* stdio/Makefile (routines): Add mpn2flt, mpn2dbl, mpn2ldbl.
	* sysdeps/stub/mpn2flt.c: New file.
	* sysdeps/stub/mpn2dbl.c: New file.
	* sysdeps/stub/mpn2ldbl.c: New file.
	* sysdeps/ieee754/mpn2flt.c: New file.
	* sysdeps/ieee754/mpn2dbl.c: New file.
	* sysdeps/ieee754/mpn2ldbl.c: New file.

	* Makerules (install-lib.a): Don't filter out $(non-lib.a).
	($(install-lib.a) in $(libdir) rule): Elide ranlib command when $@
	appears in $(non-lib.a).

Fri Feb 10 17:20:14 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* stdlib/wctomb.c: A normal ASCII character translates to itself.
	* stdlib/mbtowc.c: Likewise.

Thu Feb  9 03:55:55 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* setjmp/setjmp.h (longjmp, _longjmp, __longjmp, siglongjmp):
 	Remove `const' from prototypes.
	* sysdeps/m68k/__longjmp.c: Likewise.
	* setjmp/longjmp.c: Likewise.
	* sysdeps/i386/__longjmp.c: Likewise.

	* sysdeps/posix/tempname.c: Increment *IDX at beginning of loop,
 	so when we return a name, it is incremented past the value that
 	produces that same name.

	* stdio/fgets.c (fgets): Change `size_t' to `int' in prototype.  Sigh.
	* stdio/stdio.h (fgets): Likewise.

	* stdio/vfprintf.c (printf_unknown): Print ' for INFO->group flag.

	* hurd/fd-write.c: Don't clobber ERR with the msg_sig_post call
 	when it's EBACKGROUND; we need to notice that it is EBACKGROUND
 	and retry the RPC.
	* hurd/fd-read.c: Likewise.

Wed Feb  8 05:01:11 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/sysdep.h (FATAL_PREPARE_INCLUDE): New macro, set to
 	<mach/mig_support.h>.
	* assert/assert-perr.c [FATAL_PREPARE_INCLUDE]: Include it.
	* assert/assert.c: Likewise.
	* sysdeps/posix/libc_fatal.c: Likewise.

Tue Feb  7 12:17:58 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* stdio/stdio.h [__STRICT_ANSI__] (stdin, stdout, stderr): Define
	as macros, to satisfy ANSI pedants.

	* stdio/internals.c (flushbuf): When there is no new data after
 	priming the stream, return without writing out the buffer.
	* stdio/Makefile (tests): Add bug7.
	* stdio/bug7.c: New file.

	* io/sys/stat.h (S_IFIFO, S_IFLNK, S_IFSOCK, S_ISFIFO, S_ISLNK,
 	S_ISSOCK): Define only if the corresponding underlying __S_IF* macro
 	is defined.

	* stdio/getdelim.c: Decrement COPY after getting a char from __fillbf.

	* stdio/Makefile (tests): Add errnobug.
	* stdio/errnobug.c: New file.

	* mach/mig_strncpy.c: Include string.h.

	* sysdeps/mach/sysdep.h: Don't #include <mach/mig_support.h>.  Its
 	inlines cause trouble for files defining global register variables.

	* stdio/vfprintf.c: Use _strerror_internal for %m.

	* sysdeps/ieee754/dbl2mpn.c: Fixes from drepper for 64-bit limbs.

	* stdio/printf.h (struct printf_info): New member `group', for %' flag.
	* stdio/printf-prs.c (parse_printf_format): Grok %' flag and set flag.
	* stdio/vfprintf.c (group_number): New function.
	(vfprintf): Support %' flag for integer formats, by calling
	group_number after formatting the number in WORK.
	* stdio/printf_fp.c (guess_grouping, group_number): New functions.
	(__printf_fp): Implement `group' flag using them.

	* Makefile (include sysd-dirs): Protect with ifndef avoid-generated.
	(parent-clean): Remove sysd-rules, not sysdirs.
	(distclean): Pass avoid-generated=yes to submake.
	(distclean-1): Remove $(sysdep-$(distclean-1)).

	* Makerules (objects, objs): Depend on $(extra-objs) too.
	(include sysd-Makefile): Protect with ifndef avoid-generated.

	* Makeconfig (+defines, +gnu-stabs, gnu-as): Variables removed.
	(CPPFLAGS): Use $(defines) in place of $(+defines).
	Replace -D_LIBC with -include $(..)libc-symbols.h.

	* stdio/freopen.c: Set seen bit before calling fclose.

Mon Feb  6 18:34:40 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/setpriority.c: Keep track of numbers of
 	successes and each kind of failure.  Return EPERM or EACCES only
 	if every task failed that way.

	* sysdeps/mach/hurd/getpriority.c: Handle out of band buffers
 	correctly.

	* sysdeps/mach/hurd/ptrace.c (PTRACE_ATTACH, PTRACE_DETACH): Stop
 	or resume the process after frobbing.

	* hurd/hurdsig.c: Use spin lock operations on sigstate locks
	throughout.
	(_hurd_thread_sigstate): Don't lock the sigstate lock.
	(_hurd_internal_post_signal): New subfunction `mark_pending'; replace
	repeated sequences with calls to it.  Don't expect the sigstate
 	lock to be held on entry; lock it just before examining sigaction.
  	In handler case, check SS->critical_section after calling
 	abort_rpcs; if set, mark the signal pending and resume the thread.
	* hurd/hurd/signal.h (_hurd_self_sigstate_unlocked): Function removed.
	(_hurd_self_sigstate): Don't lock the sigstate lock.
	(HURD_EINTR_RPC): Call _hurd_self_sigstate instead of
	_hurd_self_sigstate_unlocked.
	* hurd/msgportdemux.c: Don't expect _hurd_self_sigstate to lock
	the sigstate lock.
	* hurd/hurdexec.c: Use spin lock operations on sigstate lock.
  	Don't expect _hurd_self_sigstate to lock it.  Fix critical section
 	locking.
	* hurd/hurd-raise.c: Likewise.
	* sysdeps/mach/hurd/sigsuspend.c: Likewise. 
	* sysdeps/mach/hurd/sigpending.c: Likewise.
	* sysdeps/mach/hurd/sigaltstack.c: Likewise.
	* sysdeps/mach/hurd/sigaction.c: Likewise.
	* sysdeps/mach/hurd/sigprocmask.c: Likewise.
	* hurd/fd-write.c: Likewise.
	* hurd/fd-read.c: Likewise.
	* sysdeps/mach/hurd/ioctl.c: Likewise.
	* sysdeps/mach/hurd/fork.c: Likewise.
	* sysdeps/mach/hurd/i386/sigreturn.c: Likewise.
	* sysdeps/mach/hurd/mips/sigreturn.c: Likewise.  
	* sysdeps/mach/hurd/alpha/sigreturn.c: Likewise.
	* hurd/hurdmsg.c (get_int): Likewise.

	* stdio/vfprintf.c: Include stddef.h.  Fix typos in libio code.

	* stdio/vfprintf.c (__pad): Function renamed to __printf_pad, made
 	global.
	(PAD): Caller changed.
	* stdio/printf_fp.c (__pad): Function removed.
	(PAD): Use __printf_pad instead.

Sun Feb  5 17:59:53 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	Merged new FP printer by Ulrich Drepper.
	* stdio/printf_fp.c: Rewrite by drepper.
	* stdio/Makefile (routines): Add ldbl2mpn.
	* sysdeps/ieee754/ieee754.h (union ieee754_double): Add `ieee_nan'
 	member.
	(union ieee854_long_double): New type, from drepper.
	(IEEE754_DOUBLE_BIAS, IEEE854_LONG_DOUBLE_BIAS): New macros.
	* sysdeps/ieee754/ldbl2mpn.c: New file, by drepper.
	* sysdeps/stub/ldbl2mpn.c: New file.
	* math/Makefile (routines): Add isinfl and isnanl.
	* sysdeps/ieee754/isinfl.c: New file.
	* sysdeps/stub/isinfl.c: New file.
	* sysdeps/ieee754/isnanl.c: New file.
	* sysdeps/stub/isnanl.c: New file.

	* malloc/malloc.c (__malloc_extra_blocks): New variable.
	(malloc): When getting more core, get __malloc_extra_blocks extra;
	put the new block at the end of the free list and let the next loop
 	iteration use the initial portion of it.
	* malloc/free.c (_free_internal): Account for twice
 	__malloc_extra_blocks in deciding if we have so much extra memory
 	we should return it to the system.
	* malloc/malloc.h (__malloc_extra_blocks): Declare it.
	* posix/glob.c (prefix_array, glob_pattern_p): Remove gratuitous
 	const in parameter decl.

	* sysdeps/unix/mips/sysdep.h (ENTRY): Add `.ent' directive.

Fri Feb  3 18:15:52 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* munch.awk (EXTERNS): Print decls using __P instead of EXFUN.

	* sysdeps/mips/setjmp_aux.c: Use ENV[0].__jmpbuf[0].
	* sysdeps/mips/bsd-_setjmp.S: Use `li' insn instead of `move'.
	* sysdeps/mips/bsd-setjmp.S: Likewise.
	* sysdeps/mips/__longjmp.c: Remove obsolete __NORETURN keyword.
	* sysdeps/mach/hurd/mips/trampoline.c (_hurd_setup_sighandler):
 	Use `long int' for sigcode.  Use explicit register numbers instead
 	of names.
	(_hurdsig_rcv_interrupted_p): Use _hurdsig_catch_fault.
	* sysdeps/mach/hurd/mips/exc2signal.c: Use `long int' for sigcode.

Thu Feb  2 20:06:45 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/hurdmalloc.c: Remove bogus bcopy decl.

	* mach/mig_strncpy.c: Add missing `const' in prototype.  Rewritten
 	using __stpncpy.

	* io/ftw.c (ftw, ftw_dir): Treat ENOENT from stat like EACCES.

	* stdio/vfprintf.c: Set PREC to zero for %. without following digit.

Tue Jan 31 13:49:57 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* mach/mig_strncpy.c: Include mach.h instead of string.h.  Use
 	vm_size_t instead of size_t for arg and return types.

	* mach/mach_init.c: Don't declare __mig_init; mach/mig_support.h
 	already does.

Mon Jan 30 00:33:35 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* set-hooks.h (RUN_HOOK): Dereference PTR properly.

	* configure.in (friendly stddef.h check): Write override defn for
 	`stddef.h' Make variable.
	(AC_LINK_FILES): Use `echo ...` to avoid " " appearing nonempty.

	* configure.in (host_os=sysv4*|solaris2*): Set elf=yes.

	* Rules ($(objpfx)dummy.o): Write an empty function, not just an
 	empty file.

	* sysdeps/sparc/Makefile (sysdep-realclean): New variable.

Sat Jan 28 03:38:56 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Makefile (distribute): Remove gnu-stabs.h; add libc-symbols.h.

	* sysdeps/mach/sysdep.h [ASSEMBLER]: Protect include of
 	mach/machine/syscall_sw.h with this.

Fri Jan 27 18:33:20 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/hurd/signal.h: Include <hurd/msg.h>, and <spin-lock.h>
 	instead of <lock-intern.h>.
	(struct hurd_sigstate): Member `lock' changed to a `spin_lock_t'.
	(_hurd_critical_section_lock): Use spin lock operators.
	Don't hold the sigstate lock, unlock it after setting the flag.
	(_hurd_critical_section_unlock): Take the sigstate lock
	to clear the flag; while holding it, check pending signals.  After
 	unlocking, sig_post ourselves if there were pending signals.

	* hurd/catch-exc.c (_S_catch_exception_raise): Don't take the
 	sigstate lock.  If it is locked, clear SS->critical_section and
 	SS->context, and unlock it.

	* sysdeps/mach/sysdep.h (EXT, LEXT): New macros.

	* set-init.c (__libc_init) [HAVE_ELF]: Run _init and atexit (_fini).
	* munch-tmpl.c: Likewise.

	* mach/Makefile (routines): Don't filter out syscall_% from
 	$(mach-syscalls).

Fri Jan 27 17:53:49 1995  Jim Meyering  (meyering@comco.com)

	* posix/fnmatch.c: Declare errno if it's not defined.
	That's simpler than testing #if !defined(__GNU_LIBRARY__)
	&& !defined(STDC_HEADERS).

Fri Jan 27 15:40:29 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* csu/Makefile: New file.
	* csu/initfini.c: New file.
	* Makefile (+other_dirs): Add csu.
	(+init): Variable renamed to libc-init.  All references changed.
	(aux): Remove start.
	(install-lib): Variable removed.
	(crt0.o, Mcrt1.o  crt1.o): Targets removed.

	* mach/Machrules (static deps of RPC_*.o): Add $(..)libc-symbols.h
	and $(objpfx)config.h.
	(static deps of RPC alias *.o): Removed.

	* sysdeps/unix/sysv/sysv4/solaris2/sparc/sysdep.h [ASSEMBLER]:
 	Protect macros with this.
	* sysdeps/unix/bsd/osf1/alpha/sysdep.h: Likewise.
	* sysdeps/unix/bsd/sequent/i386/sysdep.h: Likewise.
	* sysdeps/unix/bsd/vax/sysdep.h: Likewise.
	* sysdeps/unix/bsd/sun/m68k/sysdep.h: Likewise.
	* sysdeps/unix/bsd/sony/newsos/m68k/sysdep.h: Likewise.
	* sysdeps/unix/mips/sysdep.h: Likewise.

Thu Jan 26 00:02:01 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Makerules (compile.[Sc]): Match gcc in $(CC) better.
	(BUILD_CFLAGS): Instead of $(config-defines), use -include config.h.

	* hurd/intr-rpc.awk: Emit weak alias.

	* sysdeps/unix/bsd/sun/sunos4/wait4.c: Call getpgrp instead of
 	__getpgrp.

	* sysdeps/unix/bsd/hp/m68k/sysdep.h [ASSEMBLER]: Protect macros with
 	this.
	* sysdeps/unix/i386/sysdep.h: Likewise.
	* sysdeps/unix/sparc/sysdep.h: Likewise.

	* io/ftw.c: Avoid `ret' as variable name.
	* posix/glob.c: Likewise.

	* ctype/ctype.h (_ISalpha): Define as its own bit.
	* locale/C-ctype_ct.c (__ctype_b_C): Set _ISalpha bit in all letters.

	* stdlib/exit.c [HAVE_GNU_LD]: Protect #include "set-hooks.h" and
 	DEFINE_HOOK with this.

Wed Jan 25 00:45:56 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/hurdinit.c: Use DECLARE_HOOK instead of `extern DEFINE_HOOK'.
	* mach/spin-solid.c (spin_lock_solid): Define as weak alias to __name.
	* mach/shortcut.awk: Emit weak alias.
	* mach/spin-lock.c: Add weak aliases for all spin-lock.h functions.
	* mach/mach_init.c (mach_init, vm_page_size): Defin weak aliases for
 	__ names.
	* mach/Makefile (lock): Remove spin-syms.
	(routines): Remove __ names, vm_page_size, msgserver_t.
	($(mach-syscalls) rule): Generate files without __, add weak alias.
	Remove symbol alias file rule.
	($(mach-shortcuts) rule): Likewise.
	[!mach-shortcuts] (user-interfaces): Filter out mach/mach4 too.
	* mach/Machrules (if-calls.c): Variable and rule removed.
	(interface-headers): Don't add $($(if)-calls).
	(transform-user-stub): Define to add weak alias.
	* set-hooks.h: Use new libc-symbols.h set access macros.
	* time/Makefile (routines): Remove __ names.
	(aux): Variable removed.
	* hurd/Makefile: Likewise.
	* sysdeps/unix/start.c (environ): Define as weak alias for __environ.
	(data_start): Define as weak alias for __data_start.
	* sysdeps/mach/hurd/start.c: Likewise.
	* sysdeps/unix/sparc/start.c: Likewise.
	* sysdeps/unix/make_errlist.c: Emit weak aliases for sys_nerr and
 	sys_errlist.
	* sysdeps/mach/hurd/errlist.awk: Likewise.
	* sysdeps/unix/bsd/osf1/alpha/start.S (environ): Define as weak
 	alias for __environ.
	* sysdeps/unix/bsd/ultrix4/mips/start.S: Likewise.
	* sysdeps/stub/setdomain.c: Use new stub_warning macro.
	* sysdeps/stub/getdomain.c: Likewise.
	* sysdeps/stub/vhangup.c: Likewise.
	* sysdeps/stub/swapon.c: Likewise.
	* sysdeps/stub/sendmsg.c: Likewise.
	* sysdeps/stub/recvmsg.c: Likewise.
	* sysdeps/stub/acct.c: Likewise.
	* sysdeps/stub/isinf.c: Likewise.  Add weak alias isinf for __isinf.
	* sysdeps/mach/hurd/_exit.c: Remove obsolete __NORETURN keyword.
	* sysdeps/posix/libc_fatal.c: Likewise.
	* sysdeps/i386/abort.c: Likewise.
	* sysdeps/i386/__longjmp.c: Likewise.
	* sysdeps/generic/make_siglist.c: Emit defn always for
 	_sys_siglist.  Emit weak alias to sys_siglist.
	* sysdeps/generic/atan.c: Remove obsolete __CONSTVALUE keyword.
	* sysdeps/ieee754/log10.c: Likewise.
	* time/difftime.c: Likewise.
	* stdlib/random.c (srand): Define as weak alias for __srandom.
	* stdlib/exit.c: Remove obsolete __NORETURN keyword.  Use set-hooks
 	macros for __libc_atexit.
	* stdlib/Makefile (routines): Remove __random, srand.
	* stdio/gets.c: Use new link_warning macro instead of old
 	warn_references.
	* stdio/Makefile (routines): Remove __ names.
	(aux): Remove syms-stdio.
	* socket/Makefile (routines): Added e on getpeernam and getsocknam.
	* setjmp/longjmp.c: Remove obsolete __NORETURN keyword.
	* setjmp/Makefile (routines): Remove _longjmp, siglongjmp.
	* setjmp/setjmp.h: Replace __NORETURN keyword with __attribute__ uses.
	* stdio/stdio.h: Likewise.
	* misc/Makefile (routines): Remove __ names.
	(aux): Remove data_start.
	* sysdeps/mach/hurd/defs.c: Don't include gnu-stabs.h.
	* sysdeps/mach/hurd/brk.c: Likewise.
	* hurd/hurdid.c: Likewise.
	* hurd/hurdpid.c: Likewise.
	* hurd/openport.c: Likewise.
	* hurd/hurdsock.c: Likewise.
	* hurd/hurdsig.c: Likewise.
	* hurd/hurdrlimit.c: Likewise.
	* hurd/hurdmalloc.c: Likewise.
	* hurd/dtable.c: Likewise.
	* hurd/setauth.c: Likewise.
	* misc/progname.c: Likewise.
	* misc/init-misc.c: Likewise.
	* sysdeps/generic/vfork.c: Likewise.
	* sysdeps/unix/bsd/init-posix.c: Likewise.
	* math/math.h: Replace __CONSTVALUE keyword with __attribute__ uses.
	* time/time.h: Likewise.
	* math/Makefile (routines): Remove __ names.
	* io/Makefile: Likewise.
	* termios/Makefile: Likewise.
	* resource/Makefile: Likewise.
	* signal/Makefile: Likewise.
	* dirent/Makefile: Likewise.
	* assert/assert.h: Replace __NORETURN keyword with __attribute__
 	uses.  Functions return void and macros deal with this.
	* assert/assert-perr.c: Remove obsolete __NORETURN keyword.
  	Return void.  Don't include gnu-stabs.h.
	* assert/assert.c: Likewise.
	* posix/Makefile (routines): Remove __ names, setpgrp.  Add
 	getpgid.
	(aux): Remove environ.
	* stdlib/stdlib.h (abort, exit): Replace __NORETURN keyword with
 	__attribute__ use.
	* posix/unistd.h (_exit): Likewise.
	(__getpgrp, __setpgrp): Declarations removed.
	(__getpgid, getpid): Declare these.

	* configure.in (host_os=gnuelf|linuxelf): Set elf=yes.  Do AC_SUBST
 	for gnu_ld, gnu_as, elf, and weak.  Call AC_LINK_FILEES on
 	$libc_link_{sources,dests}.
	* sysdeps/unix/configure.in: Remove __ from file names.  Don't
 	create files, just add to libc_link_{dests,sources}.

	* config.make.in (gnu-as, gnu-ld, elf, weak-symbols): New variables.

	* config.h.in: Add #undefs used by sysdeps configures.

	* sysdeps/unix/sysv/sysv4/Makefile (sysdep_routines): Removed
 	__setpgid, __getpgid.
	* sysdeps/unix/sysv/sco3.2.4/setpgid.c: Included file was renamed
 	from setpgrp.c.
	* sysdeps/unix/sysv/sco3.2.4/getpgid.c: Included file was renamed
 	from __getpgrp.c.
	* sysdeps/unix/bsd/getpgrp.c: File removed.
	* sysdeps/generic/getpgrp.c: Moved from sysdeps/stub/getpgrp.c.
	Call __getpgid with zero.
	* sysdeps/stub/setpgid.c: Renamed __setpgrp to __setpgid, added
 	weak aliases setpgid and setpgrp.
	* sysdeps/unix/sysv/irix4/setpgid.S: Likewise.
	* sysdeps/unix/common/setpgid.S: Likewise.
	* sysdeps/mach/hurd/setpgid.c: Likewise.
	* sysdeps/unix/sysv/sysv4/setpgid.c: Likewise.
	Use subcall 5 to __pgrpsys.
	* sysdeps/stub/getpgid.c: Renamed __getpgrp to __getpgid, added
 	weak alias getpgid.
	* sysdeps/mach/hurd/getpgid.c: Likewise.
	* sysdeps/unix/sysv/irix4/getpgid.S: Likewise.
	* sysdeps/unix/common/getpgid.S: Likewise.
	* sysdeps/unix/sysv/sysv4/getpgid.c: Likewise.
	Use subcall 4 to __pgrpsys.
	* sysdeps/stub/__getpgrp.c: Renamed to getpgid.c.
	* sysdeps/unix/sysv/sysv4/__getpgrp.c: Renamed to getpgid.c.
	* sysdeps/unix/sysv/sco3.2.4/__getpgrp.c: Renamed to getpgid.c.
	* sysdeps/unix/sysv/irix4/__getpgrp.S: Renamed to getpgid.S.
	* sysdeps/unix/common/__getpgrp.S: Renamed to getpgid.S.
	* sysdeps/mach/hurd/__getpgrp.c: Renamed to getpgid.c.
	* sysdeps/stub/setpgrp.c: Renamed to setpgid.c.
	* sysdeps/unix/sysv/sysv4/setpgrp.c: Renamed to setpgid.c.
	* sysdeps/unix/sysv/sco3.2.4/setpgrp.c: Renamed to setpgid.c.
	* sysdeps/unix/sysv/irix4/setpgrp.S: Renamed to setpgid.S.
	* sysdeps/unix/common/setpgrp.S: Renamed to setpgid.S.
	* sysdeps/mach/hurd/setpgrp.c: Renamed to setpgid.c.

	* sysdeps/unix/bsd/hp/m68k/getdents.S: Included file was renamed
 	from __getdents.S.

	* sysdeps/posix/defs.c: Don't include gnu-stabs.h.
	* sysdeps/stub/sigpending.c: Use new libc-symbols.h macro for stub
 	warning.
	* sysdeps/stub/fexecve.c: Likewise.
	* sysdeps/stub/fchdir.c: Likewise.
	* sysdeps/stub/fchflags.c: Likewise.
	* sysdeps/stub/chflags.c: Likewise.

	* sysdeps/m68k/__longjmp.c: Remove __NORETURN; it's obsolete.
	* sysdeps/generic/abort.c: Likewise.
	* sysdeps/ieee754/ldexp.c: Remove __CONSTVALUE; it's obsolete.

	* hurd/hurdioctl.c: Include hurd/ioctl.h.
	(_hurd_ioctl_handler_lists): Define this set.
	(_hurd_lookup_ioctl_handler): New function.
	* hurd/hurd/fd.h: ioctl handler stuff moved to hurd/ioctl.h.
	* hurd/hurd/ioctl.h: New file, broken out of hurd/fd.h.
	(_hurd_lookup_ioctl_handler): Declare it.
	(ioctl_handler_t): New typedef.  Use it throughout.
	* sysdeps/mach/hurd/ioctl.c: Include hurd/ioctl.h.
	(_hurd_ioctl_handler_lists): Don't define.
	(__ioctl): Call _hurd_lookup_ioctl_handler.

	* stdlib/strtol.c (maxquad): Make this const.
	[__GNUC__ == 2 && __GNUC_MINOR__ < 7]: Only use maxquad in this case.

	* posix/glob/configure.in: Put AC_AIX and AC_MINIX early, before
 	any compile tests.

	* sysdeps/mach/hurd/setitimer.c (timer_thread): Call
 	__msg_sig_post_request, not __sig_post_request.

	* misc/getusersh.c: Renamed to getusershell.c.
	* sysdeps/stub/sethostnam.c: Renamed to sethostname.c.
	* sysdeps/unix/inet/sethostnam.S: Renamed to sethostname.S.
	* sysdeps/unix/sysv/sysv4/sethostnam.c: Renamed to sethostname.c.
	* sysdeps/mach/hurd/sethostnam.c: Renamed to sethostname.c.

Tue Jan 24 00:14:30 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/stub/settod.c: Renamed to settimeofday.c.
	* sysdeps/unix/bsd/settod.S: Renamed to settimeofday.c.
	* sysdeps/unix/sysv/settod.c: Renamed to settimeofday.c.
	* sysdeps/mach/hurd/settod.c: Renamed to settimeofday.c.
	* sysdeps/stub/setitmr.c: Renamed to setitimer.c.
	* sysdeps/unix/common/setitmr.S: Renamed to setitimer.S.
	* sysdeps/mach/hurd/setitmr.c: Renamed to setitimer.c.
	* sysdeps/posix/fpathcon.c: Renamed to fpathconf.c.
	* sysdeps/stub/fpathcon.c: Renamed to fpathconf.c.
	* sysdeps/unix/sysv/irix4/fpathcon.c: Renamed to fpathconf.c.
	* sysdeps/stub/getprio.c: Renamed to getpriority.c.
	* sysdeps/unix/sysv/irix4/getprio.c: Renamed to getpriority.c.
	* sysdeps/unix/common/getprio.S: Renamed to getpriority.S.
	* sysdeps/mach/hurd/getprio.c: Renamed to getpriority.c.
	* sysdeps/stub/setprio.c: Renamed to setpriority.c.
	* sysdeps/unix/sysv/irix4/setprio.c: Renamed to setpriority.c.
	* sysdeps/unix/common/setprio.S: Renamed to setpriority.S.
	* sysdeps/mach/hurd/setprio.c: Renamed to setpriority.c.
	* sysdeps/stub/getpeernam.c: Renamed to getpeername.c.
	* sysdeps/unix/inet/getpeernam.S: Renamed to getpeername.S.
	* sysdeps/unix/sysv/linux/getpeernam.S: Renamed to getpeername.S.
	* sysdeps/mach/hurd/getpeernam.c: Renamed to getpeername.c.
	* sysdeps/stub/getsocknam.c: Renamed to getsockname.c.
	* sysdeps/unix/inet/getsocknam.S: Renamed to getsockname.S.
	* sysdeps/unix/sysv/linux/getsocknam.S: Renamed to getsockname.S.
	* sysdeps/mach/hurd/getsocknam.c: Renamed to getsockname.c.
	* sysdeps/stub/sigaltstk.c: Renamed to sigaltstack.c.
	* sysdeps/unix/bsd/bsd4.4/sigaltstk.S: Renamed to sigaltstack.S.
	* sysdeps/unix/sysv/sysv4/sigaltstk.S: Renamed to sigaltstack.S.
	* sysdeps/mach/hurd/sigaltstk.c: Renamed to sigaltstack.c.

	* sysdeps/mach/hurd/i386/sigreturn.c: Call __msg_sig_post instead
 	of __sig_post.
	* sysdeps/mach/hurd/sigsuspend.c: Likewise.
	* sysdeps/mach/hurd/kill.c: Likewise.
	* sysdeps/mach/hurd/sigprocmask.c: Likewise.

	* misc/sys/cdefs.h (__NORETURN, __CONSTVALUE): Macros removed.
	[!__GNUC__ || __GNUC__<2] (__attribute__): Define to empty.

	* sysdeps/stub/remove.c: New file.
	* sysdeps/posix/remove.c: New file.

Mon Jan 23 03:26:09 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* time/mktime.c [weak_alias] (timelocal): Define as weak alias for
 	mktime.
	* mach/mig_strncpy.c (mig_strncpy): Define as weak alias for
 	__mig_strncpy.
	* mach/msg-destroy.c: Renamed from __msg_dest.c.
	(mach_msg_destroy): Define as weak alias for __mach_msg_destroy.
	* mach/setup-thread.c (mach_setup_thread): Define as weak alias.
	* time/tzset.c (tzname, daylight, timezone): Define as weak
	aliases for __ names.
	* hurd/hurdkill.c (hurd_sig_post): Define as weak alias.
	* hurd/hurdlookup.c: Add weak aliases for non-__ names.
	* Makefile (+init): Test $(gnu-ld)=yes, not for $(+gnu-stabs)
	being defined.

Sun Jan 22 15:19:51 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* string/Makefile (routines): Remove __ names, index, rindex, and
	bcmp.
	* sysdeps/alpha/strchr.c [weak_alias] (index): Define as weak
	alias for strchr.
	* sysdeps/generic/strchr.c: Likewise.
	* sysdeps/generic/strrchr.c [weak_alias] (rindex): Define as weak
	alias for strrchr.
	* sysdeps/generic/memcmp.c [weak_alias] (bcmp): Define as weak
	alias for memcmp.

	* malloc/free.c (cfree): Define this function, with weak_alias if
	available, otherwise a C function.
	* malloc/Makefile (gmalloc-routines): Remove cfree.

Sat Jan 21 08:08:58 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* stdio/fseek.c: Do move bufp by O when that puts it exactly at
	get_limit.  This has the effect of no-op'ing properly for zero.

	* configure.in: Add AC_CONFIG_HEADER(config.h).
	(--with-elf, --with-weak-symbols): Grok these and define HAVE_*.
	* config.h.in: New file.

	* setjmp/longjmp.c: Add weak aliases _longjmp, siglongjmp.
	All code converted to use weak symbols, defined in the files which
	define the real code (with the __ names, the non-__ names are weak).
	All old symbol alias files removed.
	Many files renamed to remove __ prefix since there is now just
	the one file for both the __ and non-__ name for each function.
	* libc-symbols.h: New file.
	* set-hooks.h: Use libc-symbols.h macros for accessing symbol
	sets.
	* gnu-stabs.h: Prepend #error this file is obsolete.
	* sysdeps/ieee754/ldexp.c: Add weak aliases scalb and __scalb.
	* sysdeps/stub/__access.c: Renamed to access.c; added weak alias
	access.
	* sysdeps/unix/common/__access.S: Likewise.
	* sysdeps/mach/hurd/__access.c: Likewise.
	* sysdeps/stub/__adjtime.c: Renamed to adjtime.c; added weak alias
	adjtime.
	* sysdeps/unix/common/__adjtime.S: Likewise.
	* sysdeps/mach/__adjtime.c: Likewise.
	* sysdeps/mach/hurd/__adjtime.c: Likewise.
	* sysdeps/stub/__brk.c: Renamed to brk.c; added weak alias brk.
	* sysdeps/unix/bsd/sun/m68k/__brk.S: Likewise.
	* sysdeps/unix/bsd/vax/__brk.S: Likewise.
	* sysdeps/unix/bsd/hp/m68k/__brk.S: Likewise.
	* sysdeps/unix/bsd/osf1/alpha/__brk.S: Likewise.
	* sysdeps/unix/i386/__brk.S: Likewise.
	* sysdeps/unix/sparc/__brk.S: Likewise.
	* sysdeps/unix/mips/__brk.S: Likewise.
	* sysdeps/mach/hurd/__brk.c: Likewise.
	* sysdeps/standalone/__brk.c: Likewise.
	* sysdeps/stub/__chdir.c: Renamed to chdir.c; added weak alias chdir.
	* sysdeps/unix/__chdir.S: Likewise.
	* sysdeps/mach/hurd/__chdir.c: Likewise.
	* sysdeps/stub/__chmod.c: Renamed to chmod.c; added weak alias chmod.
	* sysdeps/unix/__chmod.S: Likewise.
	* sysdeps/mach/hurd/__chmod.c: Likewise.
	* sysdeps/stub/__chown.c: Renamed to chown.c; added weak alias chown.
	* sysdeps/unix/__chown.S: Likewise.
	* sysdeps/mach/hurd/__chown.c: Likewise.
	* sysdeps/stub/__close.c: Renamed to close.c; added weak alias close.
	* sysdeps/unix/__close.S: Likewise.
	* sysdeps/mach/hurd/__close.c: Likewise.
	* sysdeps/standalone/__close.c: Likewise.
	* sysdeps/generic/__copysign.c: Renamed to copysign.c; added weak
	alias copysign.
	* sysdeps/ieee754/__copysign.c: Likewise.
	* sysdeps/alpha/__copysign.c: Likewise.
	* sysdeps/ieee754/__drem.c: Renamed to drem.c; added weak alias drem.
	* sysdeps/m68k/fpu/__drem.c: Likewise.
	* sysdeps/stub/__drem.c: Likewise.
	* sysdeps/posix/__dup.c: Renamed to dup.c; added weak alias dup.
	* sysdeps/stub/__dup.c: Likewise.
	* sysdeps/unix/__dup.S: Likewise.
	* sysdeps/posix/__dup2.c: Renamed to dup2.c; added weak alias dup2.
	* sysdeps/stub/__dup2.c: Likewise.
	* sysdeps/unix/sysv/sysv4/__dup2.c: Likewise.
	* sysdeps/unix/sysv/irix4/__dup2.c: Likewise.
	* sysdeps/unix/common/__dup2.S: Likewise.
	* sysdeps/mach/hurd/__dup2.c: Likewise.
	* sysdeps/stub/__execve.c: Renamed to execve.c; added weak alias
	execve.
	* sysdeps/unix/__execve.S: Likewise.
	* sysdeps/mach/hurd/__execve.c: Likewise.
	* sysdeps/generic/__expm1.c: Renamed to expm1.c; added weak alias
	expm1.
	* sysdeps/m68k/fpu/__expm1.c: Likewise.
	* sysdeps/stub/__fchmod.c: Renamed to fchmod.c; added weak alias
	fchmod.
	* sysdeps/unix/common/__fchmod.S: Likewise.
	* sysdeps/mach/hurd/__fchmod.c: Likewise.
	* sysdeps/stub/__fchown.c: Renamed to fchown.c; added weak alias
	fchown.
	* sysdeps/unix/common/__fchown.S: Likewise.
	* sysdeps/mach/hurd/__fchown.c: Likewise.
	* sysdeps/stub/__fcntl.c: Renamed to fcntl.c; added weak alias fcntl.
	* sysdeps/unix/__fcntl.S: Likewise.
	* sysdeps/mach/hurd/__fcntl.c: Likewise.
	* math/__finite.c: Renamed to finite.c; added weak alias finite.
	* sysdeps/posix/__flock.c: Renamed to flock.c; added weak alias flock.
	* sysdeps/stub/__flock.c: Likewise.
	* sysdeps/unix/bsd/__flock.S: Likewise.
	* sysdeps/mach/hurd/__flock.c: Likewise.
	* hurd/__fopenport.c: Renamed to fopenport.c; added weak alias
	fopenport.
	* sysdeps/stub/__fork.c: Renamed to fork.c; added weak alias fork.
	* sysdeps/unix/__fork.S: Likewise.
	* sysdeps/unix/bsd/osf1/alpha/__fork.S: Likewise.
	* sysdeps/unix/i386/__fork.S: Likewise.
	* sysdeps/unix/sparc/__fork.S: Likewise.
	* sysdeps/unix/mips/__fork.S: Likewise.
	* sysdeps/mach/hurd/__fork.c: Likewise.
	* sysdeps/posix/__fpathcon.c: Renamed to fpathcon.c; added weak
	alias fpathconf.
	* sysdeps/stub/__fpathcon.c: Likewise.
	* sysdeps/unix/sysv/irix4/__fpathcon.c: Likewise.
	* sysdeps/stub/__fstat.c: Renamed to fstat.c; added weak alias fstat.
	* sysdeps/unix/__fstat.S: Likewise.
	* sysdeps/unix/sysv/sysv4/i386/__fstat.S: Likewise.
	* sysdeps/mach/hurd/__fstat.c: Likewise.
	* stdio/__getdelim.c: Renamed to getdelim.c; added weak alias
	getdelim.
	* sysdeps/stub/__getdents.c: Renamed to getdents.c; added weak
	alias getdents.
	* sysdeps/unix/__getdents.c: Likewise.
	* sysdeps/unix/bsd/sun/__getdents.S: Likewise.
	* sysdeps/unix/bsd/hp/m68k/__getdents.S: Likewise.
	* sysdeps/unix/bsd/ultrix4/__getdents.S: Likewise.
	* sysdeps/unix/bsd/bsd4.4/__getdents.S: Likewise.
	* sysdeps/unix/bsd/osf1/alpha/__getdents.S: Likewise.
	* sysdeps/unix/sysv/__getdents.c: Likewise.
	* sysdeps/mach/hurd/__getdents.c: Likewise.
	* hurd/__getdport.c: Renamed to getdport.c; added weak alias getdport.
	* sysdeps/posix/__getdtsz.c: Renamed to getdtsz.c; added weak
	alias getdtablesize.
	* sysdeps/stub/__getdtsz.c: Likewise.
	* sysdeps/unix/bsd/__getdtsz.S: Likewise.
	* sysdeps/unix/sysv/sysv4/__getdtsz.c: Likewise.
	* sysdeps/mach/hurd/__getdtsz.c: Likewise.
	* sysdeps/stub/__getegid.c: Renamed to getegid.c; added weak alias
	getegid.
	* sysdeps/unix/__getegid.S: Likewise.
	* sysdeps/mach/hurd/__getegid.c: Likewise.
	* sysdeps/stub/__geteuid.c: Renamed to geteuid.c; added weak alias
	geteuid.
	* sysdeps/unix/__geteuid.S: Likewise.
	* sysdeps/mach/hurd/__geteuid.c: Likewise.
	* sysdeps/stub/__getgid.c: Renamed to getgid.c; added weak alias
	getgid.
	* sysdeps/unix/__getgid.S: Likewise.
	* sysdeps/mach/hurd/__getgid.c: Likewise.
	* sysdeps/stub/__getgrps.c: Renamed to getgroups.c; added weak
	alias getgroups.
	* sysdeps/unix/bsd/sequent/i386/__getgrps.S: Likewise.
	* sysdeps/unix/sysv/sco3.2.4/__getgrps.c: Likewise.
	* sysdeps/unix/sysv/irix4/__getgrps.c: Likewise.
	* sysdeps/unix/common/__getgrps.S: Likewise.
	* sysdeps/mach/hurd/__getgrps.c: Likewise.
	* sysdeps/stub/__gethstnm.c: Renamed to gethostname.c; added weak
	alias gethostname. 
	* sysdeps/unix/inet/__gethstnm.S: Likewise.
	* sysdeps/unix/sysv/__gethstnm.c: Likewise.
	* sysdeps/unix/sysv/sysv4/__gethstnm.c: Likewise.
	* sysdeps/mach/hurd/__gethstnm.c: Likewise.
	* sysdeps/stub/__getitmr.c: Renamed to getitimer.c; added weak
	alias getitimer.
	* sysdeps/unix/common/__getitmr.S: Likewise.
	* sysdeps/mach/hurd/__getitmr.c: Likewise.
	* stdio/__getline.c: Renamed to getline.c; added weak alias getline.
	* sysdeps/posix/__getpgsz.c: Renamed to getpagesize.c; added weak
	alias getpagesize.
	* sysdeps/stub/__getpgsz.c: Likewise.
	* sysdeps/unix/__getpgsz.c: Likewise.
	* sysdeps/unix/bsd/__getpgsz.S: Likewise.
	* sysdeps/unix/sysv/sysv4/__getpgsz.c: Likewise.
	* sysdeps/mach/__getpgsz.c: Likewise.
	* sysdeps/stub/__getpid.c: Renamed to getpid.c; added weak alias
	getpid.
	* sysdeps/unix/__getpid.S: Likewise.
	* sysdeps/mach/hurd/__getpid.c: Likewise.
	* sysdeps/stub/__getppid.c: Renamed to getppid.c; added weak alias
	getppid.
	* sysdeps/unix/__getppid.S: Likewise.
	* sysdeps/mach/hurd/__getppid.c: Likewise.
	* sysdeps/posix/__gettod.c: Renamed to gettimeofday.c; added weak
	alias gettimeofday.
	* sysdeps/stub/__gettod.c: Likewise.
	* sysdeps/unix/sysv/irix4/__gettod.c: Likewise.
	* sysdeps/unix/common/__gettod.S: Likewise.
	* sysdeps/mach/__gettod.c: Likewise.
	* sysdeps/stub/__getuid.c: Renamed to getuid.c; added weak alias
	getuid.
	* sysdeps/unix/__getuid.S: Likewise.
	* sysdeps/mach/hurd/__getuid.c: Likewise.
	* sysdeps/generic/__infnan.c: Renamed to infnan.c; added weak
	alias infnan.
	* sysdeps/ieee754/__infnan.c: Likewise.
	* sysdeps/vax/__infnan.c: Likewise.
	* sysdeps/stub/__ioctl.c: Renamed to ioctl.c; added weak alias ioctl.
	* sysdeps/unix/__ioctl.S: Likewise.
	* sysdeps/mach/hurd/__ioctl.c: Likewise.
	* sysdeps/posix/__isatty.c: Renamed to isatty.c; added weak alias
	isatty.
	* sysdeps/stub/__isatty.c: Likewise.
	* sysdeps/unix/bsd/__isatty.c: Likewise.
	* sysdeps/mach/hurd/__isatty.c: Likewise.
	* sysdeps/ieee754/__isinf.c: Renamed to isinf.c; added weak alias
	isinf.
	* sysdeps/m68k/fpu/__isinf.c: Likewise.
	* sysdeps/stub/__isinf.c: Likewise.
	* sysdeps/generic/__isnan.c: Renamed to isnan.c; added weak alias
	isnan.
	* sysdeps/ieee754/__isnan.c: Likewise.
	* sysdeps/m68k/fpu/__isnan.c: Likewise.
	* sysdeps/stub/__kill.c: Renamed to kill.c; added weak alias kill.
	* sysdeps/unix/__kill.S: Likewise.
	* sysdeps/mach/hurd/__kill.c: Likewise.
	* sysdeps/stub/__link.c: Renamed to link.c; added weak alias link.
	* sysdeps/unix/__link.S: Likewise.
	* sysdeps/mach/hurd/__link.c: Likewise.
	* sysdeps/ieee754/__logb.c: Renamed to logb.c; added weak alias logb.
	* sysdeps/m68k/fpu/__logb.c: Likewise.
	* sysdeps/stub/__logb.c: Likewise.
	* sysdeps/stub/__lseek.c: Renamed to lseek.c; added weak alias lseek.
	* sysdeps/unix/__lseek.S: Likewise.
	* sysdeps/mach/hurd/__lseek.c: Likewise.
	* sysdeps/generic/__lstat.c: Renamed to lstat.c; added weak alias
	lstat.
	* sysdeps/stub/__lstat.c: Likewise.
	* sysdeps/unix/sysv/sysv4/i386/__lstat.S: Likewise.
	* sysdeps/unix/common/__lstat.S: Likewise.
	* sysdeps/mach/hurd/__lstat.c: Likewise.
	* sysdeps/generic/__memccpy.c: Renamed to memccpy.c; added weak
	alias memccpy.
	* sysdeps/vax/__memccpy.c: Likewise.
	* sysdeps/stub/__mkdir.c: Renamed to mkdir.c; added weak alias mkdir.
	* sysdeps/unix/sysv/__mkdir.c: Likewise.
	* sysdeps/unix/common/__mkdir.S: Likewise.
	* sysdeps/mach/hurd/__mkdir.c: Likewise.
	* sysdeps/stub/__mknod.c: Renamed to mknod.c; added weak alias mknod.
	* sysdeps/unix/__mknod.S: Likewise.
	* sysdeps/unix/sysv/sysv4/i386/__mknod.S: Likewise.
	* sysdeps/mach/hurd/__mknod.c: Likewise.
	* mach/__msg.c: Renamed to msg.c; added weak alias mach_msg.
	* mach/__msgserver.c: Renamed to msgserver.c; added weak alias
	mach_msg_server.
	* sysdeps/stub/__open.c: Renamed to open.c; added weak alias open.
	* sysdeps/unix/__open.S: Likewise.
	* sysdeps/mach/hurd/__open.c: Likewise.
	* sysdeps/standalone/__open.c: Likewise.
	* sysdeps/stub/__pathconf.c: Renamed to pathconf.c; added weak
	alias pathconf.
	* sysdeps/unix/sysv/sco3.2.4/__pathconf.S: Likewise.
	* sysdeps/unix/sysv/irix4/__pathconf.c: Likewise.
	* hurd/__pid2task.c: Renamed to pid2task.c; added weak alias pid2task.
	* sysdeps/stub/__pipe.c: Renamed to pipe.c; added weak alias pipe.
	* sysdeps/unix/bsd/vax/__pipe.S: Likewise.
	* sysdeps/unix/bsd/m68k/__pipe.S: Likewise.
	* sysdeps/unix/bsd/osf1/alpha/__pipe.S: Likewise.
	* sysdeps/unix/i386/__pipe.S: Likewise.
	* sysdeps/unix/sparc/__pipe.S: Likewise.
	* sysdeps/unix/mips/__pipe.S: Likewise.
	* sysdeps/mach/hurd/__pipe.c: Likewise.
	* stdlib/__random.c: Renamed to random.c; added weak alias random.
	* sysdeps/stub/__read.c: Renamed to read.c; added weak alias read.
	* sysdeps/unix/__read.S: Likewise.
	* sysdeps/mach/hurd/__read.c: Likewise.
	* sysdeps/standalone/__read.c: Likewise.
	* sysdeps/stub/__readlink.c: Renamed to readlink.c; added weak
	alias readlink.
	* sysdeps/unix/common/__readlink.S: Likewise.
	* sysdeps/mach/hurd/__readlink.c: Likewise.
	* sysdeps/generic/__rint.c: Renamed to rint.c; added weak alias rint.
	* sysdeps/m68k/fpu/__rint.c: Likewise.
	* sysdeps/stub/__rmdir.c: Renamed to rmdir.c; added weak alias rmdir.
	* sysdeps/unix/sysv/__rmdir.c: Likewise.
	* sysdeps/unix/common/__rmdir.S: Likewise.
	* sysdeps/mach/hurd/__rmdir.c: Likewise.
	* sysdeps/generic/__sbrk.c: Renamed to sbrk.c; added weak alias sbrk.
	* sysdeps/stub/__sbrk.c: Likewise.
	* sysdeps/mach/hurd/__sbrk.c: Likewise.
	* math/__scalb.c: Renamed to scalb.c; added weak alias scalb.
	* sysdeps/stub/__select.c: Renamed to select.c; added weak alias
	select.
	* sysdeps/unix/common/__select.S: Likewise.
	* sysdeps/mach/hurd/__select.c: Likewise.
	* hurd/__setauth.c: Renamed to setauth.c; added weak alias setauth.
	* sysdeps/stub/__setgid.c: Renamed to setgid.c; added weak alias
	setgid.
	* sysdeps/unix/__setgid.S: Likewise.
	* sysdeps/unix/bsd/__setgid.c: Likewise.
	* sysdeps/mach/hurd/__setgid.c: Likewise.
	* sysdeps/stub/__setitmr.c: Renamed to setitmr.c; added weak alias
	setitmr 
	* sysdeps/unix/common/__setitmr.S: Likewise.
	* sysdeps/mach/hurd/__setitmr.c: Likewise.
	* sysdeps/stub/__setpgrp.c: Renamed to setpgrp.c; added weak alias
	setpgrp 
	* sysdeps/unix/sysv/sysv4/__setpgrp.c: Likewise.
	* sysdeps/unix/sysv/sco3.2.4/__setpgrp.c: Likewise.
	* sysdeps/unix/sysv/irix4/__setpgrp.S: Likewise.
	* sysdeps/unix/common/__setpgrp.S: Likewise.
	* sysdeps/mach/hurd/__setpgrp.c: Likewise.
	* sysdeps/stub/__setregid.c: Renamed to setregid.c; added weak
	alias setregid.
	* sysdeps/unix/common/__setregid.S: Likewise.
	* sysdeps/mach/hurd/__setregid.c: Likewise.
	* sysdeps/stub/__setreuid.c: Renamed to setreuid.c; added weak
	alias setreuid.
	* sysdeps/unix/common/__setreuid.S: Likewise.
	* sysdeps/mach/hurd/__setreuid.c: Likewise.
	* sysdeps/stub/__setsid.c: Renamed to setsid.c; added weak alias
	setsid.
	* sysdeps/unix/bsd/__setsid.c: Likewise.
	* sysdeps/unix/bsd/sun/sunos4/__setsid.S: Likewise.
	* sysdeps/unix/bsd/ultrix4/__setsid.S: Likewise.
	* sysdeps/unix/bsd/bsd4.4/__setsid.S: Likewise.
	* sysdeps/unix/sysv/linux/__setsid.S: Likewise.
	* sysdeps/unix/sysv/sysv4/__setsid.c: Likewise.
	* sysdeps/unix/sysv/sco3.2.4/__setsid.c: Likewise.
	* sysdeps/mach/hurd/__setsid.c: Likewise.
	* sysdeps/stub/__settod.c: Renamed to settod.c; added weak alias
	settimeofday.
	* sysdeps/unix/bsd/__settod.S: Likewise.
	* sysdeps/unix/sysv/__settod.c: Likewise.
	* sysdeps/mach/hurd/__settod.c: Likewise.
	* sysdeps/stub/__setuid.c: Renamed to setuid.c; added weak alias
	setuid.
	* sysdeps/unix/__setuid.S: Likewise.
	* sysdeps/unix/bsd/__setuid.c: Likewise.
	* sysdeps/mach/hurd/__setuid.c: Likewise.
	* sysdeps/posix/__sigblock.c: Renamed to sigblock.c; added weak
	alias sigblock.
	* sysdeps/stub/__sigblock.c: Likewise.
	* sysdeps/unix/bsd/__sigblock.S: Likewise.
	* sysdeps/unix/bsd/bsd4.4/__sigblock.c: Likewise.
	* sysdeps/unix/bsd/osf1/alpha/__sigblock.S: Likewise.
	* sysdeps/posix/__sigpause.c: Renamed to sigpause.c; added weak
	alias sigpause.
	* sysdeps/stub/__sigpause.c: Likewise.
	* sysdeps/unix/bsd/__sigpause.S: Likewise.
	* sysdeps/unix/bsd/osf1/alpha/__sigpause.S: Likewise.
	* sysdeps/stub/__sigproc.c: Renamed to sigprocmask.c; added weak
	alias sigprocmask.
	* sysdeps/unix/bsd/__sigproc.c: Likewise.
	* sysdeps/unix/sysv/sysv4/__sigproc.S: Likewise.
	* sysdeps/unix/sysv/sco3.2.4/__sigproc.S: Likewise.
	* sysdeps/mach/hurd/__sigproc.c: Likewise.
	* sysdeps/stub/__sigret.c: Renamed to sigreturn.c; added weak
	alias sigreturn.
	* sysdeps/unix/bsd/sun/__sigret.S: Likewise.
	* sysdeps/unix/sysv/i386/__sigret.S: Likewise.
	* sysdeps/unix/sysv/irix4/__sigret.S: Likewise.
	* sysdeps/unix/i386/__sigret.S: Likewise.
	* sysdeps/unix/mips/__sigret.S: Likewise.
	* sysdeps/mach/hurd/i386/__sigret.c: Likewise.
	* sysdeps/mach/hurd/alpha/__sigret.c: Likewise.
	* sysdeps/mach/hurd/mips/__sigret.c: Likewise.
	* sysdeps/posix/__sigvec.c: Renamed to sigvec.c; added weak alias
	sigvec.
	* sysdeps/stub/__sigvec.c: Likewise.
	* sysdeps/unix/bsd/__sigvec.S: Likewise.
	* sysdeps/unix/bsd/sun/__sigvec.S: Likewise.
	* sysdeps/unix/bsd/sequent/i386/__sigvec.S: Likewise.
	* sysdeps/unix/bsd/ultrix4/mips/__sigvec.S: Likewise.
	* sysdeps/unix/bsd/bsd4.4/__sigvec.c: Likewise.
	* sysdeps/unix/bsd/osf1/alpha/__sigvec.S: Likewise.
	* sysdeps/stub/__stat.c: Renamed to stat.c; added weak alias stat.
	* sysdeps/unix/__stat.S: Likewise.
	* sysdeps/unix/sysv/sysv4/i386/__stat.S: Likewise.
	* sysdeps/mach/hurd/__stat.c: Likewise.
	* sysdeps/generic/__stpncpy.c: Renamed to stpncpy.c; added weak
	alias stpncpy.
	* sysdeps/stub/__symlink.c: Renamed to symlink.c; added weak alias
	symlink.
	* sysdeps/unix/common/__symlink.S: Likewise.
	* sysdeps/mach/hurd/__symlink.c: Likewise.
	* sysdeps/posix/__sysconf.c: Renamed to sysconf.c; added weak
	alias sysconf.
	* sysdeps/stub/__sysconf.c: Likewise.
	* sysdeps/unix/bsd/ultrix4/__sysconf.c: Likewise.
	* sysdeps/unix/sysv/sysv4/__sysconf.c: Likewise.
	* sysdeps/unix/sysv/sco3.2.4/__sysconf.S: Likewise.
	* sysdeps/unix/sysv/irix4/__sysconf.c: Likewise.
	* hurd/__task2pid.c: Renamed to task2pid.c; added weak alias task2pid.
	* sysdeps/stub/__times.c: Renamed to times.c; added weak alias times.
	* sysdeps/unix/bsd/__times.c: Likewise.
	* sysdeps/unix/sysv/__times.S: Likewise.
	* time/__tzset.c: Renamed to tzset.c; added weak alias tzset.
	* sysdeps/stub/__umask.c: Renamed to umask.c; added weak alias umask.
	* sysdeps/unix/__umask.S: Likewise.
	* sysdeps/mach/hurd/__umask.c: Likewise.
	* sysdeps/stub/__unlink.c: Renamed to unlink.c; added weak alias
	unlink.
	* sysdeps/unix/__unlink.S: Likewise.
	* sysdeps/mach/hurd/__unlink.c: Likewise.
	* sysdeps/stub/__utimes.c: Renamed to utimes.c; added weak alias
	utimes.
	* sysdeps/unix/bsd/__utimes.S: Likewise.
	* sysdeps/unix/sysv/sysv4/solaris2/__utimes.S: Likewise.
	* sysdeps/mach/hurd/__utimes.c: Likewise.
	* sysdeps/generic/__vfork.c: Renamed to vfork.c; added weak alias
	vfork.
	* sysdeps/unix/bsd/sun/m68k/__vfork.S: Likewise.
	* sysdeps/unix/bsd/vax/__vfork.S: Likewise.
	* sysdeps/unix/bsd/i386/__vfork.S: Likewise.
	* sysdeps/unix/bsd/hp/m68k/__vfork.S: Likewise.
	* sysdeps/unix/bsd/ultrix4/mips/__vfork.S: Likewise.
	* sysdeps/unix/sysv/sysv4/i386/__vfork.S: Likewise.
	* sysdeps/unix/sparc/__vfork.S: Likewise.
	* stdio/__vfscanf.c: Renamed to vfscanf.c; added weak alias vfscanf.
	* stdio/__vsscanf.c: Renamed to vsscanf.c; added weak alias vsscanf.
	* sysdeps/posix/__wait.c: Renamed to wait.c; added weak alias wait.
	* sysdeps/stub/__wait.c: Likewise.
	* sysdeps/unix/bsd/sony/newsos4/__wait.c: Likewise.
	* sysdeps/unix/bsd/sun/sunos4/__wait.c: Likewise.
	* sysdeps/unix/bsd/sun/sunos3/m68k/__wait.S: Likewise.
	* sysdeps/unix/bsd/vax/__wait.S: Likewise.
	* sysdeps/unix/bsd/m68k/__wait.S: Likewise.
	* sysdeps/unix/bsd/bsd4.4/__wait.c: Likewise.
	* sysdeps/unix/sysv/i386/linux/__wait.S: Likewise.
	* sysdeps/unix/sysv/irix4/__wait.S: Likewise.
	* sysdeps/unix/i386/__wait.S: Likewise.
	* sysdeps/unix/mips/__wait.S: Likewise.
	* sysdeps/posix/__wait3.c: Renamed to wait3.c; added weak alias wait3.
	* sysdeps/stub/__wait3.c: Likewise.
	* sysdeps/unix/bsd/sony/newsos4/__wait3.c: Likewise.
	* sysdeps/unix/bsd/sun/sunos4/__wait3.c: Likewise.
	* sysdeps/unix/bsd/vax/__wait3.S: Likewise.
	* sysdeps/unix/bsd/i386/__wait3.S: Likewise.
	* sysdeps/unix/bsd/hp/m68k/__wait3.S: Likewise.
	* sysdeps/unix/bsd/ultrix4/__wait3.S: Likewise.
	* sysdeps/unix/bsd/bsd4.4/__wait3.c: Likewise.
	* sysdeps/unix/sysv/irix4/__wait3.S: Likewise.
	* sysdeps/stub/__wait4.c: Renamed to wait4.c; added weak alias wait4.
	* sysdeps/unix/bsd/sony/newsos4/__wait4.c: Likewise.
	* sysdeps/unix/bsd/sun/sunos4/__wait4.c: Likewise.
	* sysdeps/unix/bsd/bsd4.4/__wait4.S: Likewise.
	* sysdeps/unix/bsd/osf1/alpha/__wait4.S: Likewise.
	* sysdeps/unix/sysv/linux/__wait4.S: Likewise.
	* sysdeps/mach/hurd/__wait4.c: Likewise.
	* sysdeps/stub/__waitpid.c: Renamed to waitpid.c; added weak alias
	waitpid.
	* sysdeps/unix/bsd/sun/sunos4/__waitpid.c: Likewise.
	* sysdeps/unix/bsd/ultrix4/__waitpid.S: Likewise.
	* sysdeps/unix/bsd/bsd4.4/__waitpid.c: Likewise.
	* sysdeps/unix/bsd/osf1/alpha/__waitpid.c: Likewise.
	* sysdeps/unix/sysv/linux/__waitpid.S: Likewise.
	* sysdeps/unix/sysv/sysv4/__waitpid.c: Likewise.
	* sysdeps/unix/sysv/sco3.2.4/__waitpid.S: Likewise.
	* sysdeps/unix/sysv/irix4/__waitpid.c: Likewise.
	* sysdeps/stub/__write.c: Renamed to write.c; added weak alias write.
	* sysdeps/unix/__write.S: Likewise.
	* sysdeps/mach/hurd/__write.c: Likewise.
	* sysdeps/standalone/__write.c: Likewise.
	* sysdeps/stub/__tcgetatr.c: Renamed to tcgetattr.c; added weak
	alias tcgetattr.
	* sysdeps/unix/bsd/__tcgetatr.c: Likewise.
	* sysdeps/unix/bsd/sun/sunos4/__tcgetatr.c: Likewise.
	* sysdeps/unix/bsd/bsd4.4/__tcgetatr.c: Likewise.
	* sysdeps/unix/sysv/__tcgetatr.c: Likewise.
	* sysdeps/stub/__sigact.c: Renamed to sigaction.c; added weak
	alias sigaction.
	* sysdeps/unix/bsd/__sigact.c: Likewise.
	* sysdeps/unix/sysv/__sigact.c: Likewise.
	* sysdeps/unix/sysv/sysv4/__sigact.c: Likewise.
	* sysdeps/unix/sysv/sco3.2.4/__sigact.S: Likewise.
	* sysdeps/mach/hurd/__sigact.c: Likewise.
	* sysdeps/posix/__sigstmsk.c: Renamed to sigsetmask.c; added weak
	alias sigsetmask.
	* sysdeps/stub/__sigstmsk.c: Likewise.
	* sysdeps/unix/bsd/__sigstmsk.S: Likewise.
	* sysdeps/unix/bsd/bsd4.4/__sigstmsk.c: Likewise.
	* sysdeps/unix/bsd/osf1/alpha/__sigstmsk.S: Likewise.
	* sysdeps/stub/__getrusag.c: Renamed to getrusage.c; added weak
	alias getrusage.
	* sysdeps/unix/sysv/irix4/__getrusag.c: Likewise.
	* sysdeps/unix/common/__getrusag.S: Likewise.
	* hurd/task2pid.c: File removed.
	* hurd/setauth.c: File removed.
	* hurd/pid2task.c: File removed.
	* hurd/hurdsyms.c: File removed.
	* hurd/getdport.c: File removed.
	* hurd/fopenport.c: File removed.
	* mach/thread-sym.c: File removed.
	* mach/spin-syms.c: File removed.
	* mach/msgserver_t.c: File removed.
	* mach/msgserver.c: File removed.
	* mach/msg.c: File removed.
	* mach/mig_syms.c: File removed.
	* malloc/mcheck-init.c: File removed.
	* malloc/cfree.c: File removed.
	* io/flock.c: File removed.
	* io/write.c: File removed.
	* io/unlink.c: File removed.
	* io/umask.c: File removed.
	* io/symlink.c: File removed.
	* io/rmdir.c: File removed.
	* io/readlink.c: File removed.
	* io/read.c: File removed.
	* io/pipe.c: File removed.
	* io/open.c: File removed.
	* io/mkdir.c: File removed.
	* io/lstat.c: File removed.
	* io/lseek.c: File removed.
	* io/link.c: File removed.
	* io/isatty.c: File removed.
	* io/stat.c: File removed.
	* io/fstat.c: File removed.
	* io/fchown.c: File removed.
	* io/fchmod.c: File removed.
	* io/dup2.c: File removed.
	* io/dup.c: File removed.
	* io/close.c: File removed.
	* io/fcntl.c: File removed.
	* io/chmod.c: File removed.
	* io/chdir.c: File removed.
	* io/access.c: File removed.
	* io/chown.c: File removed.
	* time/tzset.c: File removed.
	* time/timelocal.c: File removed.
	* time/syms-time.c: File removed.
	* time/settod.c: File removed.
	* time/setitmr.c: File removed.
	* time/gettod.c: File removed.
	* time/getitmr.c: File removed.
	* time/adjtime.c: File removed.
	* termios/tcgetattr.c: File removed.
	* string/stpncpy.c: File removed.
	* string/rindex.c: File removed.
	* string/memccpy.c: File removed.
	* string/index.c: File removed.
	* string/bcmp.c: File removed.
	* stdlib/srand.c: File removed.
	* stdlib/random.c: File removed.
	* stdio/vsscanf.c: File removed.
	* stdio/vfscanf.c: File removed.
	* stdio/syms-stdio.c: File removed.
	* stdio/remove.c: File removed.
	* stdio/getline.c: File removed.
	* stdio/getdelim.c: File removed.
	* signal/ssignal.c: File removed.
	* signal/sigvec.c: File removed.
	* signal/sigsetmask.c: File removed.
	* signal/sigret.c: File removed.
	* signal/sigproc.c: File removed.
	* signal/sigpause.c: File removed.
	* signal/sigblock.c: File removed.
	* signal/sigaction.c: File removed.
	* signal/kill.c: File removed.
	* signal/gsignal.c: File removed.
	* setjmp/siglongjmp.c: File removed.
	* setjmp/_longjmp.c: File removed.
	* resource/getrusage.c: File removed.
	* posix/waitpid.c: File removed.
	* posix/wait4.c: File removed.
	* posix/wait3.c: File removed.
	* posix/wait.c: File removed.
	* posix/times.c: File removed.
	* posix/sysconf.c: File removed.
	* posix/setuid.c: File removed.
	* posix/setsid.c: File removed.
	* posix/setpgrp.c: File removed.
	* posix/setpgid.c: File removed.
	* posix/setgid.c: File removed.
	* posix/pathconf.c: File removed.
	* posix/getuid.c: File removed.
	* posix/getppid.c: File removed.
	* posix/getpid.c: File removed.
	* posix/getgrps.c: File removed.
	* posix/getgid.c: File removed.
	* posix/geteuid.c: File removed.
	* posix/getegid.c: File removed.
	* posix/fpathcon.c: File removed.
	* posix/fork.c: File removed.
	* posix/execve.c: File removed.
	* posix/environ.c: File removed.
	* misc/utimes.c: File removed.
	* misc/setreuid.c: File removed.
	* misc/setregid.c: File removed.
	* misc/select.c: File removed.
	* misc/sbrk.c: File removed.
	* misc/mknod.c: File removed.
	* misc/ioctl.c: File removed.
	* misc/getpgsz.c: File removed.
	* misc/gethstnm.c: File removed.
	* misc/getdtsz.c: File removed.
	* misc/data_start.c: File removed.
	* misc/brk.c: File removed.
	* math/scalb.c: File removed.
	* math/rint.c: File removed.
	* math/logb.c: File removed.
	* math/isnan.c: File removed.
	* math/isinf.c: File removed.
	* math/infnan.c: File removed.
	* math/finite.c: File removed.
	* math/expm1.c: File removed.
	* math/drem.c: File removed.
	* math/copysign.c: File removed.
	* math/__scalb.c: File removed.
	* dirent/getdents.c: File removed.

Fri Jan 20 16:11:06 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/generic/morecore.c (__default_morecore): Use
	__malloc_ptrdiff_t; don't cast arg to int.

	* resolv/getnetnamadr.c: Include "conf/portability.h".

Thu Jan 19 02:20:04 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* stdlib/strtol.c: Include errno.h.
	[QUAD] (ULONG_MAX): Define to a static variable initialized to
	ULONG_LONG_MAX. This is to work around a GCC bug in using the
	constant in arithmetic.

	* posix/unistd.h (daemon): Declare it.

	* malloc/mcheck-init.c: Remove GNU ld hacks.
	(__malloc_initialize_hook): Initialize this hook to turn_on_mcheck.
	* malloc/malloc.c (__malloc_initialize_hook): New hook variable.
	(initialize): Call the hook if set.
	* malloc/malloc.h: Use __malloc_{size,ptrdiff}_t in prototypes.
	(__malloc_initialize_hook): Declare new hook variable.

Wed Jan 18 01:43:39 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/hurdsig.c: Prepend `msg_' to server RPC names.
	* hurd/hurdpid.c: Likewise.
	* hurd/hurdauth.c: Likewise.

Tue Jan 17 03:16:47 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/__select.c: If some replies are EINTR, succeed
        if any are successful.

	* hurd/hurdmsg.c: Prepend `msg_' to all RPC names.
	(_S_msg_get_exec_flags, _S_msg_set_exec_flags, 
	_S_msg_set_some_exec_flags, _S_msg_clear_some_exec_flags): New
        functions.
	(_S_io_select_done, _S_dir_changed, _S_file_changed): Stubs removed.

	* hurd/hurdkill.c: __sig_post renamed to __msg_sig_post.
	* hurd/hurd-raise.c: Likewise.
	* hurd/hurdsig.c (post_reply): Prepend `msg_' to RPC names.

	* sysdeps/mach/hurd/ptrace.c: New file.

	* sysdeps/mach/hurd/__select.c: Revamped to use new io_select
	interface, which has normal EINTR semantics.  Instead of waiting
	for io_select_done notification messages, send io_select messages
	with short reply timeout and then wait for io_select_reply
	messages.

	* hurd/hurdexec.c (_hurd_exec): Pass (_hurd_exec_flags &
        EXEC_INHERITED) to file_exec.

	* hurd/hurdsig.c (post_reply): Take new arg UNTRACED; if nonzero,
	use sig_post_untraced_reply.  All callers changed.
	(abort_thread, abort_rpcs): Take same new arg and pass it through.  
	All callers changed.
	(_hurd_internal_post_signal): Take new arg UNTRACED.
	If zero and process is traced, stop with SIGNO as stop signal.  If
	nonzero, resume process before delivering signal (unless
	ACT==stop).  Expand local fn sigwakeup into block at end taken iff
	SIGNO!=0.
	(signal_allowed): New function, broken out of _S_sig_post.
	(_S_sig_post): Call it.  Pass UNTRACED arg of false to
	_hurd_internal_post_signal.
	(_S_sig_post_untraced): New function.  Just like _S_sig_post, but
	pass true for UNTRACED.
	* hurd/hurd/signal.h (_hurd_internal_post_signal): Take new arg
        UNTRACED.
	* hurd/catch-exc.c (_S_catch_exception_raise): Pass UNTRACED arg
        to _hurd_internal_post_signal (value zero).

Mon Jan 16 16:40:01 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/hurdinit.c (_hurd_exec_flags): New variable.
	(_hurd_init): Initialize it from FLAGS arg.
	(_hurd_proc_init): If EXEC_TRACED is set in _hurd_exec_flags,
	raise a SIGTRAP signal (with a sigcode of zero).
	* hurd/hurd.h (_hurd_exec_flags): Declare it.

	* Version 1.09.5.

Mon Jan 16 16:16:55 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* malloc/malloc.c (malloc): Fix 1-off in previous change.

Mon Jan 16 15:49:07 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* posix/glob/Makefile.in: Remove config.h and config.log.

Sun Jan 15 06:56:47 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* posix/glob/configure.in: Add AC_CONST check.

	* conf/portability.h: #undef sun.
	* resolv/res_query.c: Updated from BIND-4.9.3-BETA17.
	* resolv/getnetnamadr.c: Likewise.

	* socket/Makefile (headers): Add sockaddrcom.h.
	* inet/netinet/in.h: Include <sockaddrcom.h>.
	(struct sockaddr_in): Use the __SOCKADDR_COMMON macro.
	* socket/sys/un.h (struct sockaddr_in): Likewise.
	* socket/sys/socket.h (struct sockaddr): Likewise.
	* sysdeps/unix/bsd/bsd4.4/sockaddrcom.h: New file.
	* sysdeps/generic/sockaddrcom.h: New file.

	* sysdeps/unix/sysv/sysv4/ftruncate.c: New file.
	* sysdeps/unix/common/fcntlbits.h [__USE_SVID] (F_ALLOCSP,
        F_FREESP): New macros.
	* sysdeps/posix/truncate.c: New file.

	* malloc/malloc.c (malloc): Fix typos in RMS's change.

	* malloc/Makefile (dist-routines): Add malloc-find.
	* malloc/malloc.h (malloc_find_object_address): Declare it.
	* malloc/malloc-find.c: New file.

	* malloc/malloc.h (__malloc_ptrdiff_t): New macro, defined a la
        __malloc_size_t.
	(malloc_info): Use that type for member `busy.info.size'.

	* stdlib/strtol.c: Change uses of `long' keyword throughout to use
        `LONG' macro.
	[! QUAD] (LONG): Define as long.
	[QUAD] (LONG): Define as long long.
	[QUAD] (LONG_MIN, LONG_MAX, ULONG_MAX): Redefine to long long
	versions.
	[QUAD] (strtoul, strtol): Define to strtouq, strtoq.
	* stdlib/Makefile (routines): Add strtoq and strtouq.
	* stdlib/strtoq.c, stdlib/strtouq.c: New files.
	* stdlib/stdlib.h [__GNUC__ && __USE_BSD] (strtoq, strtouq):
        Declare them.

	* stdio/vfprintf.c: If there was a precision specified, ignore the
	0 flag and always pad with spaces.

	* stdio/vfprintf.c: Don't use strchr to skip text until next %.
	Use a loop and also stop on first !isascii char.

Wed Jan 11 00:07:10 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* malloc/malloc.h (malloc_info): Change usage of .busy.info.size.

	* malloc/malloc.c (malloc): For a multi-block object, store a
	negative number into the busy.info.size of all but the first block.

Tue Jan 10 13:45:20 1995  Brendan Kehoe  <brendan@zen.org>

	* sysdeps/unix/bsd/ultrix4/mips/start.S: Use s0, s1, and s2
	instead of t0, t1, and t2.

Tue Jan 10 05:53:50 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* malloc/memalign.c (__memalign_hook): New variable.
	(memalign): Call it if set.
	* malloc/malloc.h (__memalign_hook): Declare new variable.

Wed Dec 28 03:27:21 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* conf/portability.h: Include string.h and stdlib.h.
	* inet/netdb.h (NETDB_INTERNAL, NETDB_SUCCESS): New macros.
	* resolv/resolv.h, resolv/arpa/nameser.h, resolv/gethnamaddr.c,
	resolv/getnetbyname.c, resolv/getnetent.c, resolv/herror.c,
	resolv/res_mkquery.c, resolv/res_send.c, resolv/res_comp.c,
	resolv/res_debug.c, resolv/res_init.c: Updated from BIND 4.9.3-BETA14.

	* sysdeps/m68k/fpu/__math.h (__m81_inline): New macro.  Replace
	all uses of `extern __inline' with `__m81_inline'.

	* sysdeps/unix/bsd/hp/m68k/__vfork.S: Use subl, not decl.
	* sysdeps/unix/__fork.S: Swap args in subl.

	* posix/sys/types.h [__USE_MISC] (ushort, uint): New typedefs, for
        compatibility.

Tue Dec 20 13:33:20 1994  Michael I Bushnell  <mib@geech.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/__setpgrp.c (__setpgrp): Use __swtch_pri instead
        of swtch.
	* sysdeps/mach/hurd/__setsid.c (__setsid): Likewise.
	* mach/spin-solid.c (__spin_lock_solid): Likewise.

Thu Dec 15 12:01:07 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* inet/rcmd.c (iruserok): Use alloca instead of fixed-size buffer
        for PBUF.
	(__ivaliduser): Use getline instead of fgets with fixed-size buffer.

	* sysdeps/mach/hurd/Makefile (subdirs): Don't elide inet.

Wed Dec 14 18:20:56 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/alpha/bsd-setjmp.S: Reverse register and immediate args
	in `bis' insn; immediate must be second.

	* sysdeps/unix/__fork.S: Use subl instead of decl.
	* sysdeps/unix/i386/__fork.S: New file.

	* sysdeps/mach/hurd/alpha/trampoline.c (_hurd_setup_sighandler):
	Remove A macro; just use `asm volatile' with proper quotes in each
	line.
	* sysdeps/mach/alpha/sysdep.h (CALL_WITH_SP): Put parens around
        jmp target register.

	* time/africa, time/asia, time/australasia, time/emkdir.c,
	time/europe, time/ialloc.c, time/northamerica, time/private.h,
	time/scheck.c, time/yearistype, time/zdump.c, time/zic.c: New code
	and data from ADO 94h distribution.

	* sysdeps/sparc/setjmp.S: Use sethi and or to put address of
	__sigjmp_save in %g1 and jmp there.  jmp cannot contain a complete
	absolute pointer.  Put second store in jmp delay slot.

Tue Dec 13 15:47:52 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/sparc/bsd-_setjmp.S: Use sethi and or to put address of
	__sigsetjmp in %g1 and jmp there.  jmp cannot contain a complete
	absolute pointer.
	* sysdeps/sparc/bsd-setjmp.S: Likewise.

	* configure.in: Use ; before } in { ... } exprs.

Mon Dec 12 01:41:07 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Version 1.09.3.

	* sysdeps/mach/hurd/alpha/trampoline.c: Use `long int' for sigcode
	values.  Use _hurdsig_catch_fault.  Pass address of __sigreturn in
	$27, SCP value in $25.  In trampoline code, use those regs.

	* sysdeps/mach/hurd/alpha/__sigret.c: Use asms instead of global
	register vars to restore FP regs.  Fix typo in REI invocation.

Sun Dec 11 14:10:11 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/hurd/fd.h (hurd_register_ioctl_handler,
	_HURD_HANDLE_IOCTLS): Third arg to handler is a void *, not a
	__gnuc_va_list.

	* stdio/memstream.c (enlarge_buffer): Always add one char into
	NEED for the char we are writing or the NUL terminator.

	* stdio/memstream.c (enlarge_buffer): If realloc fails, just set
	error flag and preserve old buffer state.

	* stdio/fwrite.c: In fill_buffer case, check for zero buffer space
	after fflush and write one char normally.

Sat Dec 10 00:02:21 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/__fork.c: Use natural_t in place of int.

	* sysdeps/alpha/macros.m4: Use C comments instead of ! comments.

	* sysdeps/mach/hurd/mmap.c: Cast -1 to long int before casting to
        caddr_t.

	* sysdeps/mach/alpha/syscall.S: Include
        <mach/machine/alpha_instruction.h> to define op_chmk.

	* sysdeps/mach/hurd/__mknod.c: Include <string.h>.
	* sysdeps/mach/hurd/setegid.c: Likewise.
	* sysdeps/mach/hurd/seteuid.c: Likewise.
	* sysdeps/mach/hurd/__setregid.c: Likewise.
	* sysdeps/mach/hurd/__setreuid.c: Likewise.
	* sysdeps/mach/hurd/__ioctl.c: Likewise.

	* sysdeps/mach/hurd/recvfrom.c: Include <string.h>.  Use
	mach_msg_type_number_t in place of unsigned int.
	* sysdeps/mach/hurd/recv.c: Likewise.
	* sysdeps/mach/hurd/getsockopt.c: Likewise.
	* sysdeps/mach/hurd/getsocknam.c: Likewise.
	* sysdeps/mach/hurd/getpeernam.c: Likewise.
	* sysdeps/mach/hurd/accept.c: Likewise.
	* sysdeps/mach/hurd/__gethstnm.c: Likewise.

Fri Dec  9 00:01:21 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/__readlink.c: Use mach_msg_type_number_t in
        place of unsigned int.
	* sysdeps/mach/hurd/__fork.c: Likewise.

	* sysdeps/mach/hurd/__setgid.c: Include <string.h>.
	* sysdeps/mach/hurd/__setuid.c: Likewise.
	* sysdeps/mach/hurd/__getgrps.c: Likewise.
	* hurd/getuids.c: Likewise.
	* sysdeps/mach/hurd/__getdents.c: Likewise.

	* sysdeps/mach/hurd/dirstream.h (DIR): Use unsigned long int for
        `__allocation' and `__size' members.

	* sysdeps/mach/hurd/alpha/exc2signal.c: Use `long int' for sigcode
        values.
	* sysdeps/mach/hurd/i386/exc2signal.c: Likewise.

	* mach/devstream.c (input): Use mach_msg_type_number_t for NREAD.

	* sysdeps/mach/hurd/__setitmr.c (preempt_sigalrm): Use `long int'
        for SIGCODE; take SIGERROR arg.

	* sysdeps/alpha/divrem.m4: Include <sysdep.h> instead of
	<regdef.h>.  Use C comments instead of ! comments.

	* sysdeps/alpha/memchr.c: Remove extra shift and OR of CHARMASK.
	* sysdeps/alpha/strchr.c: Likewise.

	* sysdeps/mach/hurd/sysd-stdio.c: Use mach_msg_type_number_t in
        place of unsigned int.

	* sysdeps/posix/tempname.c (__stdio_gen_tempname): Cast FD to long
        int before casting to pointer.

	* stdio/printf_fp.c: Include <string.h>.

	* sysdeps/alpha/setjmp_aux.c: Use ENV[0].__jmpbuf[0].

	* sysdeps/mach/alpha/sysdep.h (ENTRY): New macro.

	* hurd/hurdioctl.c (fioctl): Pass a mach_msg_type_number_t* to
        __io_readable.

	* hurd/hurd-raise.c: Use `long int' for sigcode values.

	* hurd/hurdfault.c: Use `long int' for sigcode values.
	* hurd/hurdfault.h: Likewise.

	* hurd/hurd/signal.h (struct hurd_signal_preempt): Handler takes
        new SIGERROR arg.
	* hurd/preempt-sig.c: Likewise.
	* hurd/hurdsig.c (_hurd_internal_post_signal): Pass SIGERROR to
        PREEMPT.

	* hurd/hurdlookup.c: Use mach_msg_type_number_t and natural_t in
        place of unsigned int and int.

	* hurd/hurd/id.h: Use mach_msg_type_number_t in place of unsigned int.

	* hurd/catch-exc.c: Use `long int' for sigcode values.
	* sysdeps/mach/hurd/i386/trampoline.c: Likewise.
	* hurd/preempt-sig.c: Likewise.

	* configure.in (machine): Don't recognize r[34]00.  
	Convert mips64* to mips/mips64/& and mips* to mips/&.
	* sysdeps/mips/mipsel/bytesex.h: New file.
	* sysdeps/mips/r4000: Directory renamed to sysdeps/mips/mips64.

	* sysdeps/mach/alpha/sysdep.h (START_MACHDEP): Add missing
        backslashes.
	(CALL_WITH_SP): Cast FN to long int.

	* sysdeps/mach/alpha/thread_state.h (struct machine_thread_all_state):
        New member `exc'.

	* hurd/fd-read.c: Include <string.h>.  Use mach_msg_type_number_t
	in place of mach_msg_type_size_t.

	* hurd/hurdfault.c: Use natural_t instead of int.

	* hurd/hurd/signal.h: Use `long int' for sigcode values.
	* hurd/hurdsig.c: Use mach_msg_type_number_t and natural_t in
	place of unsigned int and int.  Use `long int' for sigcode values.

	* hurd/vpprintf.c (pwrite): Cast &N to mach_msg_type_number_t *.

	* hurd/__fopenport.c: Include <string.h>.  Use
	mach_msg_type_number_t in place of unsigned int.

	* hurd/hurdauth.c: Include <string.h>.
	* hurd/hurdsock.c: Likewise.

	* sysdeps/mach/alpha/machine-lock.h: Remove ".set noreorder" et
	al; GCC already emits them.  Fix register constraints in asms.
	Set RTN in C, not asm.

	* hurd/hurdprio.c: Use mach_msg_type_number_t in place of unsigned
	int.

Thu Dec  8 04:00:11 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/alpha/__sigret.c: Remove ".set noreorder" et
        al; GCC already emits them.
	* sysdeps/mach/hurd/alpha/trampoline.c: Likewise.

	* sysdeps/mach/thread_state.h: Use mach_msg_type_number_t and
        natural_t in place of unsigned int and int.

	* sysdeps/mach/sysdep.h (ENTRY): Don't #error if undefined.

	* sysdeps/mach/syscall.h: New file.

	* sysdeps/mach/Makefile: Remove debugging printout.

	* sysdeps/mach/hurd/configure.in: Converted to an autoconf script
	from sysdeps/mach/hurd/configure, to work better with autoconf
	version 2.
	* sysdeps/mach/configure.in: Likewise, from sysdeps/mach/configure.

	* hurd/hurdmsg.c: Use mach_msg_type_number_t in place of unsigned
        int.

	* sysdeps/mach/alpha/sysdep.h: Rename variable `sp' to avoid
        conflict with #define in <mach/alpha/asm.h>.

	* sysdeps/mach/hurd/alpha/__sigret.c: Remove unused variable.

	* sysdeps/mach/hurd/__ioctl.c: Pass arg to
        __mig_dealloc_reply_port.

	* configure.in: Converted to Autoconf version 2.
	* sysdeps/generic/configure.in: Likewise.
	* sysdeps/unix/common/configure.in: Likewise.
	* sysdeps/unix/configure.in: New file, converted to a
	part-autoconf script from sysdeps/unix/configure, to work better
	with autoconf version 2.
	* aclocal.m4: Converted to Autoconf version 2.
	(AC_CHECK_SYMBOL): New macro.
	* config.make.in: New file.
	* config-name.in: New file.
	* Makefile (distribute): Rename install.sh to install-sh.
	Add config.make.in, config-name.in, Makefile.in.
	(distclean-1): Remove config-name.h and config.cache.
	* Makefile.in: New file.
	* Makeconfig (+gnu-stabs, gnu-as): Match -DHAVE_GNU_{AS,LD}=1 too.

Wed Dec  7 14:05:12 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/mips/cacheflush.c: New file.
	* sysdeps/mach/mips/Makefile: New file.
	* sysdeps/mach/mips/Dist: New file.

	* hurd/hurdmalloc.c (vm_allocate, vm_page_size): #define these to
        __ names at top.

	* posix/glob/Makefile.in (realclean): Remove config.status.

	* posix/glob/Makefile.in (DEFS): New variable, set from @DEFS@.
	(CPPFLAGS): Remove @DEFS@ from here.
	(.c.o): Use $(DEFS).

	* setjmp/siglongjmp.c: First arg is const.

Tue Dec  6 19:04:50 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* posix/glob/Makefile.in (CPPFLAGS): Include @DEFS@.

Mon Dec  5 12:05:10 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* posix/glob/configure.in: Add AC_PROG_CC.

	* sysdeps/mach/hurd/alpha/longjmp-ts.c: Use ENV[0].__jmpbuf[0].
	* sysdeps/mach/hurd/mips/longjmp-ts.c: Likewise.
	* sysdeps/mach/hurd/i386/longjmp-ts.c: Likewise.

	* Version 1.09.2.

	* sysdeps/mach/hurd/__select.c: Don't make TO const.

Sun Dec  4 12:06:36 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/unix/configure (config_vars): Add missing backslash
        before a $.

	Revamp the `setjmp' interface to be cleaner: only one type
	`jmp_buf'/`sigjmp_buf', and only one `longjmp' function (with
	aliases `_longjmp', `siglongjmp').  Internal setjmp interface is
	now __sigsetjmp, which takes SAVEMASK flag and optionally saves
	the signal mask.  Add extern entry points `setjmp' and `_setjmp'
	for BSD compatiblity; they tail-call __sigsetjmp.
	* setjmp/setjmp.h: Include <sigset.h> for __sigset_t, not
        <signal.h>
	(jmp_buf): Define unconditionally with old `sigjmp_buf' defn.
	(__sigjmp_save): Declare to return int.
	(__setjmp): Remove declaration; this function no longer exists.
	(__sigsetjmp): Declare it; this is the new internal function.
	(setjmp): Define to call __sigsetjmp, second arg depending on
	__FAVOR_BSD.
	[__OPTIMIZE__] (longjmp): Remove #define.
	[__USE_BSD] (_longjmp): Declare it, another name for `longjmp'.
	[__USE_BSD] (_setjmp): Define macro to do __sigsetjmp (ENV, 0).	
	[__FAVOR_BSD]: Remove all these defns.
	[__USE_POSIX] (sigjmp_buf): Define as another name for `jmp_buf'.
	[__USE_POSIX] (sigsetjmp): Define to call __sigsetjmp.
	* setjmp/sigjmp.c (__sigjmp_save): Return an int, always zero, not
        void.
	* setjmp/Makefile (routines): Remove _setjmp, add bsd-setjmp and
        bsd-_setjmp.
	* setjmp/longjmp.c: Define as a real funciton, which restores
        signal mask and calls __longjmp.
	* setjmp/siglongjmp.c: Make this an alias to longjmp.
	* setjmp/_longjmp.c: Alias to longjmp, not siglongjmp.
	* sysdeps/stub/setjmp.c: Implement __sigsetjmp instead of
        __setjmp; call __sigjmp_save.
	* sysdeps/sparc/setjmp.S: Likewise.
	* sysdeps/m68k/setjmp.c: Likewise.
	* sysdeps/i386/setjmp.c: Likewise.
	* sysdeps/vax/setjmp.c: Likewise.
	* sysdeps/mips/setjmp.S: Implement __sigsetjmp instead of
	__setjmp; call __sigsetjmp_aux instead of __setjmp_aux.  Pass SP
	and FP as 3rd and 4th args, not 2nd and 3rd.
	* sysdeps/alpha/setjmp.S: Likewise.
	* sysdeps/mips/setjmp_aux.c: Implement __sigsetjmp_aux instead of
        __setjmp_aux; call __sigjmp_save.
	* sysdeps/alpha/setjmp_aux.c: Likewise.
	* sysdeps/mips/bsd-setjmp.S, sysdeps/mips/bsd-_setjmp.S: New files.
	* sysdeps/alpha/bsd-setjmp.S, sysdeps/alpha/bsd-_setjmp.S: New files.
	* sysdeps/vax/bsd-setjmp.S, sysdeps/vax/bsd-_setjmp.S: New files.
	* sysdeps/sparc/bsd-setjmp.S, sysdeps/sparc/bsd-_setjmp.S: New files.
	* sysdeps/i386/bsd-setjmp.S, sysdeps/i386/bsd-_setjmp.S: New files.
	* sysdeps/m68k/bsd-setjmp.S, sysdeps/m68k/bsd-_setjmp.S: New files.
	* sysdeps/stub/bsd-setjmp.c, sysdeps/stub/bsd-_setjmp.c: New files.
	* setjmp/_setjmp.c: File removed.
	* sysdeps/alpha/__longjmp.c: Take arg of type __jmp_buf, not
        jmp_buf.
	* sysdeps/vax/__longjmp.c: Likewise.
	* sysdeps/stub/__longjmp.c: Likewise.
	* sysdeps/i386/__longjmp.c: Likewise.
	* sysdeps/m68k/__longjmp.c: Likewise.

Sat Dec  3 09:00:17 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/alpha/__sigret.c: Set up frame for `rei' to
	restore on user stack, aligned to an 8-word boundary and with a PS
	value that restores user's stack alignment.

Fri Dec  2 19:31:24 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/unix/readdir.c: Search one char more than D_NAMLEN(DP)
	for the null terminator.  Always set D->d_namlen, using
	D_NAMLEN(DP) if no null is found.

	* sysdeps/unix/sysv/sco3.2.4/__sigact.S: Fix typo `.global' to
        `.globl'.  Silly me, I used a vowel in a Unix program.

Mon Nov 28 16:11:39 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* io/fts.c (ALIGN, ALIGNBYTES): New macros, defined if not already
        defined.

Tue Nov 22 06:39:49 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/unix/bsd/osf1/dirstream.h: File removed.

	* sysdeps/stub/sigcontext.h (struct sigcontext): Use `__sigset_t'
        instead of `sigset_t' for `sc_mask'.
	* sysdeps/mach/hurd/i386/sigcontext.h: Likewise.
	* sysdeps/mach/hurd/alpha/sigcontext.h: Likewise.
	* sysdeps/mach/hurd/mips/sigcontext.h: Likewise.
	* sysdeps/unix/bsd/ultrix4/mips/sigcontext.h: Likewise.
	* sysdeps/unix/bsd/sun/m68k/sigcontext.h: Likewise.
	* sysdeps/unix/bsd/sun/sparc/sigcontext.h: Likewise.

	* hurd/hurdsig.c (_hurd_internal_post_signal: case handle): Call
	abort_thread always, first thing after thread_suspend.

Mon Nov 21 13:18:07 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/__fcntl.c: Don't make this whole function a
        critical section.

	* sysdeps/generic/strpbrk.c: Don't call strchr; do it by hand for
        efficiency.

Wed Nov 16 12:47:22 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/unix/bsd/m68k/sysdep.S [__motorola__]: Swap operands in
        cmp.l.

	* hurd/msgportdemux.c (_hurd_msgport_receive): Call
	_hurd_self_sigstate to get sigstate cached before running any
	signal thread code.

	* sysdeps/mach/hurd/__fork.c: Pass _hurd_msgport_thread to
	__thread_get_state, not _hurd_sigthread.  Don't do
	__thread_get_state on THREAD_SELF--the kernel does not allow it.

	* hurd/hurdsig.c (_hurd_internal_post_signal): In stopping orphan
	test, take sigmask of SIGNO, don't & its value with a mask.  In
	blocked signal test, be careful not to pass SIGNO=0 to __sigismember.

Tue Nov 15 01:39:36 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Makerules (stub-$(subdir)): Save absolute name of
	$(..)sysdeps/stub before cd'ing, transform gleaned file names to
	refer to saved name.

	* sysdeps/mach/hurd/socketpair.c: Include <fcntl.h>.

	* time/test_time.args: Add CST as a test case.

	* sysdeps/mach/hurd/socketpair.c: Rewritten (copying __pipe.c).

	* sysdeps/unix/bsd/dirstream.h [__USE_BSD] (dirfd): New macro.

	* posix/unistd.h: Declare fchdir.

	* io/fts.c (MAXPATHLEN): Define if not defined.

	* io/fts.c, io/fts.h: New files, from 4.4 BSD code by Keith Bostic.
	* io/Makefile (routines): Add fts.
	(headers): Add fts.h.

	Mostly ported the Hurd to the DEC Alpha.
	* sysdeps/mach/alpha/machine-sp.h: New file.
	* sysdeps/mach/alpha/thread_state.h: New file.
	* sysdeps/mach/alpha/sysdep.h: New file.
	* sysdeps/mach/alpha/machine-lock.h: New file.
	* sysdeps/mach/hurd/alpha/sigcontext.h: New file.
	* sysdeps/mach/hurd/alpha/longjmp-ts.c: New file.
	* sysdeps/mach/hurd/alpha/trampoline.c: New file.
	* sysdeps/mach/hurd/alpha/exc2signal.c: New file.
	* sysdeps/mach/hurd/alpha/__sigret.c: New file.

	* sysdeps/mach/hurd/Makefile (errlist.c, errnos.h): Make the
        output unwritable.
	* sysdeps/alpha/Makefile (divrem rule): Make the output
        unwritable, use mv -f.
	* sysdeps/sparc/Makefile (divrem rule): Likewise.

	* configure.in (sysnames): Put another loop on $mach inside $base
	loop but outside $vendor loop.  This should catch .../cpu/vendor.

Mon Nov 14 22:52:03 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/start.c: Add missing #endif.

Sun Nov 13 05:04:18 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/__select.c: At end of receiving loop, clear TO
        instead of TIMEOUT.

	* malloc/mcheck-init.c (turn_on_mcheck): Add gratuitous self
        reference to silence compiler warning.
	(_hurd_preinit_hook): Add the function to this set too.

	* time/__tzset.c (__tzset): Give tz_rules coherent default when TZ
        value is short or malformed.

	* mach/devstream.c: Echo input after reading it.

	* Make-dist (generated): Mutate to add .S and .s variations for .c
        files.

Fri Nov 11 11:43:26 1994  Michael I Bushnell  <mib@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/i386/__sigret.c (__sigreturn): Don't actually
	abort here; at least let the user continue with bogus FP; that's
	better than a random crash until it's fixed.

Thu Nov 10 04:56:28 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/unix/bsd/sun/sunos4/sys/mman.h (msync): Use __caddr_t
        instead of caddr_t in decl.

	* sysdeps/mach/start.c (START_ARGS): Define to void if undefined.
	[START_MACHDEP]: Reference this if defined.
	[START_MACHDEP] (_start): #define to _start0.
	(_start): Take args START_ARGS.
	* sysdeps/mach/hurd/start.c: Likewise.

Wed Nov  9 08:02:59 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/Makefile (sig): Remove longjmp-ctx (it is never called).

	* sysdeps/mach/hurd/__fork.c: Do thread_get_state on parent's
	threads to modify and thread_set_state new child threads.

Mon Nov  7 00:38:45 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* posix/glob/configure.in: Converted to Autoconf v2.
	* posix/glob.c: Test HAVE_DIRENT_H, HAVE_SYS_DIR_H, HAVE_NDIR_H
	instead of DIRENT, SYSDIR, NDIR.
	* posix/glob/Makefile.in (CC): New variable, set from @CC@.
	(CPPFLAGS): Set from @CPPFLAGS@, not @DEFS@.

	* sysdeps/unix/__fork.S: Use decrement and AND instead of test and
        branch.
	* sysdeps/unix/sparc/__fork.S: Likewise.
	* sysdeps/unix/sparc/__vfork.S: Likewise.
	* sysdeps/unix/bsd/sun/m68k/__vfork.S: Likewise.
	* sysdeps/unix/bsd/hp/m68k/__vfork.S: Likewise.
	* sysdeps/unix/i386/__fork.S: File removed.

Sun Nov  6 19:26:28 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Version 1.09.

Fri Nov  4 16:52:05 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Version 1.08.14.

	* manual/Makefile (stamp-summary): Depend on $(chapters-incl) too.

Thu Nov  3 18:33:50 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/generic/sigset.h (__sigemptyset): Cast to __sigset_t.
	(__sigfillset): Likewise.  Use ~(__sigset_t)0 in place of -1.
	(__SIGSETFN): Don't try to be clever.  Test bounds of SIG with <
	and >.

	* sysdeps/mach/hurd/__fork.c: Unlock signal state earlier, just
        after unlocking _hurd_ports locks.

	* sysdeps/unix/bsd/osf1/direct.h: File removed.
	* sysdeps/unix/bsd/direct.h (struct direct): Use `unsigned int'
	instead of `unsigned long int' for `d_fileno' member.

	* Makerules (common-mostlyclean): Remove $(tests:=.out) too.

	* assert/assert-perr.c (__assert_perror_fail): Add missing comma.

	* sysdeps/unix/ioctls-tmpl.c [__osf__ && __alpha__] (FIOPIPESTAT,
	SIOCSRREQR, SIOCSRREQW, SRVC_REQUEST): #undef these.

Wed Nov  2 23:00:19 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/setegid.c: Pass poly and count args for
	other_handles in correct order in call to auth_makeauth.
	* sysdeps/mach/hurd/__setregid.c: Likewise.
	* sysdeps/mach/hurd/__setreuid.c: Likewise.

	* Makerules (compile.S): Add -DASSEMBLER.
	* sysdeps/mach/sysdep.h [ASSEMBLER]: Don't include
        <mach/mig_support.h> if this is defined.

Wed Nov  2 22:39:55 1994  Michael I Bushnell  <mib@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/seteuid.c: Pass poly and count args for
	other_handles in correct order in call to auth_makeauth.

Wed Nov  2 15:03:51 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* stdio/internals.c (fillbuf): Make sure returned char doesn't get
        sign extended.

Tue Nov  1 01:25:28 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/unix/common/Implies: File removed.
	* sysdeps/unix/bsd/Implies: Add unix/inet.

	* assert/assert-perror.c: Renamed to assert-perr.c.
	* assert/Makefile (routines): Rename assert-perror to assert-perr.

	* Version 1.08.13.

	* mach/Makefile (generated): Add __%.c for $(mach-shortcuts) too.

	* dirent/Makefile (tests): Add tst-seekdir.
	* dirent/tst-seekdir.c (main): New file.
	* sysdeps/unix/bsd/seekdir.c: New file.
	* sysdeps/unix/bsd/telldir.c: New file.
	* sysdeps/unix/bsd/dirstream.h (DIR): New member `__pos'.
	* sysdeps/unix/bsd/readdir.c: Update DIRP->__pos in getdirentries
        call.
	* sysdeps/unix/opendir.c: Use calloc in place of malloc, to zero
        fill new DIRs.

	* sysdeps/standalone/i386/force_cpu386/force_cpu386.ld: Renamed to
	target.ld.
	* sysdeps/standalone/i386/force_cpu386/Makefile: Install it from
	that name (still into $(libdir)/force_cpu386.ld).

	* mach/Makefile (headers, user-interfaces, server-interfaces):
        Don't add default_pager stuff.

Mon Oct 31 07:00:40 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/unix/bsd/sun/sunos4/termbits.h (TCSASOFT): Macro
        removed.

	* malloc/malloc.h: Change #ifdef __STDC__ to #if defined
        (__STDC__) && __STDC__.

Fri Oct 28 00:09:24 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/sysdep.h: Include <mach/mig_support.h> for decls.
	(FATAL_PREPARE): Pass arg to __mig_dealloc_reply_port.

	* assert/Makefile (routines): Add assert-perror.

	* Makerules (stubs): cd into $(objdir) and use local file names,
	making the cmd shorter.

	* sysdeps/mach/hurd/getprio.c (getonepriority): Call
        proc_getprocinfo with proc port.

	* sysdeps/mach/hurd/errnos.awk: Grok "@comment errno %d" in
        errno.texi, instead of assigning sequentially.
	* sysdeps/mach/hurd/errlist.awk: Likewise.

	* stdio/fwrite.c: Reset BUFFER_SPACE after fflush in fill_buffer
        case.

	* sysdeps/generic/sigset.h (__SIGSETFN): When losing, punt to
        `raise (-1)'.  Old method looped.

	* hurd/hurd/resource.h: Include <hurd/process.h>.

Thu Oct 27 15:00:50 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/standalone/standalone.h: Fixed typo.

Wed Oct 26 00:21:16 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/unix/i386/vfork.S: New file.

	* sysdeps/generic/strchr.c: Increment CP properly in check for 5th
        char of quadword hit.

	* sysdeps/mach/hurd/getprio.c (getonepriority): Always set ONERR.

Tue Oct 25 03:53:26 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/hurd/resource.h: Include <errno.h>.

	* stdio/ftell.c: If STREAM->__pushed_back, calculate from
        pushback_bufp instead of bufp.

	* Makefile (format-me): New canned sequence; runs makeinfo
        --no-headers.
	(INSTALL): Use it.
	(NOTES): New file rule.

	* manual/intro.texi (Feature Test Macros): Node moved off to
        creature.texi.
	* manual/creature.texi: New file, broken out of intro.texi.

	* manual/Makefile (indices): New variable; include ky.
	(realclean): Use $(indices) to remove all index and sorted index
	files.

	* sysdeps/mach/hurd/fcntlbits.h (O_ASYNC, O_FSYNC, O_SYNC):
        Protect with [__USE_BSD].

Mon Oct 24 00:16:59 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/unix/bsd/utime.c: Initialize tv_usec fields.
	Use __gettimeofday instead of time.

	* sunrpc/pmap_rmt.c: Include <sys/param.h> before <net/if.h>.
	Undef _POSIX_SOURCE before that.
	* sunrpc/pm_getport.c: Likewise.
	* sunrpc/pm_getmaps.c: Likewise.
	* sunrpc/get_myaddr.c: Likewise.

	* misc/sys/cdefs.h: Undef __P first.

	* Version 1.08.12.

	* sysdeps/mach/hurd/getprio.c: Rewritten.
	* sysdeps/mach/hurd/setprio.c: New file.
	* hurd/hurdprio.c: New file.
	* hurd/Makefile (routines): Add hurdprio.
	* hurd/hurd/resource.h (_hurd_priority_which_map): Declare it.
	(NICE_TO_MACH_PRIORITY, MACH_PRIORITY_TO_NICE): New macros.

Sun Oct 23 19:39:18 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Makerules (sources): Fix typo in last change.

Fri Oct 21 13:15:39 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/generic/termbits.h (ECHOKE): Remove gratuitous leading
        space before #define.

	* Makerules (sources): Filter out $(elided-routines).

	* sysdeps/sparc/divrem.m4 (entry point): For OP=rem, set SIGN from
        dividend only, ignoring divisor.
	(Lgot_result): Test SIGN here for OP=rem too (as originally).

Wed Oct 19 02:40:02 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/hurdsig.c: Use assert_perror.

	* assert/assert-perror.c (__assert_perror_fail): New file.
	* assert/assert.h (assert_perror): New macro.
 
	* Version 1.08.11.

	* hurd/hurdsig.c (abort_rpcs): Actually return a port instead of
        boolean, as the type says.

	* hurd/hurdsig.c (abort_all_rpcs): If waiting for reply from
	interrupted RPC returns error, print debugging msg with error
	test, don't assert.

Mon Oct 17 00:06:03 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* stdlib/strtol.c: Deansideclized.
	* sysdeps/generic/strcspn.c: Deansideclized.
	* sysdeps/generic/putenv.c: Deansideclized, added portability
        cruft.

Fri Oct 14 14:00:11 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/unix/sysv/sysv4/solaris2/utsnamelen.h:
	Moved to sysdeps/unix/sysv/sysv4.

Thu Oct 13 22:06:50 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/unix/common/glue-ctype.c [HAVE__LOCP]: Move this defn to
        first.  Include sys/types.h.

	* sysdeps/unix/bsd/readdir.c: Include direct.h.

	* socket/sys/socket.h (__SOCKADDR_ARG): Always use non-GCC defn,
        for now.
	* posix/sys/wait.h (__WAIT_STATUS): Likewise.

Tue Oct 11 00:42:50 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Version 1.08.10.

Mon Oct 10 00:33:47 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* malloc/malloc.h [_MALLOC_INTERNAL] (CHAR_BIT): Don't define if
        already defined.

	* stdio/__vfscanf.c: Grok %q modifier like %ll.

	* mach/__msgserver.c: Increase default MAX_SIZE to two pages.

	* misc/init-misc.c: Cast string constant to non-const type.

	* sysdeps/i386/ffs.c: Use %1 again instead of listing TMP as an
	input with constraint "1".  This avoids a warning that TMP may be
	used before set.

Sun Oct  9 22:41:20 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/hurdsig.c (abort_all_rpcs): Declare SS.

Sun Oct 09 01:19:38 1994  Jim Meyering  (meyering@comco.com)

	* posix/fnmatch.c: Remove CONFIG_BROKETS conditional.

Fri Oct  7 15:28:07 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* stdio/__vfscanf.c: Properly grok %a modifier.

	* hurd/hurdsig.c (abort_rpcs): Return the reply port or null,
        instead of boolean.
	(abort_all_rpcs): Record the returns from abort_rpcs and wait for
	a message on each reply port.  Don't bother locking _hurd_siglock.

Thu Oct  6 18:57:44 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/hurd.h (_hurd_socket_server): Take new arg DEAD; explain
        its use in comment.
	* hurd/hurdsock.c (_hurd_socket_server): Take new arg DEAD; if
	nonzero, clear any old cached port and always do a fresh lookup.
	* sysdeps/mach/hurd/socket.c: Pass new arg to _hurd_socket_server,
        cope with dead server on socket_create.
	* sysdeps/mach/hurd/__pipe.c: Likewise.

Mon Oct  3 02:09:43 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/generic/utsnamelen.h (_UTSNAME_LENGTH): Increase to
        1024.

Sun Oct  2 18:35:16 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* posix/glob.h (__P): Change arg name to `protos', for congruence
        with 4.4 BSD.
	* posix/fnmatch.h (__P): Likewise.

Sat Oct  1 04:25:35 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* misc/Makefile (routines): Add daemon.

Fri Sep 30 16:49:09 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* misc/daemon.c: New file, incorporated from BSD 4.4-Lite.

	* sysdeps/mach/hurd/__setsid.c: Call _hurd_setcttyid with
        MACH_PORT_NULL after proc_setsid.

	* hurd/hurdioctl.c (_hurd_setcttyid): Don't do mod_refs if port is
        null.

	Always use fds' `port' cell for the generic port.
	For ctty fds, use the `ctty' cell for the ctty-special port.
	* hurd/dtable.c (get_dtable_port): Use port, never ctty.
	(fork_child_dtable): Reset D->ctty instead of D->port.
	(ctty_new_pgrp): Likewise. 
	* sysdeps/mach/hurd/__ioctl.c: Use ctty port for RPC if set and
        !NOCTTY.
	* hurd/port2fd.c (_hurd_port2fd): Install normal port in D->port
	cell, and ctty-special port in the D->ctty cell, not the reverse.
	* hurd/hurdioctl.c (tiocsctty): Don't assume MACH_PORT_NULL is
        zero.
	* hurd/hurdexec.c (_hurd_exec): Always pass fds' normal port,
        never its ctty port.
	* hurd/fd-write.c (_hurd_fd_write): Use ctty port for RPC if set
        and !NOCTTY.
	* hurd/fd-read.c (_hurd_fd_read): Use ctty port for RPC if set.

Thu Sep 29 18:28:01 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* mach/mig_syms.c (mig_put_reply_port): Add symbol alias to __
        name.

Thu Sep 29 12:23:07 1994  Brendan Kehoe  (brendan@zen.org)

	* sysdeps/unix/sysv/sysv4/solaris2/sparc/sysdep.h (ENTRY): Use
	poundfnc instead of \#function, to satisfy gcc-2.6.0 and higher.
	(cat, poundfnc): Define macros to pull it off.

	* sysdeps/unix/sysv/sysd-stdio.c: Include
	sysdeps/generic/sysd-stdio.h,
	not looking in sysdeps/posix.

Thu Sep 29 05:38:14 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/unix/common/configure.in (ctype check): In test prog,
	just reference $ctype; we don't care what type it is.

	* sysdeps/unix/bsd/bsd4.4/direct.h: New file.
	(HAVE_D_TYPE): Define this macro.
	* dirent/dirent.h (struct dirent): New member `d_type'; shorten
        `d_namlen' to a byte.
	* sysdeps/unix/bsd/readdir.c [! HAVE_D_TYPE]: Shuffle d_namlen and
        clear d_type.

Wed Sep 28 17:23:26 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* posix/sys/utsname.h [__USE_SVID] (SYS_NMLN): New macro.

	* dirent/scandir.c: Free storage on error from readdir.

Mon Sep 26 00:55:34 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Version 1.08.9.

	* MakeTAGS (all-dist): Prepend the appropriate sysdep dir names.

	* hurd/hurdsig.c (_hurd_internal_post_signal: sigwakeup): Create a
        send right.

Sat Sep 24 13:44:51 1994  Jim Meyering  (meyering@comco.com)

	* sysdeps/generic/memcmp.c [CMP_LT_OR_GT]: New macro.
	(memcmp): Use it in place of each of ten 5-line #ifdef blocks.

Fri Sep 23 16:55:54 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/sigsuspend.c: Include <hurd/msg.h>.

	* sysdeps/mach/hurd/sigsuspend.c: Add missing & in __mach_msg
        call.

Thu Sep 15 14:22:56 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/standalone/i386/force_cpu386/Dist: New file.
	* sysdeps/standalone/m68k/m68020/mvme136/Dist: New file.
	* sysdeps/standalone/i960/Dist: New file.
	* sysdeps/standalone/m68k/m68020/Dist: New file.
	* sysdeps/standalone/i386/force_cpu386/force_cpu386.ld: New file.
	* sysdeps/standalone/m68k/m68020/mvme136/mvme136.ld: New file.
	* sysdeps/standalone/i960/i960ca.h: New file.
	* sysdeps/standalone/m68k/m68020/m68020.h: New file.

	* sysdeps/unix/common/configure.in: Use AC_COMPILE_CHECK instead
        of AC_HAVE_FUNCS.

	* sysdeps/generic/make_siglist.c (sys_siglist): Define as macro to
        my_siglist.

	* sysdeps/mach/i386/thread_state.h: Include from mach/machine, not
        mach/i386.
	* sysdeps/mach/hurd/i386/sigcontext.h: Likewise.

	* mach/mach/mig_support.h (__mig_put_reply_port): Declare.
	(__mig_dealloc_reply_port): Take arg.
	* sysdeps/mach/hurd/mig-reply.c (__mig_put_reply_port): New
        function.
	(__mig_dealloc_reply_port): Take arg, ignore it.

Wed Sep 14 18:16:07 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/Makefile (libc-name): Set to crt.
	[!subdir]: Install libc-ldscript as libc.a.
	* sysdeps/mach/hurd/Dist: Add libc-ldscript.

Tue Sep 13 19:57:09 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/sync.c: Don't be synchronous: pass WAIT=0 to
        file_syncfs.

	* Makerules (libc-name): New variable.
	(install, libc installation rule): Use $(libc-name) in place of `c'.

Sun Sep 11 23:28:20 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/__readlink.c: Only decrement LEN to remove the
	null terminator when LEN is already large enough to include it.

	* hurd/hurdlookup.c (__hurd_file_name_lookup_retry): Add break
        after FS_RETRY_MAGICAL case.

Fri Sep  9 04:03:59 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* stdio/vfprintf.c: Grok q modifier like ll.

	* Make-dist (sysdep-Subdir-files, subdirs): Set these early on,
        before doing distinfo.
	[parent] (+distinfo): Set inhibit_interface_rules=t in sub-make.

Thu Sep  8 17:18:14 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/generic/morecore.c (__default_morecore) [! __STDC__]:
	Declare arg as `int' instead of `ptrdiff_t'.

Tue Sep  6 19:06:00 1994  Roland McGrath  <roland@geech.gnu.ai.mit.edu>

	* posix/glob.c (prefix_array, glob): Avoid const on initialized
	variables.  Some compiler generates bad code.

Mon Sep  5 13:24:26 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* malloc/Makefile (malloc/%: ../sysdeps/generic/%): New rule, to get
        morecore.c.

	* malloc/malloc.h (size_t, ptrdiff_t): Never define these as macros.
	(__malloc_size_t): Define this instead.
	Change all uses of size_t to __malloc_size_t.
	* malloc/valloc.c: Replace all uses of size_t with __malloc_size_t.
	* malloc/memalign.c: Likewise.
	* malloc/mcheck.c: Likewise.
	* malloc/mtrace.c: Likewise.
	* malloc/malloc.c: Likewise.
	* malloc/free.c: Likewise.
	* malloc/realloc.c: Likewise.
	* malloc/calloc.c: Likewise.

	* MakeTAGS (TAGS): Define first so as to be default goal.
	(sysdep_dirs): Set this by running find, if it is not already set.
	(all-dirs): Include that value.
	(all-dist): Filter output of cat, not args to it.
	* Makerules (TAGS): Depend on distinfo, not distfile.

	* resolv/getnetnamadr.c (getnetbyname): Arg is always const,
        regardless of [sun].

Sun Sep  4 00:04:55 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Version 1.08.8.

	* Makerules (distinfo-vars): Double $s in final emitted sources defn.

	* inet/Makefile (headers): Add netdb.h.
	* resolv/Makefile (headers): Remove netdb.h.
	* resolv/netdb.h: Moved to inet.
	* inet/netdb.h: Incorporated from BSD 4.4-Lite.
	Add back h_errno declaration.

	* hurd/Makefile (faultexc.c): Change this to a pattern rule to
        build both faultexc.[ch].
	(hurdfault.o): Depend on faultexc.h and faultexc.c to get them built.

	* sysdeps/mach/hurd/i386/trampoline.c
        (_hurdsig_rcv_interrupted_p): Make PC volatile.
	(_hurd_setup_sighandler): Cast SS->context to int before comparing to
	_hurdsig_fault_sigcode.

	* sysdeps/mach/thread_state.h (MACHINE_THREAD_STATE_SET_{SP,PC}):
        Cast args to unsigned long int.

	* sysdeps/mach/hurd/i386/trampoline.c: Use _hurdsig_catch_fault.

	* Make-dist (subdirs): Use sed to remove comments from Subdirs files.
	* MakeTAGS (subdirs): Likewise.

	* sysdeps/mach/i386/thread_state.h: Include
        <mach/i386/thread_status.h> first thing.

	* hurd/Makefile (sig): Add faultexc.
	($(objpfx)faultexc.c): New target.
	(generated): Append faultexc.c.

	* hurd/Makefile (sig): Add hurdfault; remove init-fault.
	(distribute): Add hurdfault.h.
	* hurd/hurdfault.h: New file.
	* hurd/hurdfault.c: New file.
	* hurd/hurdsig.c (interrupted_reply_port_location): Use
	_hurdsig_catch_fault and _hurdsig_end_catch_fault.
	(_hurdsig_getenv): Likewise.
	* sysdeps/mach/hurd/i386/trampoline.c: Likewise.

	* hurd/catch-exc.c: Return EPERM if TASK is not right.

	* hurd/hurdsig.c (_hurd_sigthread_fault_env): Variable moved to
        hurdfault.c.
	(_hurdsig_fault_init): Function moved to hurdfault.c.

Sat Sep  3 12:22:53 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/thread_state.h (MACHINE_THREAD_STATE_SET_PC,
        MACHINE_THREAD_STATE_SET_SP): New macros.
	* mach/setup-thread.c: Use MACHINE_THREAD_STATE_SET_PC.
	* sysdeps/mach/hurd/__fork.c: Likewise.

	* string/test-ffs.c (main: try): Actually call ffs in the test.

Fri Sep  2 21:20:17 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/mips/__sigret.c: Restore FPU state.  Code from
        kkojima.

	* sysdeps/mach/hurd/__mknod.c: Fixed copying of the translator
	name into buffer with major and minor numbers, and setting of LEN.

	* sysdeps/unix/configure (unix_syscall): In sed cmd, do = first to
	avoid clobbering produced assignments.

Thu Sep  1 03:25:17 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Version 1.08.7.

	* sysdeps/mach/hurd/connect.c (connect): Fix accidental renaming
        of sun_path to sun_file_name.

	* bare/Makefile (routines, elided-routines): Set these both to
        $(bare-routines).
	(distribute): Don't set this.

	* Makerules (distinfo-vars): Fix cmd to echo `sources' defn.

	* sysdeps/unix/configure: Handle dirs other than common.  Check
	for [gs]etdomainname.
	* misc/Makefile (routines): Add getdomain, setdomain.
	* sysdeps/unix/bsd/bsd4.4/setdomain.S: New file.
	* sysdeps/unix/bsd/bsd4.4/getdomain.S: New file.
	* sysdeps/stub/setdomain.c: New file.
	* sysdeps/stub/getdomain.c: New file.

Wed Aug 31 01:15:26 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/hurdsig.c (_hurd_internal_post_signal: sigwakeup): Take no
	args; use parent SS variable.  Changed all calls.

	* hurd/hurd/signal.h (struct hurd_sigstate): Make `suspended' a
        port; remove `arrived'.
	* sysdeps/mach/hurd/sigsuspend.c (sigsuspend): Rewritten to set
	SS->suspended port and wait for msg on it.  Check for and deliver
	pending signals properly.
	* hurd/hurdsig.c (_hurd_internal_post_signal: sigwakeup): If
	SS->suspended is set, send an empty message on it and clear it.

	* math/test-math.c (print_trig_stuff): New function, tests many
        math functions.
	(main): Call it at end.

	* string/Makefile (tests): Added test-ffs.
	* string/test-ffs.c: New file.

Tue Aug 30 20:33:49 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* misc/fstab.c (error): Return void.
	(fstabscan): Return int.

	* sysdeps/i386/ffs.c: Use & modifier in constraint for CNT.

	* misc/fstab.c (EFTYPE): If not defined by errno.h, define this to
        EINVAL.
	(fstabscan): Return void.

Tue Aug 30 11:00:01 1994  Michael I Bushnell  <mib@geech.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/__access.c (__access): Use a send right,
	not a send-once right, in the new auth protocol.
	* hurd/__setauth.c (_hurd_setauth): Likewise.
	* hurd/hurdsig.c (reauth_proc): Likewise.
	* hurd/dtable.c (reauth_dtable): Likewise.
	* hurd/hurdlookup.c (__hurd_file_name_lookup_retry): Likewise.

Tue Aug 30 03:59:38 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* socket/sys/socket.h (__SOCKADDR_ARG) [GCC>=2.6]: Use a typedef
	with the transparent_union attribute.

	* sysdeps/mach/hurd/__access.c: Use new authentication protocol:
	for each port, create a fresh receive right and pass send-once
	rights in the auth calls, then destroy the port.

	* sysdeps/mach/mips/syscall.S: New file.

	* stdio/Makefile (mpn-headers, mpn-sysdep): Change asm.h to
	asm-syntax.h.

	* misc/Makefile (headers): Added fstab.h.
	(routines): Added fstab.
	* misc/fstab.c: New file.
	* misc/fstab.h: New file.

	* hurd/Makefile (routines): Changed hurdpath to hurdlookup.
	* hurd/hurdpath.c: Renamed to hurd/hurdlookup.c.
	* hurd/hurdlookup.c: Globally replace `pathtrans' with `lookup' and
        `path' with `file_name'.
	(__hurd_file_name_split): Don't bother skipping leading slashes.
	* hurd/hurd.h: Rename likewise in decls.
	* hurd/fchroot.c: Globally replace `pathtrans' with `lookup' and
        `path' with `file_name'.
	* hurd/hurdsig.c: Likewise.
	* hurd/hurdsock.c: Likewise.
	* hurd/hurdsyms.c: Likewise.
	* hurd/invoke-trans.c: Likewise.
	* sysdeps/mach/hurd/__access.c: Likewise.
	* sysdeps/mach/hurd/__chmod.c: Likewise.
	* sysdeps/mach/hurd/__chown.c: Likewise.
	* sysdeps/mach/hurd/__execve.c: Likewise.
	* sysdeps/mach/hurd/__link.c: Likewise.
	* sysdeps/mach/hurd/__lstat.c: Likewise.
	* sysdeps/mach/hurd/__mkdir.c: Likewise.
	* sysdeps/mach/hurd/__mknod.c: Likewise.
	* sysdeps/mach/hurd/__open.c: Likewise.
	* sysdeps/mach/hurd/__rmdir.c: Likewise.
	* sysdeps/mach/hurd/__readlink.c: Likewise.
	* sysdeps/mach/hurd/__stat.c: Likewise.
	* sysdeps/mach/hurd/__symlink.c: Likewise.
	* sysdeps/mach/hurd/__unlink.c: Likewise.
	* sysdeps/mach/hurd/__utimes.c: Likewise.
	* sysdeps/mach/hurd/bind.c: Likewise.
	* sysdeps/mach/hurd/chflags.c: Likewise.
	* sysdeps/mach/hurd/connect.c: Likewise.
	* sysdeps/mach/hurd/fchdir.c: Likewise.
	* sysdeps/mach/hurd/opendir.c: Likewise.
	* sysdeps/mach/hurd/sysd-stdio.c: Likewise.
	* sysdeps/mach/hurd/truncate.c: Likewise.
	* sysdeps/mach/hurd/rename.c: Likewise.
	* sysdeps/mach/hurd/getcwd.c: Likewise.
	* sysdeps/mach/hurd/chroot.c: Likewise.
	* sysdeps/mach/hurd/__chdir.c: Likewise.

	* hurd/__setauth.c (_hurd_setauth): Use new authentication
	protocol: for each port, create a fresh receive right and pass
	send-once rights in the auth calls, then destroy the port.
	* hurd/hurdsig.c (reauth_proc): Likewise.
	* hurd/dtable.c (reauth_dtable): Likewise.

	* hurd/hurdpath.c (__hurd_path_lookup_retry): Don't handle
	FS_RETRY_NONE (it's gone).  Use new authentication protocol:
	create a fresh receive right and pass send-once rights in the auth
	calls, then destroy the port.

Mon Aug 29 13:17:39 1994  Michael I Bushnell  <mib@geech.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/__symlink.c (__symlink): Use new
	file_set_translator protocol.
	* sysdeps/mach/hurd/bind.c (bind): Likewise.
	* sysdeps/mach/hurd/__mknod.c (__mknod): Likewise.

	* sysdeps/mach/hurd/__pipe.c (__pipe): Use PF_LOCAL instead
	of AF_FILE.

Fri Aug 26 01:21:09 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Makefile ($(objpfx)sysd-dirs): Use sed to remove # comments from
        Subdirs files.

	Support for miscellaneous standalone boards (no OS), contributed
	by Joel Sherrill (jsherril@redstone-emh2.army.mil), On-Line
	Applications Research Corporation.
	* sysdeps/standalone: New directory.
	* sysdeps/standalone/standalone.h: New file.
	* sysdeps/standalone/stdio_lim.h: New file.
	* sysdeps/stub/strtsupp.c: New file.
	* sysdeps/standalone/filedesc.h: New file.
	* sysdeps/posix/{setenv,putenv}.c: Moved to sysdeps/generic.
	* sysdeps/unix/getenv.c: Moved to sysdeps/generic.
	* sysdeps/unix/morecore.c: Moved to sysdeps/generic.
	* sysdeps/posix/sysd-stdio.c: Moved to sysdeps/generic.
	* sysdeps/stub/errnos.h: Add ENFILE and EMFILE.
	* sysdeps/stub/errlist.c (_sys_errlist): Likewise.
	* sysdeps/stub/console.c: New file.
	* sysdeps/standalone/__open.c: New file.
	* sysdeps/standalone/__read.c: New file.
	* sysdeps/standalone/__write.c: New file.
	* sysdeps/standalone/__close.c: New file.
	* sysdeps/stub/brdinit.c: New file.
	* sysdeps/unix/__sbrk.c: Moved to sysdeps/generic.
	* sysdeps/standalone/__brk.c: New file.
	* sysdeps/standalone/Subdirs: New file
	* bare/Makefile: New file (and new directory).
	* sysdeps/i960/ffs.c: New file.
	* sysdeps/i960/Implies: New file.
	* configure.in (os=none): base_os=standalone

Thu Aug 25 23:56:32 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/stub/__sigret.c: Arg is not const.
	* signal/sigret.c: Likewise.

Tue Aug 23 14:43:19 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* socket/sys/socket.h (PF_FILE, AF_FILE): Removed (use LOCAL instead).
	(PF_XTP, PF_COIP, PF_CNT, PF_RTIP, PF_IPX, PF_SIP, PF_PIP): New
	macros.
	(PF_MAX): Increased to 26.
	(pseudo_AF_XTP, AF_COIP, AF_CNT, pseudo_AF_RTIP, AF_IPX, AF_SIP,
	pseudo_AF_PIP): New macros.
	(MSG_EOR, MSG_TRUNC, MSG_CTRUNC, MSG_WAITALL, MSG_DONTWAIT,
	SO_REUSEPORT): New enum constants.

	* hurd/hurdsig.c (_hurd_internal_post_signal): If not preempted,
	set ACT before checking for SIGCONT.  When continuing and
	ACT==handle, don't resume SS->thread; record that it is suspended
	and in handler-setup code, don't suspend it again.

	* sysdeps/mach/hurd/sys/param.h: Include <errno.h> (BSD does).

	* sysdeps/mach/hurd/__fork.c: When unchaining old sigstates, check
        for SS being head of chain.

Mon Aug 22 00:29:02 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* time/{asia,australasia,europe,northamerica}: New data from ADO.

	* hurd/hurdsig.c (abort_rpcs): After destroying MSGING_PORT,
	change the return value register in STATE to EINTR.
	* sysdeps/mach/mips/thread_state.h (SYSRETURN): New macro.
	* sysdeps/mach/i386/thread_state.h (SYSRETURN): New macro.

	* hurd/hurdsig.c (default_sigaction): New function.
	(_hurd_thread_sigstate): Use it to initialize SS->actions.
	Initialize rest of new sigstate by hand, don't just bzero it.

	* hurd/hurdsig.c (_hurd_internal_post_signal): Initialize
        THREAD_STATE.set to zero.

	* posix/execl.c: Use ARG instead of PATH in va_start.

	* sysdeps/mach/hurd/__fork.c: In child fork, unchain stale
	structures from _hurd_sigstates first, and only free them after
	other processing is complete.

	* hurd/hurdpath.c (__hurd_path_lookup_retry): For malformed number
	in magic "fd/N", return ENOENT instead of treating it as bogus
	magic.

	* sysdeps/mach/hurd/__chdir.c: After __path_lookup on arg, use
	__hurd_path_lookup of empty file name on resultant port to check
	that it's a directory.
	* sysdeps/mach/hurd/chroot.c: Likewise.
	* sysdeps/mach/hurd/fchdir.c: Use __hurd_path_lookup of empty file
	name on FD port to check that it's a directory and acquire a
	reference at the same time.
	* hurd/fchroot.c: Likewise.

	* hurd/hurdpid.c (init_pids): Add gratuitous self reference to
        silence compiler.

	* hurd/hurdpath.c: Include <hurd/term.h> for cttyid opening rpc.
	(__hurd_path_lookup_retry): Fixed typo.

	* sysdeps/mach/hurd/i386/__sigret.c: Push state onto the user's
        stack, switch to it, pop and return.

	Major rewrite of Hurd signal delivery.
	* hurd/hurd/signal.h (struct hurd_sigstate): New member `context'.
	* sysdeps/mach/hurd/i386/trampoline.c: Include "thread_state.h"
        instead of <mach/thread_status.h>.
	(struct mach_msg_trap_args): New type.
	(trampoline): Function removed.
	(_hurd_setup_sighandler): Take struct hurd_sigstate * arg instead
	of FLAGS and SIGALTSTACK args; take new flag arg RPC_WAIT; use
	struct machine_thread_all_state * for STATE arg.  New declared
	labels `trampoline', `rpc_wait_trampoline' mark asm code at end of
	function (after return).  Add another struct sigcontext * to
	STACKFRAME after the first one, for the arg to __sigreturn.  If
	SS->context is set, fill registers in SCP from that instead of
	STATE, and reset SS->INTR_PORT from it.  Use memcpy to copy from
	STATE into SCP; the structures are congruent.  If RPC_WAIT is set,
	set up to use rpc_wait_trampoline and frob args to mach_msg_trap
	syscall in progress so that it will retry the receive operation
	(but not resend!).
	{rpc_wait_trampoline, trampoline}: New trampoline code.
	(_hurd_rcv_interrupted_p): New function.
	* sysdeps/mach/hurd/mips/trampoline.c: Likewise.
	* hurd/hurdsig.c (write_corefile): Take new arg SIGERROR.  Use
	_hurdsig_getenv instead of getenv.  Use dir_mkfile to create an
	unlinked node for the core file; then use dir_link to name it,
	only if core_dump_task succeeded.
	(post_reply): New function.
	(abort_thread): New function.
	(interrupted_reply_port_location): New function.
	(interrupted_reply_port): Function removed (replaced by above).
	(abort_all_rpcs): Take struct machine_thread_all_state * for STATE.
	(abort_rpcs): Likewise.
	Return int, nonzero iff interrupt_operation RPC was done.  Take
	args for reply port and its port type; call abort_thread instead
	of doing thread_abort and thread_get_state.  Call
	_hurdsig_rcv_interrupted_p instead of _hurd_thread_state_msging_p.
	Use __interrupt_operation mig stub instead of manual packing.  If
	we destroy the msging port, and it is the thread's mig reply port,
	clear its reply port slot.  Fix inverted SA_RESTART test.
	(_hurd_internal_post_signal): Take new arg SIGERROR.
	Remove `cont' from ACT enum; SIGCONT processing is independent of
	handling.  Removed local function `check_pending'; add `reply'.
	Use mask macro STOPSIGS instead of alternation to check for stop
	signals.  Process SIGCONT and do continuation before examining the
	handler.  Use SS->pending_data instead of SS->sigcodes.  When
	dying, don't lock _hurd_siglock around __proc_dostop call.  When
	dying, reply immediately after stopping user threads.  When
	handling, notice return from abort_rpcs and pass it to
	_hurd_setup_sighandler; also pass SS instead of its components.
	Set SCP->sc_error from SIGERROR; clear SS->intr_port after saving
	it in SCP->sc_intr_port.  For pending checks, use macro PENDING
	and goto pending if returns true.
	(_S_sig_post): Eliminate unnecessary variable WIN; pass SIGERROR
	value of zero to _hurd_internal_post_signal.
	(_hurdsig_getenv): New function.
	* sysdeps/mach/hurd/i386/__sigret.c (sp): New global register
        variable.
	(__sigreturn): Arg is not const.
	After restoring SCP->sc_mask, check for pending signals (newly
	unblocked); if any, set SS->context to SCP, clear SS->intr_port,
	and send sig_post to the signal thread to deliver the pending
	signals.  Point SP directly at &SCP->sc_gs and used popa;iret to
	restore.  (This does not actually work; iret is unhelpful.)
	* sysdeps/mach/hurd/mips/__sigret.c (__sigreturn): Arg is not
	const.  After restoring SCP->sc_mask, check for pending signals
	(newly unblocked); if any, set SS->context to SCP, clear
	SS->intr_port, and send sig_post to the signal thread to deliver
	the pending signals.  Don't write $1 value into the user stack.
	Instead, write it into the word just past SCP->sc_pc; then point
	$1 at SCP->sc_pc and use `op_sigreturn' pseudo-instruction to
	restore the PC and $1 from that.

Fri Aug 19 15:39:54 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* configure.in (machine): Grok i586 -> i386/i586.
	* sysdeps/i386/pentium: Directory renamed to sysdeps/i386/i586.

	* hurd/hurd.h (_hurd_pids_changed_stamp, _hurd_pids_changed_sync):
        New variables.
	* hurd/hurdpid.c (_S_proc_newids): Last thing, increment
	_hurd_pids_changed_stamp and broadcast on _hurd_pids_changed_sync.
	* sysdeps/mach/hurd/__setpgrp.c: After proc_setpgrp succeeds and
	PID is ourself, wait on _hurd_pids_changed_sync until
	_hurd_pids_changed_stamp increases from the value before the RPC.
	* sysdeps/mach/hurd/__setsid.c: After proc_setsid succeeds, wait
	on _hurd_pids_changed_sync until _hurd_pids_changed_stamp
	increases from the value before the RPC.

	* posix/sys/wait.h [GCC>=2.6] (__WAIT_STATUS): Define this with
	typedef as a union with the new (GCC 2.6.1) `transparent_union'
	attribute.

	* stdio/printf_fp.c (MPNSIZE): New macro, computed from DBL_MAX_EXP.
	(MPN_VAR): Use that for size of bignums.

	* sysdeps/mach/hurd/__kill.c: For pgrp, ignore ESRCH error from
	kill_pid of individual pids, unless from all of them.
	* hurd/hurdkill.c (_hurd_sig_post): Likewise.

Fri Aug 19 00:54:50 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* configure.in (INSTALL): Quote this shell goop from m4.

	* sysdeps/stub/start.c (errno, __environ): Define these variables.

	* sysdeps/stub/errnos.h (ENOMEM, EACCES): New macros.
	* sysdeps/stub/errlist.c (_sys_errlist): Add strings for all
        macros defined in stub/errnos.h.
	(_sys_nerr): Use value computed from sizeof (_sys_errlist).

Wed Aug 17 15:32:39 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/hurdmsg.c (_S_io_select_done): Take poly arg for notify
        port arg.

	* mach/mach_init.h (vm_page_size): Remove macro defn.

	* hurd/Makefile (distribute): Added STATUS.

	* sysdeps/mach/thread_state.h: Include <string.h> and
        <mach/mach_interface.h>.

	* sysdeps/mach/hurd/__select.c: Pass port-type arg to io_select.

	* sysdeps/mach/hurd/__fork.c: Include "hurdmalloc.h", so we use
        the right `free'.

	* sysdeps/mach/hurd/__select.c (SELECT_DONE_MSGID): Correct value
        to 23020.
	(__select): Don't set PORT until just before sending io_select calls.
	Pass proper send-size for io_select_done reply message.  Clear the
	reply port slot in io_select_done reply message header.

	* sysdeps/mach/hurd/__kill.c: Rename parameter to ARG_SIG, make
        SIG a local variable initialized to that (this to work around a
        GCC bug).
	Initialize PIDS and NPIDS properly for proc_getpgrppids call.

	* signal/signal.h (__sigreturn, sigreturn): Arg is not const.

	* hurd/hurdpath.c (__hurd_path_lookup_retry): For REAUTH or NORMAL
	with empty retryname, treat like NONE (which is now obsolete)
	after reauthentication.  For magic "tty", use new
	termctty_open_terminal RPC on cttyid port.

Tue Aug 16 01:58:21 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/__kill.c (kill_pid): Make non-inline.  Treat
	null msgport like EPERM return from sig_post.
	* hurd/hurdkill.c (_hurd_sig_post): Treat null msgport like EPERM.

	* sysdeps/mach/thread_state.h (machine_get_state,
	machine_get_basic_state): Initialize count arg before calling
	thread_get_state.

	* hurd/hurdpath.c (__hurd_path_lookup_retry): Initialize ERR to zero.

	* hurd/hurdpath.c (__hurd_path_lookup_retry): Grok magic "tty".

	* hurd/hurd/signal.h (struct hurd_sigstate): Replace `sigcodes' with
        `pending_data'.
	(_hurd_raise_signal, _hurd_setup_sighandler): Update prototypes.
	(_hurd_thread_state_msging_p): Don't declare.
	(_hurdsig_rcv_interrupted_p): Declare this instead.
	(HURD_EINTR_RPC): Invert sense of restart test.

	* hurd/hurdrlimit.c (_hurd_rlimits): Add braces to initializer.

	* hurd/catch-exc.c: Unlock _hurd_siglock when done with it.  Use
	__spin_lock_locked on `held' member instead of __mutex_lock_locked.

	* sysdeps/mach/thread_state.h: New file.
	* sysdeps/mach/i386/thread_state.h: Don't #include
	<mach/thread_status.h>.  Add #include_next <thread_state.h> at end.
	* sysdeps/mach/mips/thread_state.h: Likewise.

	* sysdeps/mach/hurd/i386/sigcontext.h (struct sigcontext): Lay out
	corresponding to i386_thread_state and i386_float_state.
	* sysdeps/mach/hurd/mips/sigcontext.h (sc_mips_thread_state,
	sc_mips_exc_state, sc_mips_float_state): New macros, marking
	members that correspond to thread_state.h structs.

Mon Aug 15 17:21:20 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Rules [cross-compiling=yes] (tests): Depend on the binaries, not
	the output files.

	* Makerules: Replace uses of HOST_CC with BUILD_CC and
        native-CFLAGS with BUILD_CFLAGS.

	* sysdeps/unix/Makefile (mk-local_lim, make-ioctls): Replace uses
	of CC with BUILD_CC and native-CFLAGS with BUILD_CFLAGS.
	* sysdeps/unix/sysv/sysv4/solaris2/Makefile: Replace uses of
        HOST_CC with BUILD_CC and native-CFLAGS with BUILD_CFLAGS.
	* sysdeps/posix/Makefile: Likewise.

	* Makeconfig (+cc_version): Variable and associated code removed.
	(HOST_CC): Use BUILD_CC instead; all uses changed.
	(cross-compiling): Set to no if not the case.

	* sysdeps/m68k/fpu/__math.h: Replace all uses of __const with
        __CONSTVALUE.

	* Makerules (distinfo-vars): Remove $@.new first thing.  Write
	elided-routines instead of sysdep_routines.  After writing
	variables, append to sources from $(elided-routines).
	* sysdeps/vax/Makefile (elided-routines): New variable (append to
        it).
	(aux, routines): Don't set these.
	(sysdep_routines): Append things here instead.
	* sysdeps/generic/Makefile (elided-routines): New variable (append
        to it).
	(aux): Don't set this.
	* sysdeps/generic/Makefile (routines): Don't set this.
	(sysdep_routines): Append exp__E and log__L here instead.

	* time/test_time.c (main): Set TBUF.tm_isdst to -1 before calling
        mktime.

	* stdlib/stdlib.h (atof, atoi, atol, random, srandom, setstate,
	initstate, mblen): Never define as macros.
	[__OPTIMZE__ && __GNUC__ >= 2]: Define those functions as extern
	inlines.

	* hurd/hurdpath.c (__hurd_path_lookup_retry): For magic "fd/%u",
	lose on random chars after number; for / after number, retry
	remainder properly.

	* hurd/hurdpath.c (pathtrans_error): New function; filters errors
	from dir_pathtrans: EOPNOTSUPP and MIG_BAD_ID become ENOTDIR.
	(__hurd_path_lookup, __hurd_path_lookup_retry): Call it.

Thu Aug 11 11:59:33 1994  Noel Cragg  (noel@churchy.gnu.ai.mit.edu)

	* time/mktime.c (_mktime_internal): Add code to normalize value of
	TM_ISDST to -1, 0, or 1 so code doesn't loop forever.

Thu Aug 11 02:26:37 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* resolv/Makefile (subdir): Set to resolv, not res.

	* sysdeps/mach/hurd/sysd-stdio.c (fd_fail): Pass ERR to
        _hurd_raise_signal.

	* sysdeps/mach/i386/thread_state.h (struct machine_thread_all_state):
	Add new member `fpu'.

Wed Aug 10 23:39:49 1994  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* malloc/mcheck.c (mcheck): Remove obsolete extern declaration.

	* malloc/mcheck.c (flood): Add an arg.
	(freehook, mallochook, reallochook): Use different flood bytes to
	distinguish freed space from uninitialized allocated space.

	* malloc/mtrace.c (mtrace): Guard against being called twice.
	(muntrace): New function, to turn off tracing.
	* malloc/malloc.h: Declare it.

Wed Aug 10 02:47:24 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/mips/sigcontext.h (struct sigcontext): Renamed
        member `sc_err' to `sc_error'.

	* hurd/hurd-raise.c: Take new arg SIGERROR.  Set
	SS->pending_data[SIGNO] from SIGCODE and SIGERROR instead of
	setting SS->sigcodes[SIGNO].

	* Makeconfig (+includes): Use text manipulation to avoid
	conditional for $(..).  Append $(last-includes).
	* sysdeps/mach/hurd/Makefile (last-includes): Append
        -I.../libthreads to this.
	(includes): Not to this.

	* hurd/hurd/fd.h (_hurd_fd_error): Pass ERR to _hurd_raise_signal.

	* stdlib/stdlib.h [__OPTIMIZE__] (cfree, rand, srand, random,
	srandom, initstate, setstate): Macros removed.

	* malloc/mcheck.c (reallochook): Fixed typo.
	(mabort) [! __GNU_LIBRARY__]: Use fprintf and abort instead of
	__libc_fatal.

	* hurd/Makefile (sig): Remove msging-p; that function will go in
        trampoline.c.
	* sysdeps/stub/msging-p.c: File removed.
	* sysdeps/mach/hurd/mips/msging-p.c: File removed.
	* sysdeps/mach/hurd/i386/msging-p.c: File removed.

Tue Aug  9 19:20:29 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd/catch-exc.c: Get error code from _hurd_exception2signal and
	pass it to _hurd_internal_post_signal.  Search for SS manually
	rather than using _hurd_thread_sigstate, to avoid locks.

	* sysdeps/mach/hurd/mips/msging-p.c: Fetch port argument from
	register $8 (t0) instead of stack.  Change type of STATE arg to
	`struct machine_thread_all_state *'.

	* inet/inet_netof.c: Incorporated from BSD 4.4-Lite.
	* inet/inet_net.c: Incorporated from BSD 4.4-Lite.

Tue Aug  9 18:28:40 1994  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* malloc/mtrace.c (tr_mallochook, tr_reallochook): Don't assume
	%lx format matches size_t arg.
	* malloc/mtrace.c: Enable file- and line-number tracing.
	* malloc/mtrace.awk: Postprocess that trace information.

	* malloc/mcheck.c (flood): New function.
	(freehook, mallochook, reallochook): Initialize new space and
	freed space to non-zero garbage, to help find code that makes
	unwarranted assumptions.

Mon Aug  8 01:20:56 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/mips/exc2signal.c (_hurd_exception2signal): Take
        new arg `int *error'; set it.
	* sysdeps/mach/hurd/i386/exc2signal.c: Likewise.
	* sysdeps/stub/exc2signal.c: Likewise.
	* hurd/hurd/signal.h (_hurd_exception2signal): Take new arg
	`int *error'.
	(_hurd_internal_post_signal): Take new arg `int error'.

	* res: Directory renamed to resolv.
	* sysdeps/unix/inet/Subdirs: Change res to resolv.

	* Version 1.08.6.

	* sysdeps/sparc/divrem.m4 (DEVELOP_QUOTIENT_BITS): Use ** instead of
	^ for exponentiation.  Pinard says it is more portable.

	* sysdeps/mach/hurd/mips/sigcontext.h (struct sigcontext): Added
        member `sc_err'.
	* sysdeps/mach/hurd/i386/sigcontext.h (struct sigcontext): Move
	sc_err to front machine-independent section; change its comment.

	* sysdeps/stub/thread_state.h (struct machine_thread_all_state): New
	type.
	* sysdeps/mach/i386/thread_state.h: Likewise.
	* sysdeps/mach/mips/thread_state.h: Likewise.

	* sysdeps/mach/i386/Implies: File removed; it was superfluous.

	* sysdeps/sparc/divrem.m4 (Lgot_result): Add more quotes in ifelse.

	* configure.in (fpu_dirs): Fixed typo.

Sun Aug  7 01:13:04 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* inet/inet_lnaof.c: Incorporated from BSD 4.4-Lite.
	* inet/inet_mkadr.c: Incorporated from BSD 4.4-Lite.
	* inet/inet_addr.c: Incorporated from BSD 4.4-Lite.
	* res/Makefile (headers): Use only arpa/nameser.h, not arpa/*.h.
	* res/arpa/inet.h: Moved to inet/arpa/inet.h.
	* inet/arpa/inet.h: Incorporated from BSD 4.4-Lite.

	* misc/init-misc.c: New file.
	* misc/Makefile (aux): Added init-misc.

	* Makeconfig (localtime-file): Use $(sysconfdir) instead of
        $(etcdir).

	* Makerules (install-bin-nosubdir): Use $(install-bin) instead of
        $(install).
	(install-sbin-nosubdir): New target.
	(install-no-libc.a-nosubdir): Depend on that.

	* configure.in ($nfp check): Iterate through $mach and use all
        fpu/ dirs that exist.

Wed Aug  3 02:46:03 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/mips/sigcontext.h: Rearranged structure so
	machine-dependent portion is laid out like `struct mips_thread_state;
	struct mips_exc_state; struct mips_float_state;'.

	* Version 1.08.5.

	* sysdeps/mach/hurd/mips/__sigret.c: Compare *reply_port to
        MACH_PORT_NULL, not implicit zero.
	(restore_gpr): Use N-1 as subscript into sc_gpr (sc_gpr[0] => $1).
	Before general regs, restore from sc_mdlo and sc_mdhi.  Don't
	treat sp, fp specially; use restore_gpr for them too.  For final
	return, store user $1 value beyond top of user stack ahead of
	time; then use $1 to hold the user PC, and restore it from the
	stack in the delay slot.

Tue Aug  2 21:03:51 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/mips/trampoline.c (_hurd_setup_sighandler):
        Copy TS to SCP all at once.
	* sysdeps/mach/hurd/mips/sigcontext.h (struct sigcontext): sc_gpr
	has 31 elts; sc_gpr, sc_pc, sc_mdlo, sc_mdhi are arranged in that
	order to mimic struct mips_thread_state.

	* Make-dist (all-headers): Instead of removing rpcsvc/%, use
	$(wildcard) to remove all headers that don't exist at top level,
	but preserve top-level $(headers).

	* Make-dist (sysdep_dirs): Avoid directories called RCS.
	(%/configure): Pass -f to mv.

	* sysdeps/mips/setjmp.S [__sgi__]: Use `fp' instead of `$fp'.

Mon Aug  1 20:12:23 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/mach/hurd/mips/sigcontext.h (struct sigcontext): Add
        members sc_mdlo, sc_mdhi.
	* sysdeps/mach/hurd/mips/trampoline.c (_hurd_setup_sighandler):
        Save mdlo and mdhi.

Sun Jul 31 14:21:16 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* time/mktime.c: Remove errant comment end sequence.

	* termios/sys/ttydefaults.h: Incorporated from BSD 4.4-Lite.
	* sysdeps/vax/DEFS.h: Incorporated from BSD 4.4-Lite.
	* sysdeps/unix/bsd/sys/reboot.h: Incorporated from BSD 4.4-Lite.
	* sysdeps/unix/bsd/bsd4.4/errnos.h: Updated from 4.4-Lite sys/errno.h.
	[__USE_BSD] (EAUTH, ENEEDAUTH, ELAST): New macros.
	* sysdeps/ieee754/support.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/ieee754/cbrt.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/trig.h: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/tanh.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/tan.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/sinh.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/sincos.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/pow.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/mathimpl.h: Incorporated from BSD 4.4-Lite.
	Add back __izing #define's, except for exp__E and log__L, which
	have been renamed with __s in 4.4-Lite.
	* sysdeps/generic/log__L.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/log1p.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/log.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/fmod.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/exp__E.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/exp.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/cosh.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/atanh.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/atan2.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/asinh.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/asincos.c: Incorporated from BSD 4.4-Lite.
	* misc/getusersh.c: Incorporated from BSD 4.4-Lite.
	(initshells): Reapply fix of 16 Nov 1992.
	* sysdeps/generic/acosh.c: Incorporated from BSD 4.4-Lite.
	* sysdeps/generic/__expm1.c: Incorporated from BSD 4.4-Lite.
	* misc/ttyslot.c: Incorporated from BSD 4.4-Lite.
	* misc/ttyent.h: Incorporated from BSD 4.4-Lite.
	* misc/syslog.c: Incorporated from BSD 4.4-Lite.
	* misc/paths.h: Incorporated from BSD 4.4-Lite.
	* misc/getttyent.c: Incorporated from BSD 4.4-Lite.
	* misc/sys/syslog.h: Incorporated from BSD 4.4-Lite.
	Don't include <machine/ansi>; define _BSD_VA_LIST_ to __gnuc_va_list.
	* inet/rexec.c: Incorporated from BSD 4.4-Lite.
	* inet/rcmd.c: Incorporated from BSD 4.4-Lite.
	(rcmd): Reapply select max fd fix of 3 Jun 1994.
	* inet/pathnames.h: File removed.
	* inet/inet_ntoa.c: Incorporated from BSD 4.4-Lite.
	* inet/getsrvbypt.c: Incorporated from BSD 4.4-Lite.
	* inet/getsrvbynm.c: Incorporated from BSD 4.4-Lite.
	* inet/getservent.c: Incorporated from BSD 4.4-Lite.
	* inet/getprtname.c: Incorporated from BSD 4.4-Lite.
	* inet/getprtent.c: Incorporated from BSD 4.4-Lite.
	* inet/getproto.c: Incorporated from BSD 4.4-Lite.
	* inet/protocols/timed.h: Incorporated from BSD 4.4-Lite.
	* inet/protocols/talkd.h: Incorporated from BSD 4.4-Lite.
	* inet/protocols/rwhod.h: Incorporated from BSD 4.4-Lite.
	* inet/protocols/routed.h: Incorporated from BSD 4.4-Lite.
	* inet/arpa/tftp.h: Incorporated from BSD 4.4-Lite.
	* inet/arpa/telnet.h: Incorporated from BSD 4.4-Lite.
	* inet/arpa/ftp.h: Incorporated from BSD 4.4-Lite.

Fri Jul 29 01:50:37 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Version 1.08.4.

	* res/Makefile (routines): Add missing backslash.

	* sysdeps/mach/hurd/mips/__sigret.c: Rename variable AT (which is
	the register's name) to SCPREG.  Fix some SCP references in
	register loads to use SCPREG instead.  Load SCPREG->sc_pc into $24
	and jump to it, restoring $at in the delay slot.  This still
	leaves $24 clobbered.

	* sysdeps/mach/hurd/mips/sigcontext.h: Use `unsigned int'
        consistently for port names.

	* sysdeps/mach/hurd/mips/trampoline.c: Don't set up args on the
        stack; pass them in registers.

	* Makefile (%/configure, sysd-dirs, munch-init.c): Pass -f to mv.

	* misc/sys/cdefs.h (__NORETURN, __CONSTVALUE): Use the
	__attribute__ defn for GCC>=2.7, not >=2.6.  Use the keyword defn
	only for GCC<2.5.  Use __volatile__ and __const__ instead of
	noreturn and const for namespace safety.

	* sysdeps/mach/hurd/__readlink.c: If BUF is null, return the size
        of buffer required.

Thu Jul 28 17:17:11 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* res/netdb.h: Declare h_errno.

	* res: New directory, for all code incoporated from BIND.
	* inet/arpa/inet.h, inet/arpa/resolv.h: Moved to res/arpa.
	* inet/sys/bitypes.h: Moved to res/sys.
	* inet/gethstnamad.c: Renamed to res/gethnamaddr.c.
	* inet/getnetbyad.c: Renamed to res/getnetbyaddr.c.
	* inet/getnetbynm.c: Renamed to res/getnetbyname.c.
	* inet/res_mkqry.c: Renamed to res/res_mkquery.c.
	* inet/Makefile (headers): Removed netdb.h, resolv.h, and
        sys/bitypes.h.
	(routines): Removed res_comp res_debug res_init res_mkqry res_query
	res_send gethstnmad sethostent.
	(aux, distribute): Variables removed.
	* res/getnetnamadr.c, res/nsap_addr.c: New files.
	* All .c and .h in res/ updated from BIND-4.9.3-BETA9.
	* res/Makefile: New file.
	* sysdeps/unix/inet/Subdirs: Added res.

	* Makerules: Replace all uses of `.dep' suffix with `.d' suffix.
	(+make-deps): Replace `.dtm' suffix with `.T' suffix.

Wed Jul 27 06:13:30 1994  Noel Cragg  (noel@churchy.gnu.ai.mit.edu)

	* time/mktime.c: Add code to support tm_isdst flag in struct tm.
	Fixed bug with handling of DST sections.

Mon Jul 25 17:17:28 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/sparc/divrem.m4 (Lgot_result) [S=true]: Only test SIGN
        and negate for [OP=div].

	* socket/sys/socket.h (__SOCKADDR_ARG): New macro; for GCC 2.6 and
	later, a funky union similar to __WAIT_STATUS in <sys/wait.h>.
	(bind, getsockname, connect, getpeername, sendto, recvfrom,
	accept): Use __SOCKADDR_ARG in place of `struct sockaddr *' in
	declarations.

	* posix/glob/configure.bat: New file.
	* posix/Makefile (glob.tar): Add glob/configure.bat.

	* sysdeps/unix/opendir.c: Fail with ENOENT when passed "".
	Check STATBUF and fail with ENOTDIR if it's not a directory.

Mon Jul 25 15:44:18 1994  Noel Cragg  (noel@churchy.gnu.ai.mit.edu)

	* time/mktime.c: Fix range-checking bug in NORMALIZE macro.

Fri Jul 22 02:42:44 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* sysdeps/unix/readdir.c: Search for NUL character to limit
	d_namlen.  Some systems return very bogus values.

	* sysdeps/unix/sysv/sysv4/i386/sysdep.h (PSEUDO): Remove ret at end.

	* mach/Makefile (mach-shortcuts): Filter out device_writev_request.

	* limits.h (_LIBC_LIMITS_H_): Don't define if already defined.
	[__GNUC__ < 2]: Only protect this section from multiple inclusion.

	* sysdeps/mach/hurd/i386/trampoline.c (_hurd_setup_sighandler):
        Declare SIGSP volatile.

	* hurd/hurdinit.c (_hurd_setproc): Fixed arg in
        _hurd_pgrp_changed_hook decl.

	* hurd/hurd/signal.h (_hurd_self_sigstate_unlocked): New function.
	(HURD_EINTR_RPC): Use it instead of _hurd_self_sigstate followed by
	__mutex_unlock; this thread might already hold the lock.

Wed Jul 20 18:53:54 1994  Michael I Bushnell  <mib@geech.gnu.ai.mit.edu>

	* hurd/fd-read.c (_hurd_fd_read): Test for EBACKGROUND in
	do loop was reversed.

	* hurd/hurdpath.c (__hurd_path_lookup): Skip over initial slashes
	before calling __dir_pathtrans.

Tue Jul 19 15:28:39 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* mach/Makefile (user-interfaces): Add mach/mach4.
	(mach-shortcuts): Match all syscall_% again; the missing ones are in
	mach4.defs.

	* mach/Machrules (%.ir): Match SimpleRoutine as well as Routine
        comments.

	* sysdeps/mach/hurd/Makefile ($(hurd)/errlist.c): Use -f flag to mv.

Sat Jul 16 00:42:30 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Makerules [install]: Rewrite this rule to use install-bin.
	[install-sbin]: New rule parallel to that one, installs in $(sbindir).

	* time/Makefile (install-sbin): Set this instead of install.
	* sunrpc/Makefile (install-others): Use $(sysconfdir)/rpc instead
	of $(etcdir)/rpc.
	(install-bin): Set this instead of install; set it to just rpocgen.
	(install-sbin): Put rpcinfo and portmap here instead.
	($(sysconfdir)/rpc): Rule renamed from $(etcdir)/rpc.
	(defines): Rename it in _PATH_RPC defn here too.

	* posix/Makefile (install-bin): Set this instead of install.

	* Makeconfig (datadir): Default to $(prefix)/share, not $(prefix)/lib.
	(sbindir): New variable.
	(sysconfdir): Variable renamed from etcdir.

	* sysdeps/unix/bsd/sun/signum.h: New file; no SIGINFO, SIGLOST is 29.

	* sysdeps/unix/sysv/sco3.2.4/uname.S: New file from Scott Bartram.

	* sysdeps/unix/sysv/sco3.2.4/__getgrps.c: Include alloca.h.

	* configure.in (INSTALL): If it is $srcdir/install.sh after
	AC_PROG_INSTALL, reset it to '$(..)./install.sh'.

	* sysdeps/mach/hurd/__ioctl.c (io2mach_type): Move macro defn before
	first use.
	(__ioctl): Fix swapped args to __sigismember; remove unused variable.

	* sysdeps/mach/hurd/send.c: Fix portsPoly arg to __socket_send.
	* sysdeps/mach/hurd/sendto.c: Likewise.

	* sysdeps/mach/hurd/recv.c: Pass &BUFP, not BUFP.
	* sysdeps/mach/hurd/recvfrom.c: Likewise.

	* sysdeps/mach/hurd/connect.c: Include <hurd/ifsock.h>.

	* sysdeps/mips/dec/bytesex.h: New file.
	* sysdeps/mips/p40/bytesex.h: New file.

Fri Jul 15 23:12:06 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* posix/sys/types.h (u_quad, quad): Renamed to &_t.
	* posix/gnu/types.h [__GNUC__] (__u_quad_t, __quad_t, __qaddr_t):
	New typedefs, using long long int and derivatives.
	[! __GNUC__] (__u_quad, __quad): Renamed to &_t.
	(__fsid_t): Make this always be __u_quad_t.

	* time/sys/time.h (struct timespec): New type.
	(TIMEVAL_TO_TIMEPSEC, TIMESPEC_TO_TIMEVAL): New macros.

Thu Jul 14 15:43:39 1994  Brendan Kehoe  (brendan@zen.org)

	* sysdeps/unix/sysv/sysv4/sysinfo.S: New file.
	* sysdeps/unix/sysv/sysv4/Dist: Add sysinfo.S.
	* sysdeps/unix/sysv/sysv4/Makefile: Add sysinfo to sysdep_routines
	if we're inside misc.
	* sysdeps/unix/sysv/sysv4/sethostnam.c: New file.
	* sysdeps/unix/sysv/sysv4/__gethstnm.c: New file.

	* sysdeps/unix/sysv/sysv4/solaris2/fsync.S: New file.

Tue Jul 12 00:57:08 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* mach/Makefile (mach-shortcuts): Only match known Mach
	subsystems: vm, task, mach_port, and thread.

Mon Jul 11 20:18:29 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/intr-rpc.defs, hurd/intr-rpc.awk: New files.
	* hurd/Makefile (user-MIGFLAGS): Add -imacros intr-rpc.defs.
	(transform-user-stub): New canned sequence.
	(transform-user-stub-output): New variable.
	Make the .ustamp files depend on intr-rpc.awk.

	* mach/Machrules (%.ir): Cull the RPC names from the preceding
	comment rather than the definition, so we don't see any userprefix.
	(transform-user-stub-output): New variable.
	(%.ustamp: %.defs): Invoke $(transform-user-stub) inside for loop.
	Use $(transform-user-stub-output) in place of `tmp' in arg to
	move-if-change.

	* mach/Makefile [! mach-shortcuts] (user-interfaces): Also filter
	out device/device_request.

Mon Jul 11 17:50:14 1994  Brendan Kehoe  (brendan@mole.gnu.ai.mit.edu)

	* sysdeps/unix/sysv/sysv4/Makefile: Put the sys-sig.S stuff in
	here, rather than in .../sysv4/solaris2/sparc/Makefile.
	* sysdeps/unix/sysv/sysv4/solaris2/sparc/Makefile: Removed the
	sys-sig.S part.

Sun Jul 10 19:04:24 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/bind.c: Call __hurd_invoke_translator.

	* hurd/hurd.h (__hurd_invoke_translator, hurd_invoke_translator):
	Declare them.
	* hurd/Makefile (routines): Add invoke-trans.
	* hurd/invoke-trans.c (__hurd_invoke_translator): New file.
	* hurd/hurdsyms.c (hurd_invoke_translator): New alias.

	* hurd/hurdpath.c (__hurd_path_lookup_retry): New function.
	* hurd/hurdsyms.c (hurd_path_lookup_retry: New alias.
	* hurd/hurd.h (__hurd_path_lookup_retry, hurd_path_lookup_retry):
	Declare them.

	* hurd/hurd/fd.h (_hurd_fd_error_signal): Return SIGLOST for
	MIG_SERVER_DIED.

	* time/strftime.c: Make %j value 1-origin instead of 0-origin.

Sat Jul  9 02:31:23 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* gnu-stabs.h (__SYMBOL_PREFIX): New macro, based on NO_UNDERSCORES.
	Use it in all macros instead of explicit leading underscores.
	Removed all [! __STDC__] definitions.

	* sysdeps/mach/hurd/mips/trampoline.c: New file.
	* sysdeps/mach/hurd/mips/sigcontext.h: New file.
	* sysdeps/mach/hurd/mips/longjmp-ts.c: New file.
	* sysdeps/mach/hurd/mips/msging-p.c: New file.
	* sysdeps/mach/hurd/mips/longjmp-ctx.c: New file.
	* sysdeps/mach/hurd/mips/init-fault.c: New file.
	* hurd/mach/hurd/mips/__sigret.c: New file.
	* sysdeps/mach/hurd/mips/exc2signal.c: New file.
	* sysdeps/mach/mips/thread_state.h: New file.
	* sysdeps/mach/mips/machine-sp.h: New file.
	* sysdeps/mach/mips/machine-lock.h: New file.
	* sysdeps/mach/mips/sysdep.h: New file.

	* mach/Makefile (mach-syscalls.mk): Snarf 3rd arg from kernel_trap.
	($(mach-syscalls:%=__%.S): Emit kernel_trap instead of SYSCALL_TRAP.
	* mach/syscalls.awk: Print nargs-$1 = $3 for each line.
	* sysdeps/mach/sysdep.h: Include <mach/machine/syscall_sw.h>.
	* sysdeps/mach/i386/sysdep.h (ENTRY, SYSCALL_TRAP): Macros removed.

	* sysdeps/mach/i386/machine-lock.h: Use __volatile in place of
	volatile to work with -traditional.

Fri Jul  8 21:06:43 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/hurdsig.c (_hurd_internal_post_signal): For stop signals,
	clear pending SIGCONT no matter what action we choose.
	Add new value `cont' to ACT enum; use it for default SIGCONT action.
	(_hurd_internal_post_signal: sigwakeup): New local inline.

Fri Jul  8 20:26:49 1994  Brendan Kehoe  (brendan@zen.org)

	* sysdeps/unix/sysv/sysv4/solaris2/sparc/Makefile (sysdep-CFLAGS): Set
	this to include the -mhard-quad-float option.

	* sysdeps/unix/sysv/sysv4/solaris2/sparc/sys-sig.S: New file.
	* sysdeps/unix/sysv/sysv4/solaris2/sparc/Makefile: New file.
	* sysdeps/unix/sysv/sysv4/solaris2/sparc/Dist: New file.

Fri Jul  8 13:54:54 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/hurdpath.c (__hurd_path_lookup): Don't treat leading /
	specially for FS_RETRY_NORMAL.  Handle FS_RETRY_MAGICAL; leading /
	here means use crdir.  In that case, deallocate *RESULT if nonnull.

	* sysdeps/unix/sysv/sysv4/i386/sysdep.h: Don't define _ERRNO_H if
	already defined.

	* posix/gnu/types.h (__ino_t): Make this unsigned int instead of
	unsigned long int (matters for Alpha).

	* Makeconfig (+gccopt): Variable removed.
	(+cflags): Don't use it.
	(CPPFLAGS): Append $(sysdep-CPPFLAGS).
	(CFLAGS): Append $(sysdep-CFLAGS).

	* sysdeps/mach/hurd/__ioctl.c: In MSGID calculation, skip blocks
	of 100 for request commands >= 100, to allow for the reply msgids.

Thu Jul  7 19:07:00 1994  Brendan Kehoe  (brendan@zen.org)

	* sysdeps/unix/bsd/osf1/dirstream.h (DIR): Make __allocation
	member be int, not size_t (which is a long).

Thu Jul  7 15:21:15 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/__fopenport.c (readio, writeio, seekio, closeio): New
	functions.
	(funcsio): New const variable.
	(__fopenport): Make the new stream use that for its io functions, and
	the default room functions, and set its seen flag.

Tue Jul  5 11:32:38 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/hurd/signal.h (struct hurd_sigstate): Removed `intr_restart'.
	(HURD_EINTR_RPC): Uncommented.  Declare label
	`__do_call' so it has block instead of function scope.  Don't use
	SS->intr_restart; instead SS->intr_port being reset to
	MACH_PORT_NULL tells us to restart the call.

	* sysdeps/mach/hurd/__ioctl.c: Enable use of HURD_EINTR_RPC.
	Do ctty magic and check for EBACKGROUND to generate SIGTTOU.

	* mach/devstream.c (dealloc_ref): New function.
	(mach_open_devstream): Add a user reference to DEV, and set
	STREAM's close fn to dealloc_ref, which will release the reference.

	* hurd/fd-read.c (_hurd_fd_read): Enabled and rewrote SIGTTIN code.
	* hurd/fd-write.c (_hurd_fd_write): Enabled and rewrote SIGTTOU code.

	* hurd/hurdsyms.c: Add an alias hurd_sig_post -> _hurd_sig_post.
	* hurd/hurdkill.c (_hurd_sig_post): Renamed back from hurd_sig_post.
	* hurd/hurd.h: Declare _hurd_sig_post.

	* hurd/hurdsig.c (_S_sig_post): Add SIGTTIN and SIGTTOU cases,
	handled like SIGINT et al.

	* mach/devstream.c: Turn back on NL->CRNL translation.

	* stdio/xbug.c (main): Return instead of running off the end.

Mon Jul  4 16:57:13 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Version 1.08.3.

Sat Jul  2 00:15:37 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/__ioctl.c: Account for three type fields in
	message buffer size.

	* sysdeps/mach/hurd/i386/trampoline.c (_hurd_setup_sighandler):
	Catch faults accessing user stack and return NULL.
	* hurd/hurdsig.c (_hurd_internal_post_signal): When it does, die
	with SIGILL and dump core.

	* hurd/hurdsig.c (_hurd_internal_post_signal): Use
	_hurd_msgport_thread instead of __mach_thread_self () to avoid the
	system call.  (Signals will now lose if _hurd_msgport_thread gets
	clobbered.)
	(abort_rpcs): Always do thread_abort and thread_get_state.

	* misc/getpass.c: Fix typo resulting in newline not being removed.

	* termios/sys/ttydefaults.h [TTYDEFCHARS] (ttydefchars): Cast
	_POSIX_VDISABLE to cc_t to avoid gcc warning.

Fri Jul  1 14:07:40 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/Makefile (user-interfaces): Add hurd/ifsock.

	* socket/sys/socket.h (AF_LOCAL): New macro.

	* sysdeps/mach/hurd/__kill.c: Fix SIGKILL loop condition.

Fri Jul  1 13:36:27 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* hurd/hurdkill.c (hurd_sig_post): New var PIDSBUF; initialize
	PIDS and NPIDS correctly; only free PIDS if the MiG stub
	changed it.

Thu Jun 30 18:47:48 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* hurd/hurdsock.c (_hurd_socket_server): Zero up to and *including*
	new[DOMAIN].

Thu Jun 30 08:12:28 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/hurdsig.c (abort_all_rpcs): Just iterate over _hurd_sigstates.

	* hurd/dtable.c (fork_child_dtable): Skip empty descriptor slots.

	* sysdeps/mach/hurd/__ioctl.c: Fix MSG.data size calculation.

Wed Jun 29 19:06:54 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/bind.c: For AF_LOCAL, create a new node in the
	filesystem, put the ifsock translator on it, and fetch the
	address port.
	* sysdeps/mach/hurd/connect.c: For AF_LOCAL, look up the socket
	file and fetch the address port using the ifsock protocol.

Tue Jun 28 16:03:15 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/Makefile (routines): Add ports-get, ports-set, and hurdmsg.
	(aux): Remove msgstub.
	* hurd/hurdports.c (get): Just call _hurd_ports_get.
	(set): Just call _hurd_ports_set.
	(getcttyid, setcttyid): New functions.
	* hurd/ports-get.c (_hurd_ports_get): New file, new function.
	* hurd/ports-set.c (_hurd_ports_set): New file, new function.
	* hurd/hurd.h: Declare _hurd_ports_get and _hurd_ports_set.
	Declare getcttyid and setcttyid.
	* hurd/__setauth.c (__setauth): Just call _hurd_setauth.
	(_hurd_setauth): New function, code moved from __setauth.
	* hurd/hurdinit.c (_hurd_setproc): New function.
	* hurd/hurdioctl.c (_hurd_setcttyid): New function.

	* locale/C-ctype_ct.c (__ctype_tolower_C, __ctype_toupper_C): Use
	integer constants instead of character constants for octal values
	so they will not be sign extended.

	* sysdeps/mach/hurd/__setitmr.c (fork_itimer): New function, on
	_hurd_fork_child_hook.

	* sysdeps/stub/sysd-stdio.c (__stdio_reopen): Fix typo in arg type.
	* sysdeps/stub/__ioctl.c: Fix type of REQUEST arg.
	* sysdeps/stub/syscall.c: Include ansidecl.h.
	* sysdeps/stub/_exit.c: Add __NORETURN to defn.

	* sysdeps/unix/sysv/sysv4/sigset.h (_EXTERN_INLINE): Define to
	`extern __inline', not empty.

	* sysdeps/mach/hurd/ttyname.c: Don't bother searching /dev.

Sat Jun 25 15:41:29 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/__fork.c: Moved proc_task2pid call to just
	before proc_child.  It is a waste to do it earlier.

Sat Jun 25 13:17:39 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/__fork.c: Move proc_task2pid call to after
	_hurd_ports are unlocked.  Call proc_child nearly last thing.
	Ignore errors from thread_resume.

Fri Jun 24 20:21:11 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/posix/getcwd.c: Remove empty `#define'.

Fri Jun 24 17:57:36 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/__fork.c: Call proc_task2pid immediately after
	task_create.  Add comment explaining why thread_resume must be the
	last thing we do to the child.

Fri Jun 24 01:41:41 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/hurdinit.c (_hurd_proc_init): Call __proc_set_arg_locations
	in place of __proc_setprocargs (it was renamed).

	* hurd/hurd.h: Rename _hurd_sig_post to hurd_sig_post.
	* hurd/hurdkill.c: Likewise.

	* hurd/port2fd.c (_hurd_port2fd): Call __term_open_ctty instead of
	__term_become_ctty, and don't pass the message port.
	* hurd/hurdioctl.c (rectty_dtable): Likewise.
	* hurd/dtable.c (fork_child_dtable, ctty_new_pgrp): Likewise.

	* sysdeps/mach/hurd/__fork.c: Use __proc_{get,set}_arg_locations
	to propagate argv and envp locations to the child.

	* stdio/freopen.c (freopen): If STREAM->__seen is clear, pass
	__stdio_close to __stdio_reopen.

	* misc/Makefile (install-lib): Add libg.a.
	($(objpfx)libg.a): New rule; use make-dummy-lib.
	(lib): Depend on $(objpfx)libg.a

Thu Jun 23 01:14:36 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* termios/termios.h (CCEQ): New macro.

	* sysdeps/unix/sysv/irix4/__getgrps.c: Add missing __ to fn name.

	Don't compile in absolute file names for localtime and posixrules
	files if they were specified relative to $(zonedir).
	* time/Makefile (installed-localtime-file,
	installed-posixrules-file): Set these instead of
	{localtime,posixrules}-file to the absolute file names.
	($(localtime-file), $(posixrules-file)): Change targets to
	$(installed-localtime-file) and $(installed-posixrules-file).

Wed Jun 22 15:52:26 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/Makefile (sig): Add hurdkill.

Sat Jun 18 12:57:54 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* stdio/_itoa.h (_itoa): Change type of VALUE to unsigned long long.
	* stdio/_itoa.c (_itoa): Likewise.

Thu Jun 16 01:10:41 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/dirstream.h (DIR): Replace `__filepos' member
	with `__entry_ptr' and `__entry_data'.  Remove `__block_size' member.
	Replace `__offset' member with `__ptr', a char *; no need to include
	<gnu/types.h>.
	* sysdeps/mach/hurd/readdir.c: Use those, new dir_readdir protocol.
	* sysdeps/mach/hurd/opendir.c: Initialize new members.
	Don't do io_stat to set __blocksize.
	* sysdeps/mach/hurd/telldir.c: Rewritten; return DIRP->__entry_ptr.
	* sysdeps/mach/hurd/seekdir.c: Rewritten; just set DIRP->__entry_ptr
	from arg, and zero DIRP->__size so a new block will be read.

	* sysdeps/mach/hurd/getcwd.c: Use new dir_readdir protocol.

	* hurd/msgstub.c: Add stubs for dir_changed, file_changed.

	* hurd/hurdsock.c (_hurd_socket_server): Removed unused label.

	* sysdeps/mach/hurd/__getdents.c: Use new dir_readdir protocol.

	* sysdeps/mach/hurd/__access.c: Open the file with 0 flags and
	then use file_check_access to discover what we are allowed.

Tue Jun 14 14:10:03 1994  Brendan Kehoe  (brendan@zen.org)

	* sysdeps/mips/setjmp.S: Refer to `$fp', not `fp'.

Tue Jun 14 00:50:54 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/__pipe.c: Set FDS[1], not FDS[2].

Mon Jun 13 06:48:48 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* sysdeps/unix/bsd/sun/sparc/sigtramp.c (trampoline): Use a
	comment instead of a pointless insn to reference %0 in final asm.

	* hurd/hurdsock.c (_hurd_socket_server): If realloc fails, don't
	fail; just don't cache the port.
	Look up the server node only if it is not in the cache.
	Translate errno only if path_lookup fails.
	(init): New function, on _hurd_preinit_hook.

	* sysdeps/mach/hurd/__symlink.c: Complement _hurd_umask before ANDing.

Sat Jun 11 12:52:28 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/__fork.c: Can't insert dead name rights into
	child.

Sat Jun 11 05:19:47 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/i386/longjmp-ts.c: Set TS->uesp instead of
	TS->esp.  Set TS->eip.

	* gnu-stabs.h (bss_set_element): New macro.
	* hurd/dtable.c: Use bss_set_element instead of data_set_element
	to put _hurd_dtable_lock in the _hurd_fork_locks set.

Fri Jun 10 02:04:51 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/__fork.c: Don't apply MACH_PORT_TYPE to result
	from __mach_port_names.  Unlock SS->lock before return.
	Check for KERN_NAME_EXISTS from mach_port_allocate_name when
	creating a receive right and possibly ignore it.

	* sysdeps/unix/sysv/sco3.2.4/Dist: Add sco_getgrp.S.

	* crypt/speeds.c: Include signal.h and stdio.h first thing.
	[! SIGVTALRM]: Define NO_ITIMER.

	* sysdeps/unix/sysv/isc3/direct.h: New file.

	* hurd/hurdinline.c: Include lock-intern.h before #define
	_EXTERN_INLINE.

	* sysdeps/mach/hurd/__fork.c (_hurd_fork_locks): Don't be const.
	(__fork): Set SS from _hurd_self_sigstate so it is never null.
	New local flag PORTS_LOCKED records when we have spin_locked all
	the _hurd_ports cells; unlock them if necessary on error.

	* hurd/hurdsig.c (_hurd_siglock): Don't initialize it.
	(_hurdsig_init): Initialize _hurd_siglock at runtime.

Wed Jun  8 12:22:27 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* hurd/hurdid.c (_hurd_check_ids): Zero P->nuids and P->ngids after
	deallocating P->uids and P->ngids.

	* hurd/hurdioctl.c (_hurd_ioctl_handler_lists): Make defn initialized.

	* sysdeps/mach/hurd/__ioctl.c: Only try to unpack if IOC_OUT is set.

	* hurd/Makefile (routines): Replace $(inlines) with hurdinline.
	(inlines): Variable and rule removed.
	(generate-inlines): Variable removed.
	* hurd/hurdinline.c: New file.

Tue Jun  7 01:58:20 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* Makerules: Add -f to all mv commands missing it.

	* hurd/Makefile (generate-inline): New canned sequence.
	(inline-%.c): Use it.

	* time/asia, time/europe, time/northamerica: New versions from ADO.

Mon Jun  6 21:36:04 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* hurd/hurdid.c (init_id): New function.

	* Makerules (+make-deps): Put first s cmd before $(sed-remove-objpfx).
	(sed-remove-objpfx): Replace occurrences at beginning of line too.

Sun Jun  5 14:34:12 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* Version 1.08.1.

	* sysdeps/mach/hurd/ioctls.h (_IOR, _IOW): Swap IOC_IN and IOC_OUT.

	* sysdeps/mach/hurd/__ioctl.c: Only pack input for ioctls that
	take input.  Compute expected reply size for ioctls that take
	output and check it properly.

Sat Jun  4 00:35:42 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/ioctls.h (union __ioctl): Type removed.
	(enum __ioctl_datum): Name this enum.
	(_IOC_INOUT, _IOC_GROUP, _IOC_COMMAND, _IOC_TYPE): New macros.
	(_IOT_TYPE[012], _IOT_COUNT[012]): New macros.
	* sysdeps/mach/hurd/__ioctl.c: Use those macros instead of the union.

	* sysdeps/mach/hurd/__fork.c: Major rewrite.  Copy all ports
	present in the task, not just library-maintained ones.  Handle
	sigstate and signal thread setup explicitly here.
	* hurd/hurdsig.c (hurdsig_fork, hurdsig_fork_child): Functions
	removed.

	* hurd/hurdpid.c (init_pids): Don't put this on _hurd_fork_child_hook.

	* sysdeps/mach/hurd/__isatty.c: New file.

	* hurd/hurdsock.c (_hurd_socket_server): Pass NP to __path_lookup,
	not NAME (most of which is uninitialized).

	* hurd/hurdsig.c (_hurdsig_init): Don't check for _hurd_msgport
	being non-null; always initialize it.

Fri Jun  3 21:57:14 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* hurd/hurdrlimit.c (init_rlimit): Restore __mutex_init call.
	(_hurd_rlimit_lock): Set initializer to random value; run-time
	initialization is always required.

	* inet/rcmd.c (rcmd): Compute max fd + 1 for select instead of
	hardcoding 32.

Wed Jun  1 10:52:41 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* hurd/hurdrlimit.c (_hurd_rlimits, _hurd_rlimit_lock): Provide
	initializers so that the file is included in the link properly.
	(init_rlimit): Omit call to __mutex_init.

Tue May 31 18:15:33 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* hurd/hurdmalloc.c (more_memory): Do spin_lock_init on H->lock.
	(malloc_init): New function; put it on _hurd_preinit_hook.

	* sysdeps/mach/hurd/defs.c (init_stdio): If stream already
	allocated, don't allocate a new one.  Don't crash if _hurd_alloc_fd
	returns null if __newstream does.

	* sysdeps/mach/hurd/__brk.c (init_brk): If _hurd_brk is nonzero,
	leave it as it is.  Set PAGEND from _hurd_brk instead of &_end.

Mon May 30 18:37:47 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/hurdrlimit.c (init_rlimit): Put this on _hurd_preinit_hook
	instead of _hurd_subinit.

	* sysdeps/mach/hurd/mig-reply.c (mig_fork_child): Function removed.
	* hurd/dtable.c (fork_parent_dtable): Function removed.

	* sysdeps/generic/resourcebits.h: Rename RLIM_NLIMITS to
	RLIMIT_NLIMITS, add alias for old name.

	* sysdeps/mach/hurd/Makefile (hurd-objpfx): New variable.
	(before-compile): Use that instead of $(common-objpfx).

	* sysdeps/mach/Makefile [! objpfx] (mach-objpfx): Add trailing slash.

Fri May 27 01:34:56 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/hurdsig.c (_hurdsig_init): Always initialize _hurd_sigthread.

	* hurd/dtable.c: Use data_set_element instead of text_set_element
	for _hurd_fork_locks.
	* hurd/hurdsig.c: Likewise.

	* hurd/hurd.h (_hurd_set_data_limit): Declaration removed.

	* hurd/dtable.c (_hurd_dtable_rlimit): Variable removed.
	(init_dtable): Don't set it.

	* hurd/Makefile (headers): Add hurd/resource.h.
	(routines): Add hurdrlimit.
	* hurd/hurd/resource.h: New file.
	* hurd/hurdrlimit.c: New file.
	* sysdeps/mach/hurd/getrlimit.c: Rewritten to just fetch
	_hurd_rlimits.
	* sysdeps/mach/hurd/setrlimit.c: Rewritten to just set _hurd_rlimits.
	* sysdeps/mach/hurd/__brk.c (_hurd_data_limit): Variable removed.
	(_hurd_set_brk): Use _hurd_rlimits[RLIMIT_DATA].
	(_hurd_set_data_limit): Function removed.
	* hurd/alloc-fd.c (_hurd_dtable_rlimit): Variable removed.
	(_hurd_alloc_fd): Use _hurd_rlimits[RLIMIT_OFILE] instead.

	* sysdeps/generic/resourcebits.h: Add RLIMIT_NOFILE as an alias
	for RLIMIT_OFILE.

	* sysdeps/mach/hurd/mig-reply.c (__mig_init): Argument is stack
	on which to set the per-thread reply port variable.

	* sysdeps/mach/hurd/__brk.c (init_brk): Set _hurd_data_end to
	DATA_SIZE bytes past the beginning of data space, rather than to
	DATA_SIZE absolutely.  If vm_map fails, set it to PAGEND.

	* sysdeps/mach/hurd/start.c (_start): Run _hurd_preinit_hook right
	after __mach_init.

	* stdio/freopen.c (freopen): Rewritten using __stdio_reopen to
	preserve the old cookie value when possible.
	* sysdeps/posix/sysd-stdio.c (__stdio_reopen): New function.
	* sysdeps/stub/sysd-stdio.c (__stdio_reopen): New function.
	* sysdeps/mach/hurd/sysd-stdio.c (__stdio_reopen): New function.

	* stdio/freopen.c (freopen): Close the stream if MODE is invalid.

	* hurd/hurdsig.c (_hurd_core_limit): Define variable.

	* socket/sys/socket.h (PF_LOCAL): Define in preference to PF_FILE.

Thu May 26 12:09:51 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* hurd/alloc-fd.c (_hurd_alloc_fd): Don't return EINVAL when
	FIRST_FD is greater than _hurd_dtablesize and less than
	_hurd_dtable_rlimit.  If we want to grow _hurd_dtable, but
	_hurd_dtablesize is as big as _hurd_dtable_rlimit, then return
	EMFILE.  When growing _hurd_dtable, actually do something if
	_hurd_dtablesize is zero.
	
	* hurd/hurdmalloc.c (malloc_fork_prepare, malloc_fork_parent,
	malloc_fork_child): Declare as static so they don't conflict with
	the user's version of this file.

Wed May 25 20:55:16 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/__brk.c: Include <cthreads.h> instead of
	<mutex.h>.

	* hurd/hurdmalloc.c, hurd/hurdmalloc.h: New files (temporary hack).
	* hurd/Makefile (routines): Append hurdmalloc.
	(distribute): Append hurdmalloc.h.
	* hurd/alloc-fd.c: Include "hurdmalloc.h" (temporary hack).
	* hurd/dtable.c: Likewise.
	* hurd/hurdinit.c: Likewise.
	* hurd/hurdsig.c: Likewise.
	* hurd/hurdsock.c: Likewise.
	* hurd/new-fd.c: Likewise.
	* sysdeps/mach/hurd/start.c: Likewise.

	* sysdeps/mach/hurd/start.c (start1): Use malloc and a for loop
	instead of calloc.
	* hurd/hurdsig.c (_hurd_thread_sigstate): Use malloc and memset
	instead of calloc.

	* sysdeps/mach/hurd/__brk.c (init_brk): Reference self to avoid
	compiler warning.  Add init_brk to _hurd_preinit_hook instead of
	__libc_subinit.

	* sysdeps/mach/hurd/start.c (_hurd_preinit_hook): New variable.
	(start1): Run _hurd_preinit_hook before threadvar setup.

Tue May 24 17:42:34 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/dtable.c (init_dtable): Initialize _hurd_dtablesize to
	_hurd_init_dtablesize.  Initialize _hurd_dtable_rlimit as
	_hurd_dtablesize used to be set, but don't let it be zero.
	(_hurd_dtable_rlimit): New variable.

Tue May 24 12:57:19 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/sleep.c (sleep): Timeout arg to mach_msg is
	in milliseconds, not microseconds; compute it accordingly.

	* sysdeps/mach/hurd/__select.c (__select): Deleted variables
	DTABLE and DTABLE_ULINK.  Use new vars _hurd_dtablesize and
	_hurd_dtable instead of old _hurd_dtable structure.  Use new
	locking protocol on _hurd_dtable.

Tue May 24 01:55:24 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/__setitmr.c: Don't include mutex.h.

	* sysdeps/mach/hurd/defs.c (init_stdio): Reference self.

	* sysdeps/unix/sysv/sysv4/i386/sysdep.h: Include
	sysdeps/unix/sysv/i386/sysdep.h, not sysdeps/unix/i386/sysdep.h

Mon May 23 19:05:44 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/Makefile (mib_hacks, defines): Variables removed.

	* mach/devstream.c (mach_open_devstream): Set STREAM's seek and
	fileno io functions to null.

	* hurd/hurdexec.c (_hurd_exec): Fixed adding of dtable ports to
	PLEASE_DEALLOC array.

	* sysdeps/mach/hurd/defs.c (init_stdio): Unlock the descriptors
	after fetching them.  If a standard descriptor is not allocated,
	allocate the structure and store its pointer in the stream anyway.

	* stdio/gets.c: Only return null on P==S if feof (STREAM).

	* stdio/vfprintf.c: Make %Z a type modifier, not a format spec.

	* sysdeps/mach/hurd/fdopen.c: Return NULL rather than -1 for error.

Mon May 23 14:24:50 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/__close.c (__close): Use new _hurd_fd_get
	protocol.
	* sysdeps/mach/hurd/__dup2.c (__dup2): Likewise.  Use
	_hurd_dtablesize and _hurd_dtable instead of old _hurd_dtable
	structure.

	* sysdeps/mach/hurd/sysd-stdio.c (__stdio_seek): Use
	HURD_FD_PORT_USE, not HURD_FD_USE.
	* sysdeps/mach/hurd/stdio_init.c (__stdio_init_stream): Variable
	is D, not FD.

	* hurd/alloc-fd.c (_hurd_alloc_fd): Arg FIRST_FD is not actually
	const. 
	* hurd/hurdsig.c (_hurd_internal_post_signal [case SIGINFO]): If
	we are not the process group leader, ignore the signal.
	(_S_sig_post [case SIGURG]): Declaration of D was out of place.

	* sysdeps/mach/hurd/fdopen.c: Include <hurd/io.h> for 
	io_get_openmodes prototype.

Sat May 21 16:03:23 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* assert/assert.c (__assert_fail): Put program name first in msg.

	* hurd/Makefile (dtable): Removed setdtsz.

	* hurd/hurdexec.c: Use _hurd_dtable and _hurd_dtablesize instead of
	old _hurd_dtable structure.
	* hurd/hurdsig.c: Likewise.
	* hurd/alloc-fd.c: Likewise.
	* hurd/hurdioctl.c (rectty_dtable): Likewise.

	* Version 1.08 released.

	* mach/mach_error_string.c: Renamed to errstring.c.
	* mach/Makefile (routines): Renamed mach_error_string to errstring.
	* mach/err_mach_ipc.sub: Renamed to err_mach.sub.
	* mach/err_bootstrap.sub: Renamed to err_boot.sub.

	* sysdeps/generic/sigset.h (__SIGSETFN): Take new arg CONST; use it
	for CONST qualifier on SET arg to generated function.
	Changed uses to pass it; sigismember passes __const, others empty.

	* sysdeps/mach/hurd/sysd-stdio.c: Rewritten to use `struct hurd_fd *'s
	for cookies.
	* sysdeps/mach/hurd/fdopen.c: Rewritten accordinly.
	* sysdeps/mach/hurd/defs.c (init_stdio): Rewritten accordingly.
	Add it to the _hurd_fd_subinit hook instead of the __libc_subinit
	hook.
	* sysdeps/mach/hurd/stdio_init.c: New file.
	* hurd/dtable.c (_hurd_fd_subinit): New hook variable.
	(init_dtable): Run the _hurd_fd_subinit hook.

	* hurd/hurd/fd.h (struct hurd_dtable): Type removed.
	(_hurd_dtable_users, _hurd_dtable_rlimit): Variables removed.
	(_hurd_dtable): Make this a struct hurd_fd **.
	(_hurd_dtablesize): New variable.
	(struct hurd_fd_user): Type removed.
	(_hurd_dtable_get, _hurd_dtable_free, _hurd_dtable_fd): Functions
	removed.
	(_hurd_fd_get): Rewritten.  Take just one arg, and look it up in
	_hurd_dtable; return a struct hurd_fd *.
	(HURD_FD_USE): Rewritten to use new _hurd_fd_get interface.
	* hurd/dtable.c	(_hurd_dtable_users, _hurd_dtable_rlimit):
	Variables removed.
	(_hurd_dtable): Make this a struct hurd_fd **.
	(_hurd_dtablesize): New variable.
	(init_dtable, fork_parent_dtable, fork_child_dtable,
	ctty_new_pgrp, reauth_dtable): Use new simpler _hurd_dtable format.
	* sysdeps/mach/hurd/__getdtsz.c: Use _hurd_dtablesize.
	* sysdeps/mach/hurd/__fcntl.c: Use new _hurd_fd_get protocol.

	* hurd/dtable.c (get_dtable_port): Return the ctty port if set.

	* hurd/hurd/fd.h (_hurd_fd_error_signal): New function, broken out
	of _hurd_fd_error.
	(_hurd_fd_error): Call it.

	* hurd/Makefile (dtable): Add fd-close.
	* hurd/fd-close.c: New file.
	* hurd/hurd/fd.h: Declare _hurd_fd_close.

	* sysdeps/mach/hurd/__close.c: Call _hurd_fd_close.

	* signal/Makefile (routines): Add sigsetops.
	* signal/sigsetops.c: New file.

	* sysdeps/unix/sysv/sysv4/sigset.h (_EXTERN_INLINE): New macro.
	Use it for all the inline functions.

	* signal/signal.h: Move #include <signum.h> inside #ifdef _SIGNAL_H.

	* sysdeps/generic/sigset.h: Protect types with #ifndef
	_SIGSET_H_types.  Protect rest with #if !defined (_SIGSET_H_fns)
	&& defined (_SIGNAL_H).
	(__SIGSETFN): Add extern declaration of NAME inside function.

	* sysdeps/unix/ioctls-tmpl.c: Add missing #endif.
	* sysdeps/unix/Makefile (make-ioctls-CFLAGS): Remember -D.

Fri May 20 20:42:33 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/Makefile (sys/termios.h): Variable removed.
	(ioctl-includes): New variable.
	(make-ioctls-CFLAGS): Compute value generally from $(ioctl-includes).
	($(common-objpfx)ioctls): Depend on $(ioctl-includes), instead of
	$(sys/termios.h).

	* sysdeps/unix/sysv/sco3.2.4/sco_getgrp.S: New file.
	* sysdeps/unix/sysv/sco3.2.4/Makefile (sysdep_routines): Add
	sco_getgrp.
	* sysdeps/unix/sysv/sco3.2.4/__getgrps.c: New file.

	* sysdeps/generic/sigset.h (__sigismember, __sigaddset, __sigdelset):
	Rewritten as extern inline functions; check for bogus signal number.

	* configure.in (names): Put $implied before $* in new $sysnames
	list remaining to be processed; this ensures unix/common precedes
	unix/sysv4 for sysv4.

Thu May 19 18:35:02 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/defs.c (init_stdio): Make stdin and stdout
	line buffered and stderr unbuffered.

Thu May 19 16:14:36 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/getcwd.c: Remember to call io_stat on cwdir.

	* sysdeps/generic/configure.in: Use changequote around if expr
	to avoid [] elision.

Thu May 19 13:53:59 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* hurd/hurdsock.c (_hurd_socket_server): Return EPFNOSUPPORT
	rather than EPROTONOSUPPORT because it's the entire protocol
	family that isn't present, not just one protocol.

	* sysdeps/mach/hurd/__access.c (__access): Don't deallocate
	CRDIR or CWDIR; that's taken care of by the _hurd_port_get
	and _hurd_port_free system.

Thu May 19 04:14:57 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/posix/libc_fatal.c: Include <errno.h>.

	* sysdeps/unix/sysv/sysv4/__sigact.c: Include <stddef.h> for NULL.

	* sysdeps/mach/hurd/__access.c: Fix swapped poly and count args in
	__auth_makeauth call.

	* sysdeps/mach/hurd/ioctls.h (_IOC, _IOT): Rewritten using bitwise
	operations, so the result is always technically a constant (the
	old method of using a union constructor expression was not good
	enough for initializers).

	* hurd/hurdsock.c (_hurd_socket_server): If path_lookup returns
	ENOENT, we return EPROTONOSUPPORT.

	* hurd/Makefile (dtable): Add hurdioctl.
	* hurd/dtable.c (rectty_dtable, tiocsctty, tiocnotty): Functions
	moved:
	* hurd/hurdioctl.c: New file.
	(fioctl, fioclex): New functions.
	* sysdeps/mach/hurd/__ioctl.c (_hurd_ioctl_handler_lists): Don't
	define it, just declare it.

	* sysdeps/mach/hurd/getcwd.c: Use MACH_PORT_RIGHT_SEND, not
	MACH_PORT_TYPE_SEND, in mach_port_mod_refs call.

	* sysdeps/mach/hurd/__getpgrp.c: Don't lock _hurd_pid_lock.

	* sysdeps/unix/common/glue-ctype.c: Don't include <ctype.h>.
	Instead, add explicit extern declaration of TABLE in main.

Wed May 18 17:54:00 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/m68k/Makefile (asm-CPPFLAGS): Append $(m68k-syntax-flag).

	* Version 1.07.6.

	* sunrpc/Makefile (+gccwarn): Set to -w.

	* sysdeps/unix/Makefile (ifeq testing sys/param.h): Use patsubst
	instead of dir to remove directory name from .../sys/param.h but
	preserve "sys/".

	* inet/sys/bitypes.h: Replaced with just #include <sys/types.h>.

	* posix/sys/utsname.h (_UTSNAME_NODENAME_LENGTH): If undefined,
	define to _UTSNAME_LENGTH.
	(struct utsname): Use _UTSNAME_NODENAME_LENGTH for `nodename' member.
	* sysdeps/unix/bsd/sun/sunos4/utsnamelen.h (_UTSNAME_NODENAME_LENGTH):
	Define it.

	* resource/sys/resource.h (enum __rlimit_resource): Removed.
	Just include <resourcebits.h> instead.
	* resource/Makefile (headers): Add resourcebits.h.
	* sysdeps/generic/resourcebits.h: New file.
	* sysdeps/unix/bsd/sun/sunos4/resourcebits.h: New file.

	* stdio/test-popen.c (main): Use popen to read the file back, too.

	* sysdeps/unix/sysv/sysv4/i386/sysdep.h: New file.

	* sysdeps/unix/sysv/sysv4/i386/sys-sig.S: Fixed typo: movel->movl.

Tue May 17 12:46:31 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* mach/mach/mach_traps.h (__mach_reply_port, __mach_thread_self,
	__mach_task_self, __mach_host_self): New declarations of __ 
	versions of syscall traps.
	(swtch, __swtch, swtch_pri, __swtch_pri, thread_switch,
	__thread_switch, evc_wait, __evc_wait): New prototypes.
	* mach/Makefile (headers): Added mach/mach_traps.h so that the
	GNU version is installed instead of the Mach version.
	
Mon May 16 15:34:12 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/stub/sys/param.h: New file.

	* mach/lock-intern.h (__mutex_lock, __mutex_unlock): Real definitions.
	(__mutex_lock_solid, __mutex_unlock_solid, __mutex_init): Declare
	them.
	* mach/mutex-solid.c: New file.
	* mach/Makefile (lock): Add mutex-solid.
	(lock-headers): Remove mutex.h.
	* mach/mutex.h: File removed.
	* hurd/hurd/id.h: Include <cthreads.h> instead of <mutex.h>.
	* hurd/hurd/signal.h: Likewise.
	* hurd/hurdsig.c: Likewise.
	* hurd/hurdsock.c: Likewise.
	* hurd/dtable.c: Likewise.
	* hurd/__setauth.c: Likewise.
	* sysdeps/mach/hurd/Makefile (includes): Also append
	-I$(hurd-srcdir)/libthreads.

	* sysdeps/posix/system.c [WAITPID_CANNOT_BLOCK_SIGCHLD]: Don't
	block SIGCHLD.
	* sysdeps/unix/sysv/sco3.2.4/system.c
	(WAITPID_CANNOT_BLOCK_SIGCHLD): Define this macro.

	* sysdeps/posix/sigintr.c (siginterrupt) [! SA_RESTART]: Always
	fail with ENOSYS.

	* sysdeps/posix/__sigvec.c [! SA_ONSTACK]: Fail with ENOSYS if
	SV_ONSTACK is set in VEC->sv_flags.
	[SA_RESTART]: Protect SV_INTERRUPT check with this.

	* sysdeps/mach/sysdep.h (FATAL_PREPARE): New macro.
	* sysdeps/posix/libc_fatal.c: Include <sysdep.h>.
	[FATAL_PREPARE]: Invoke the macro.
	* assert/assert.c: Likewise.

	* sysdeps/generic/memmem.c: Start BEGIN at HAYSTACK, not partway
	into it.  Loop until BEGIN passes the location in HAYSTACK with
	NEEDLE_LEN bytes remaining to the end.
	Compare first byte manually before calling memcmp.

	* sysdeps/unix/sysv/sco3.2.4/__sigact.S: Fix typo.

	* posix/sys/types.h [__USE_BSD] (int32_t, int16_t, int8_t,
	u_int32_t, u_int16_t, u_int8_t): New typedefs.

	* assert/assert.c (__assert_program_name): New variable.
	(__assert_fail): Print that in the msg too.
	[HAVE_GNU_LD] (set_progname): New function to set it up at startup.

Thu May 12 01:10:52 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/__setauth.c: Do critical section locking.
	* hurd/hurdexec.c: Likewise.
	* hurd/hurdauth.c (_S_del_auth): Likewise.
	* hurd/getuids.c: Likewise.
	* hurd/dtable.c: Likewise.
	* hurd/alloc-fd.c: Likewise.
	* hurd/hurd/port.h: Likewise.
	* hurd/hurd/fd.h: Likewise.
	* hurd/setuids.c: Likewise.
	* hurd/intern-fd.c: Likewise.
	* hurd/hurdsock.c (_hurd_socket_server): Likewise.
	* sysdeps/mach/hurd/setrlimit.c: Likewise.
	* sysdeps/mach/hurd/setgroups.c: Likewise.
	* sysdeps/mach/hurd/seteuid.c: Likewise.
	* sysdeps/mach/hurd/setegid.c: Likewise.
	* sysdeps/mach/hurd/getrlimit.c: Likewise.
	* sysdeps/mach/hurd/__setuid.c: Likewise.
	* sysdeps/mach/hurd/__setreuid.c: Likewise.
	* sysdeps/mach/hurd/__setregid.c: Likewise.
	* sysdeps/mach/hurd/__setitmr.c: Likewise.
	* sysdeps/mach/hurd/__setgid.c: Likewise.
	* sysdeps/mach/hurd/__select.c: Likewise.
	* sysdeps/mach/hurd/__sbrk.c: Likewise.
	* sysdeps/mach/hurd/__getuid.c: Likewise.
	* sysdeps/mach/hurd/__getpgrp.c: Likewise.
	* sysdeps/mach/hurd/__getitmr.c: Likewise.
	* sysdeps/mach/hurd/__getgrps.c: Likewise.
	* sysdeps/mach/hurd/__getgid.c: Likewise.
	* sysdeps/mach/hurd/__geteuid.c: Likewise.
	* sysdeps/mach/hurd/__getegid.c: Likewise.
	* sysdeps/mach/hurd/__getdtsz.c: Likewise.
	* sysdeps/mach/hurd/__fork.c: Likewise.
	* sysdeps/mach/hurd/__fcntl.c: Likewise.
	* sysdeps/mach/hurd/__dup2.c: Likewise.
	* sysdeps/mach/hurd/__close.c: Likewise.
	* sysdeps/mach/hurd/__brk.c: Likewise.
	* sysdeps/mach/hurd/__access.c: Likewise.

	* sysdeps/mach/hurd/reboot.c (reboot): Use the host priv port to
	prove authority.

	* sysdeps/mach/hurd/__readlink.c: Don't request O_READ access.

	* sysdeps/mach/hurd/__ioctl.c: Don't expect result data	unless
	return code is zero.  Translate MIG_BAD_ID or EOPNOTSUPP to ENOTTY.

	* mach/devstream.c (output): Use device_write instead of
	device_write_inband.

Wed May 11 18:49:31 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/hurdinit.c (_hurd_init): Finsih loop of _hurd_port_init on
	_hurd_ports elts before doing _hurd_proc_init or
	__task_set_special_port.

	* hurd/hurd/signal.h (struct hurd_sigstate): Add new
	`critical_section' member.  Remove #if 0'd out vfork crap.
	(_hurd_critical_section_lock, _hurd_critical_section_unlock): New
	functions. 
	(HURD_CRITICAL_BEGIN, HURD_CRITICAL_END): New macros.

	* io/Makefile (headers): Add poll.h and sys/poll.h.
	(routines): Add poll.
	* sysdeps/unix/bsd/sun/sunos4/poll.S: New file.
	* sysdeps/unix/sysv/poll.S: New file.
	* sysdeps/unix/bsd/poll.c: New file.
	* sysdeps/stub/poll.c: New file.
	* io/poll.h, io/sys/poll.h: New files.

	* misc/bsd-compat.c (setjmp): New function.

	* sysdeps/unix/Makefile (sysdep_headers): Remove sys/param.h.
	* misc/Makefile (headers): Add it here instead.

	* io/test-utime.c (main): New file.
	* io/Makefile (tests): New variable.

Wed May 11 13:44:33 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* hurd/hurd/threadvar.h (__hurd_errno_location): Remove 
	__volatile keyword.  `volatile int errno' is not the same
	as `int errno'; user programs often mention the latter.
	* errno.h: Remove __volatile keyword; same reason.

Tue May 10 17:21:41 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* time/zdump.c: New code from ADO.

	* time/difftime.c (difftime): Use hairy rounding algorithm from
	eggert@twinsun.com when sizeof (time_t) >= sizeof (double).

	* Makerules (native-CFLAGS): Remove -I$(sysincludedir).  RMS says
	people with bogons in /usr/local/include deserve to lose.

	* stdio/printf_fp.c (__printf_fp): If IS_NEG gets set, negate
	FPNUM before testing it for %g format choice.

	* sysdeps/unix/sysv/irix4/fcntlbits.h: New file.
	* sysdeps/unix/sysv/irix4/Dist: New file.
	* sysdeps/unix/sysv/irix4/readv.c: New file.
	* sysdeps/unix/sysv/irix4/writev.c: New file.
	* sysdeps/unix/sysv/irix4/__dup2.c: New file.

	* sunrpc/xdr_float.c (xdr_float): Change [mc68000 || sparc] to [!
	vax].

	* sysdeps/mips/setjmp.S: Remove spurious $.

	* sysdeps/generic/ftime.c: Include <errno.h>.

	* sysdeps/unix/mips/sysdep.S: Add .set noreorder.

Tue May 10 16:27:13 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* sysdeps/generic/termbits.h (NCCS): Doc fix.

Mon May  9 18:07:44 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/uname.c (uname): System uname information
	has moved from init to proc.

	* sysdeps/mach/usleep.c (usleep): Return correct value.  Destroy
	RECV when we're done with it.

Thu May  5 17:03:56 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/__lstat.c: Use O_NOLINK instead of O_NOTRANS.

Thu May  5 04:20:54 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* mach/spin-lock.h (spin_lock_init): Define.

	* sysdeps/mach/hurd/sigsuspend.c: New local variable NEWMASK, set
	it to *SET if SET is not null, before taking SS->lock; don't
	dereference SET while holding the lock.  Restore SS->blocked to
	OLDMASK before unlocking and returning.

	* hurd/hurdsig.c (hurdsig_fork_child): Return zero.

	* sysdeps/mach/hurd/__fork.c (_hurd_fork_parent_hook,
	_hurd_fork_prepare_hook)): Define variables (symbol sets).
	(__fork): Run _hurd_fork_prepare_hook and _hurd_fork_parent_hook.

	* sysdeps/mach/hurd/sigsuspend.c: Don't test SS->pending; instead
	wait until SS->suspended is cleared.
	* hurd/hurdsig.c (_hurd_internal_post_signal): Clear SS->suspended
	before signalling on SS->arrived.

	* mach/Makefile (headers): Added mach/default_pager_helper.defs.

	* sysdeps/sparc/Dist: Added alloca.S.

Wed May  4 14:02:29 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* hurd/hurdexec.c (_hurd_exec): Unlock _hurd_dtable_lock when
	all through.

	* sysdeps/mach/hurd/__setitmr.c: Changed _hurd_itimer_lock
	to be a spin_lock; changed mutex_lock and mutex_unlock
	accordingly throughout.
	* sysdeps/mach/hurd/__getitmr.c: Corresponding changes from
	mutex calls to spin lock calls here too.

	* sysdeps/mach/hurd/__setitmr.c (setitimer_locked): Fixed syntax 
	of declaration of PREEMPT.
	(setitimer_locked): Declare variables ERR and ELAPSED.
	(setitimer_locked): Fix some references to REMAINING that 
	were using it as an itimerval instead of a timeval.
	(setitimer_locked): Deleted unused label STILLBORN.

Wed May  4 00:17:32 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/stub/__getitmr.c: Fix arg name __WHICH to WHICH.

	* sysdeps/unix/bsd/alarm.c: Round tv_usec with arithmetic rather
	than a test.

	* hurd/Makefile (user-interfaces): Add hurd/msg_request.

	* sysdeps/stub/__setitmr.c: Fix arg name __WHICH to WHICH.

	* Makeconfig (cross-compiling): Define if $(HOST_CC) and $(CC) differ.
	* time/Makefile (install-others): Omit defn ifdef cross-compiling.

Tue May  3 23:12:48 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* mach/Makefile (lock-headers): Add spin-lock.h.

	* misc/Makefile (routines): Add madvise.

	* malloc/Makefile (non-lib.a): Define.
	* misc/Makefile (non-lib.a): Define.
	* Makerules (install-lib.a): Filter out $(non-lib.a).
	(install-lib-non.a): Append $(non-lib.a).

	* mach/Makefile (mach-headers): Rename sys/version.h to
	mach/version.h.

	* hurd/Makefile (headers): Added hurd/threadvar.h.

	* Version 1.07.5.

	* hurd/port2fd.c (_hurd_port2fd): Use logic copied from
	_hurd_port_locked_set to install PORT in D->port, but leave it locked.

	* sunrpc/Makefile (generated): Don't add $(objpfx).

	* sysdeps/stub/machine-lock.h: New file.
	* sysdeps/stub/machine-sp.h: New file.

Tue May  3 22:31:15 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/usleep.c (usleep): Specify MACH_RCV_MSG so that
	mach_msg actually waits.

Tue May  3 19:24:48 1994  Karl Heuer  (kwzh@hal.gnu.ai.mit.edu)

	* malloc/malloc.h (enum mcheck_status): Delete trailing
	comma in enum list; some compilers don't like it.

Tue May  3 15:18:15 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/__symlink.c (__symlink): Pass port type arg to
	__file_set_translator.

Mon May  2 17:56:47 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd/Makefile (generated): Add $(inlines) .c files.

	* sysdeps/mach/hurd/__mknod.c: Pass port type arg to
	__file_set_translator.

Sun May  1 16:03:13 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* mach/mig_syms.c: Add de-__ing aliases for mig_init,
	mig_get_reply_port, and mig_dealloc_reply_port.

	* sysdeps/mach/hurd/errnos.awk: Handle copying errors from
	mach/mig_errors.h and device/device_types.h.  Omit E*_SUCCESS.
	Omit MACH_MSG_MASK and other special bit macros.

	* sysdeps/mach/hurd/i386/sigcontext.h (struct sigcontext): Added
	sc_reply_port member.
	* hurd/hurdsig.c (fetch_reply_port): New function.
	(_hurd_internal_post_signal): When setting up to run handler, set
	SCP->sc_reply_port to the receiving thread's value for
	_HURD_THREADVAR_MIG_REPLY.
	* sysdeps/mach/hurd/i386/__sigret.c: Destroy the MiG reply port
	used by the signal handler, and restore from SCP->sc_reply_port.
	* hurd/hurd/threadvar.h (__hurd_threadvar_location_from_sp): New
	function; guts from __hurd_threadvar_location.
	(__hurd_threadvar_location): Call that.

	* hurd/hurdsig.c (check_pending): New function, broken out of:
	(_hurd_internal_post_signal): Call that for pending signal check.
	If SIGNO is zero, call check_pending on each thread's sigstate.

	* sysdeps/mach/hurd/start.c (start1): Use calloc to get
	zero-filled space for __hurd_threadvar_stack_offset when
	__hurd_threadvar_stack_mask is zero.

Thu Apr 28 21:29:47 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Merged gmp-1.99.3+ mpn code from tege for printf_fp.
	* stdio/printf_fp.c: Include "longlong.h"; gmp-impl.h no longer does.
	
	* Makerules (+depfiles): Filter $(extra-objs) to get only .o files.

Wed Apr 27 00:20:41 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Makerules (depend-$(subdir)): Put output in tmp file and use mv -f.
	Always use $(+depfiles), since sources is no longer exported.

Tue Apr 26 20:05:55 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/bsd/bsd4.4/tcdrain.c: Don't include <termios.h> to 
	avoid <sys/ioctl.h> conflicts.
	* sysdeps/unix/bsd/bsd4.4/tcsetattr.c: Undefine ECHO, MDMBUF,
	TOSTOP, FLUSHO, PENDIN, and NOFLSH after including <termios.h> and
	before including <sys/ioctl.h>.
	* sysdeps/unix/bsd/bsd4.4/__tcgetatr.c: Likewise.

Tue Apr 26 14:42:43 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* sysdeps/mach/sleep.c (sleep): Specify MACH_RCV_MSG or else
	mach_msg won't do anything but return immediately.
	(sleep): Compute return value correctly.

Tue Apr 26 04:49:56 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/i386/setjmp.c: Put global register decls first thing.
	* sysdeps/i386/__longjmp.c: Likewise.

Fri Apr 22 18:10:36 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* sysdeps/unix/sysv/irix4/__wait3.S: New file.
	* sysdeps/unix/sysv/irix4/time.S: New file.
	* sysdeps/unix/sysv/irix4/__waitpid.c: New file.

Thu Apr 21 16:54:11 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* malloc/malloc.c (initialize, morecore): When allocating the
	_heapinfo block itself, account for it in the statistics.

Tue Apr 19 20:17:06 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/sysv/sco3.2.4/pipestream.c: New file.

	* malloc/malloc.c (morecore): Only zero the new part of NEWINFO,
	not the part we will copy _heapinfo into.

	* sysdeps/unix/bsd/signum.h (SIGLOST): Define.
	(_NSIG): Increase to 33.

Mon Apr 18 16:56:11 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in (config.status): Use $configure_args instead of
	$ac_configure_args.
	(after AC_PREPARE): Call AC_LANG_C.

	* time/Makefile (routines): Add sys/timeb.h.
	(routines): Add ftime.
	* time/sys/timeb.h: New file.
	* sysdeps/unix/bsd/ftime.c: New file.
	* sysdeps/generic/ftime.c: New file.

	* sysdeps/posix/getenv.c (getenv): Return NULL if __environ is null.

	* malloc/malloc.h [_MALLOC_INTERNAL] [HAVE_UNISTD_H]: Include
	unistd.h.

	* malloc/Makefile (gmalloc-routines): Put valloc first.

Wed Apr 13 14:03:02 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/__symlink.c (__symlink): Set the target of the
	link to FROM, not TO.

	* sysdeps/mach/hurd/__readlink.c (__readlink): Copy just the
	target into the user's buffer, not the entire translator spec.

Tue Apr 12 00:13:19 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* hurd/fd-write.c (_hurd_fd_write): Set noctty for now rather
	than depending on what happens to be on the stack.

	* sysdeps/mach/hurd/readdir.c (readdir): Notice when hitting
	end-of-file and return NULL.

Mon Apr 11 17:36:59 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/start.c (start1): Bother to set __environ.

	* sysdeps/mach/hurd/__ioctl.c (__ioctl): Comment out use of 
	HURD_EINTR_RPC until signals work.

Mon Apr 11 14:16:40 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/__ioctl.c (__ioctl): Call __mig_get_reply_port
	rather than __mig_reply_port (which doesn't exist).

	* sysdeps/mach/hurd/__mknod.c: Added temporary declarations
	of major and minor.

	* (This change occurred on April 4, 1994) mach/setup-thread.c
	(__mach_setup_thread): The March 31 change had an error; the stack
	needs to be allocated with ANYWHERE cleared.

	* (This change occurred on April 8, 1994) hurd/hurdexec.c
	(_hurd_exec): The arguments to exec_exec had the length and 
	type parameters transposed.  In addition, fetch the correct
	procserver port for the new task.

	* (This change occurred on April 8, 1994)
	sysdeps/mach/hurd/__wait.c (__wait4): Deal properly with a null
	USAGE argument.

	* (This change occurred on April 8, 1994)
	sysdeps/mach/hurd/_exit.c (_exit): Changed commented-out call to
	__proc_exit into a correct call to __proc_mark_exit.

Fri Apr  8 14:58:24 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* string/strsignal.c (strsignal): Store of NUL into unknown_signal
	was off by one.

Tue Apr  5 21:26:25 1994  Brendan Kehoe  (brendan@zen.org)

	* sysdeps/unix/sysv/sysv4/__sigact.c (__sigaction): Declare member
	`oact' in lower case, to match its use in the rest of the function.

Tue Apr  5 03:07:04 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Makerules (install-lib.a rule): Run ranlib on the target.

	* Makerules (library member rule): Tighten up pattern rule to
	match only libc.a, not other libraries.

Mon Apr  4 21:49:57 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* set-hooks.h: New file.
	* Makefile (distribute): Add it.
	* set-init.c: Include it and use its macro DEFINE_HOOK_RUNNER.

	* Makerules (sysd-Makefile): Put `sysd-Makefile-done=t' in output.
	(sysd-rules): Don't include it unless sysd-Makefile-done is defined.

Mon Apr  4 18:33:54 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* mach/setup-thread.c (__mach_setup_thread): Oops; the vm_allocate
	call should have ANYWHERE cleared so that the change of the 31st
	has any effect at all.

Thu Mar 31 13:46:13 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* mach/setup-thread.c (__mach_setup_thread): Create a red zone
	beneath the stack; also, work around a bug in cthreads by
	forcing the stack into high memory.  FIXME--this routine
	depends on the direction of stack growth; that should be fixed.

Mon Mar 28 12:55:51 1994  Roland McGrath  (roland@mole.gnu.ai.mit.edu)

	* Rules (make-dummy-lib): Use `$(AR)' instead of literal `ar'.

	* configure.in (arg parsing): Don't take --os-release or --os-version.
	(switches): Variable removed; don't write it into config.status.
	(config.status): Write release and version values directly.

	* sysdeps/unix/common/configure.in: Use changequote around if expr
	to avoid [] elision.

Sat Mar 26 18:36:27 1994  Roland McGrath  (roland@mole.gnu.ai.mit.edu)

	* malloc/mcheck.c [! _MALLOC_INTERNAL]: #include <stdio.h>

Fri Mar 25 02:17:55 1994  Roland McGrath  (roland@mole.gnu.ai.mit.edu)

	* malloc/mcheck.c (mprobe): New function.
	(abortfunc): Take enum mcheck_status arg.
	(checkhdr): Return an enum mcheck_status, and pass it to abortfunc.
	(mabort): New function.
	(mcheck): Use mabort as default abortfunc.
	* malloc/malloc.h (enum mcheck_status): New type.
	(mprobe): Declare new function.
	(mcheck): ABORTFUNC takes an `enum mcheck_status' arg.

	* posix/unistd.h [__USE_GNU] (TEMP_FAILURE_RETRY): New macro.

	* stdio/stdio.h [__USE_GNU && !_LIBC] (cookie_io_functions_t):
	Define instead of __io_functions (and make that a typedef for
	this); omit __ from member names.

Thu Mar 24 14:59:23 1994  Roland McGrath  (roland@mole.gnu.ai.mit.edu)

	* sysdeps/unix/sysv/sco3.2.4/sigaction.h: New file.

	* sysdeps/unix/sysv/sco3.2.4/__sigact.S: Put address of
	__sigreturn in %ecx before doing syscall trap.

	* sysdeps/stub/setegid.c: Fix arg type to __gid_t (was int).

Wed Mar 23 17:33:09 1994  Roland McGrath  (roland@mole.gnu.ai.mit.edu)

	* Makefile (headers): Remove $(stdarg.h).
	* Makeconfig (stdarg.h): Variable removed.
	* configure.in: Remove check for __gnuc_va_list in stdarg.h.
	It is not safe to replace the compiler's stdarg.h with our own.

Tue Mar 22 12:46:08 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Rules (dist): Rule removed.
	* Makefile (dist): Likewise.
	* Makerules (dist, distinfo): New rules.
	(TAGS): Depend on distfile, pass -f distfile to submake.

	* math/Makefile: Remove if-ed out old bsdmath copying rules.

	* Makerules (sources, headers, sysdep_routines): Don't export these.
	* Rules (others, tests): Likewise.

	* io/lockf.c: Include fcntl.h and errno.h.

Mon Mar 21 20:27:32 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/bsd/sony/newsos4/fchdir.S: New file.
	* sysdeps/unix/bsd/sony/newsos4/{__wait4.c,__wait3.c,__wait.c,
	sys_wait4.S,Makefile,Dist}: New files.

	* sysdeps/unix/Makefile (syscall.h): De-SYS_ify `kerncall_basenum'.

	* sysdeps/unix/bsd/m68k/sysdep.S [! __motorola__]: Rename label 0
	to `store'; a user reports gas 1.38 bombs on numbered labels.

	* sysdeps/posix/Makefile (mk-stdiolim): Use $(HOST_CC).

	* Rules (distribute, dont_distribute, generated): Don't export them.
	(dist): Pass those vars down to sub-make on cmd line.
	* Makefile (distribute, generated): Don't export them.
	(dist): Pass distribute and generated values to sub-make on cmd line.

	* Makerules (install-lib-nosubdir): Insert $(libprefix) appropriately.

Fri Mar 18 01:02:52 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/bsd/sony/newsos/m68k/sysdep.h (DO_CALL): Use a6 in
	place of fp.  A user reports gas 1.38 doesn't grok fp.

Tue Mar  8 18:35:02 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Makerules (common-clean): Prepend $(objpfx) to $(generated).
	* Makefile (parent-clean): Prepend $(common-objpfx) to
	$(common-generated).
	* Makefile (generated): Don't prepend $(objpfx).
	* Rules (generated): Likewise.
	* sysdeps/unix/common/Makefile (generated): Likewise.
	* sysdeps/unix/sysv/Makefile (generated): Likewise.
	* sysdeps/unix/Makefile (common-generated): Don't prepend
	$(common-objpfx).
	* sysdeps/posix/Makefile (common-generated): Likewise.
	* sysdeps/generic/Makefile (common-generated): Likewise.
	(generated): Don't prepend $(objpfx).

	* sysdeps/generic/Makefile (common-generated): Set this instead of
	generated for bytesex.h and det_endian.

	* sysdeps/stub/fexecve.c: New file.
	* posix/Makefile (routines): Add fexecve.
	* posix/unistd.h [__USE_GNU]: Declare fexecve.

	* sysdeps/unix/common/configure.in: Protect siglist and ctype
	checks with if [ ! "$inhibit_glue" ].
	* sysdeps/generic/configure.in: Likewise for psignal check.
	* sysdeps/unix/common/Makefile: Protect body with ifndef inhibit-glue.

Mon Mar  7 17:46:46 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/bsd/osf1/alpha/__sigblock.S: New file from brendan.

Fri Mar  4 01:56:26 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Makerules (native-compile, common-objdir-compile): Use
	$(HOST_CC) in place of $(CC).

	* malloc/cfree.c: Move #undef cfree inside #ifdef _LIBC.

	* misc/sys/ioctl.h (struct ttysize): If TIOCGSIZE != TIOCGWINSZ,
	use two int elts instead of four shorts.

Thu Mar  3 17:35:54 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* malloc/realloc.c (realloc): When shrinking a block by splitting
	and then freeing one, bump the _chunks_used counter.

	* sysdeps/unix/sysv/sysv4/i386/__mknod.S: New file.

Tue Mar  1 11:42:41 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/sysv/sco3.2.4/__waitpid.S: Get first argument from
	stack at 8(%esp), not 4(%esp).

	* sysdeps/unix/sysv/isc2.2/rename.S: Get unix/common, not unix/bsd.

Thu Feb 24 14:40:43 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* io/lockf.c: New file.
	* io/Makefile (routines): Add lockf.
	* io/fcntl.h [__USE_MISC] (F_ULOCK, F_LOCK, F_TLOCK, F_TEST): New
	macros.
	[__USE_MISC] (lockf): Declare it.
	* posix/unistd.h: Copy those new macros and declaration.

	* time/backward, time/etcetera, time/zic.c: New code and data from ADO.
	* Makeconfig (posixrules): Default to America/New_York.

	* sysdeps/unix/mips/sysdep.S: Store -1 in v0 in the delay slot after
	the return, rather than before (leaving the delay slot unfilled and
	without a nop!).

	* sysdeps/unix/sysv/irix4: New directory; mips-sgi-irix4 port
	courtesy Tom Quinn.

	* sysdeps/unix/sysv/sysv4/direct.h: Moved to unix/common; it is right
	for irix4 as well as sysv4.
	* sysdeps/unix/bsd/ultrix4/__wait.S: Moved to unix/mips.
	(noerror): Store register v1 in location pointed to by first arg (if
	not NULL).
	* sysdeps/unix/bsd/ultrix4/__sigret.S: Moved to unix/mips.

	* sysdeps/unix/bsd/bsd4.4/{mmap,munmap,mprotect,msync,madvise}.S:
	Moved to sysdeps/unix/mman (new directory).
	* sysdeps/unix/bsd/bsd4.4/Implies: New file; imply unix/mman.
	* sysdeps/unix/bsd/sunos4/Implies: Likewise.
	* sysdeps/unix/bsd/ultrix4/Implies: Likewise.
	* sysdeps/unix/bsd/osf1/Implies: Likewise.
	* sysdeps/unix/bsd/sun/sunos4/munmap.S,
	sysdeps/unix/bsd/sun/sunos4/mprotect.S,
	sysdeps/unix/bsd/sun/sunos4/madvise.S,
	sysdeps/unix/bsd/ultrix4/mmap.S,
	sysdeps/unix/bsd/ultrix4/munmap.S,
	sysdeps/unix/bsd/ultrix4/mprotect.S,
	sysdeps/unix/bsd/osf1/mmap.S,
	sysdeps/unix/bsd/osf1/munmap.S,
	sysdeps/unix/bsd/osf1/mprotect.S: Files removed.

	* sysdeps/unix/sysv/sysv4/fcntlbits.h: Moved to sysdeps/unix/common.

	* stdio/printf_fp.c: Add many assertions to make sure no mpn size
	variable is ever zero.

	* Makerules (native-CFLAGS): Add -I$(sysincludedir).

	* Makerules (depend-$(subdir)) [omit-deps]: Use $(+depfiles) value
	instead of shell hackery.

Wed Feb 23 00:09:08 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/sparc/alloca.S [! NO_UNDERSCORES]: Call it ___builtin_alloca.

Tue Feb 22 18:47:10 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/bsd/sun/sunos4/sys/mman.h: Use __off_t in mmap
	prototype.

	* time/setitmr.c: Swap args OLD and NEW.
	* time/sys/time.h (setitimer): Likewise.
	* sysdeps/stub/__setitmr.c: Likewise.

Mon Feb 21 20:47:55 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/sparc/Makefile [gnulib] (routines): Add alloca.
	* sysdeps/sparc/alloca.S: New file; support for SunOS libc's
	`__builtin_alloca' function (never needed with GCC).

	* sysdeps/unix/sysv/sysv4/__sigact.c (trampoline): Cast handler to
	three-arg type.

Sun Feb 20 00:46:15 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/bsd/sun/sunos4/mmap.c: Add missing semicolon.

	* sysdeps/unix/sparc/start.c [! NO_SHLIB]: Include <sys/types.h>
	before <sys/mman.h>.

	* sysdeps/unix/bsd/ultrix4/mips/{sysdep.h,sysdep.S,__pipe.S,
	__fork.S,__brk.S}: Moved to sysdeps/unix/mips (new directory).

	* sysdeps/unix/bsd/ultrix4/mips/__sigret.S: Use SYS_sigreturn
	instead of literal 103; #define to 103 if not already defined.

Sat Feb 19 17:39:13 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/sysv/sysv4/i386/Dist: New file; list sys-sig.S.

Fri Feb 18 18:07:34 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/generic/configure.in: New file; check for psignal.

	* sysdeps/unix/common/glue-ctype.c: Check for table named _ctype,
	before checking for _ctype_.
	* sysdeps/unix/common/configure.in: Check for _ctype.

	* sysdeps/unix/Makefile (syscall.h): Look for sys.s before syscall.h.
	* sysdeps/unix/configure (unix_syscall_h): Likewise.

	* configure.in (os = irix4*): Set base_os=unix/sysv.

	* sunrpc/rpc/auth.h (u_int32): Always define, no #ifdefs.
	* sunrpc/xdr_float.c: Change [mc68000 || sparc] to [! vax].

Thu Feb 17 18:42:29 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Version 1.07.4.

	* sysdeps/unix/bsd/sun/sunos4/Dist: Add sys_mmap.S.

	* Makerules (sysdep_dir): Remove defn.
	* Makeconfig (sysdep_dir): Define it here instead.

Wed Feb 16 16:54:00 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/sysv/sysv4/__sigact.c: New file.
	* sysdeps/unix/sysv/sysv4/i386/Makefile: New file.
	* sysdeps/unix/sysv/sysv4/i386/sys-sig.S: New file.

	* time/sys/time.h (timerisset, timercmp, timerclear): New macros.

	* misc/Makefile (headers): Add sys/mman.h.
	(routines): Add mmap, munmap, mprotect, msync.
	* sysdeps/unix/bsd/sun/sunos4/sys_mmap.S: New file.
	* sysdeps/unix/bsd/sun/sunos4/mmap.c: New file.
	* sysdeps/unix/bsd/sun/sunos4/Makefile [$(subdir) == misc]
	(sysdep_routines): Add sys_mmap.
	* sysdeps/unix/bsd/bsd4.4/mprotect.S: New file.
	* sysdeps/unix/bsd/bsd4.4/munmap.S: New file.
	* sysdeps/unix/bsd/bsd4.4/msync.S: New file.
	* sysdeps/unix/bsd/bsd4.4/mmap.S: New file.
	* sysdeps/unix/bsd/bsd4.4/madvise.S: New file.
	* sysdeps/unix/bsd/sun/sunos4/mprotect.S: New file.
	* sysdeps/unix/bsd/sun/sunos4/munmap.S: New file.
	* sysdeps/unix/bsd/sun/sunos4/msync.S: New file.
	* sysdeps/unix/bsd/sun/sunos4/madvise.S: New file.
	* sysdeps/unix/bsd/ultrix4/sys/mman.h: New file.
	* sysdeps/unix/bsd/ultrix4/mmap.S: New file.
	* sysdeps/unix/bsd/ultrix4/munmap.S: New file.
	* sysdeps/unix/bsd/ultrix4/mprotect.S: New file.
	* sysdeps/stub/mprotect.c: New file.
	* sysdeps/stub/munmap.c: New file.
	* sysdeps/stub/msync.c: New file.
	* sysdeps/stub/mmap.c: New file.
	* sysdeps/stub/madvise.c: New file.
	* sysdeps/generic/sys/mman.h: New file.
	* sysdeps/unix/bsd/sun/sunos4/sys/mman.h: New file.
	* sysdeps/unix/bsd/osf1/msync.S: New file.
	* sysdeps/unix/bsd/osf1/mmap.S: New file.
	* sysdeps/unix/bsd/osf1/munmap.S: New file.
	* sysdeps/unix/bsd/osf1/mprotect.S: New file.
	* sysdeps/unix/bsd/osf1/sys/mman.h: New file.

Tue Feb 15 16:47:45 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* posix/unistd.h: Declare truncate, ftruncate.

	* misc/Makefile (headers): Add syslog.h.
	* misc/syslog.h: New file; just includes <sys/syslog.h>.

	* posix/unistd.h: Change duplicate seteuid decl to setegid.

	* io/Makefile (headers): Add sys/fcntl.h.
	* io/sys/fcntl.h: New file; just includes <fcntl.h>.

Mon Feb 14 10:36:57 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Makerules (library pattern rule): Depend on
	$(objpfx)stamp-$(subdir) and have empty commands.
	($(objpfx)stamp-$(subdir)): Move dep on $(objects) and ar cmds here.
	(common-mostlyclean): Remove $(objpfx)stamp-$(subdir).

	* Makerules (+depfiles): Filter out deps for modules in $(omit-deps).

	* sunrpc/Makefile (omit-deps): Define new variable.

	* Makerules ($(libc.a)(__.SYMDEF)): Depend on $(+libobjs), not
	lib-noranlib.
	* Makefile ($(libc.a)(__.SYMDEF)): Depend on subdir_lib.

	* Makerules (+depfiles): Include deps for $(extra-objs).

	* sunrpc/rpcsvc/klm_prot.x: Move program definition to end.

	* sunrpc/Makefile (lib): Depend on $(objpfx)librpcsvc.a.

	* time/zic.c: Set CP to NAME before dereferencing.

	* sunrpc/Makefile ($(objpfx)x%.c): Target fixed from $(objpfx)x%.c.
	($(objpfx)rpcsvc/%.h): Target renamed from $(includedir)rpcsvc/%.h.
	Make each x%.o file depend on the corresponding rpcsvc/%.h file.
	(headers): Add rpcsvc/%.h.
	(install-others): Remove generated rpcsvc headers.
	(generated): Define to include generated rpcsvc headers and sources.

	* sysdeps/m68k/fpu/acos.c: Add __CONSTVALUE to defn.
	* sysdeps/m68k/fpu/ldexp.c: Likewise.
	* sysdeps/m68k/fpu/pow.c: Likewise.
	* sysdeps/m68k/fpu/fmod.c: Likewise.
	* sysdeps/m68k/fpu/atan2.c: Likewise.
	* sysdeps/m68k/fpu/__drem.c: Likewise.
	* sysdeps/m68k/fpu/__isinf.c: Likewise.
	* sysdeps/generic/hypot.c: Likewise.
	* sysdeps/m68k/fpu/__logb.c: Likewise.

	* sysdeps/unix/bsd/m68k/sysdep.S: Swap operands in cmpl.

Sun Feb 13 19:49:24 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/m68k/Makefile (compile-command.S): Remove definition
	that did kludgey # hackery.
	* sysdeps/unix/bsd/hp/m68k/sysdep.h (PSEUDO): Add missing close paren.
	(POUND): Define (no arg) to just `#' (a single pound sign).
	(PSEUDO, DO_CALL): Use `POUND foo' in place of `POUND(foo)'.
	* sysdeps/unix/bsd/sony/newsos/m68k/sysdep.h: Likewise.
	* sysdeps/unix/bsd/sun/m68k/sysdep.h: Likewise.
	* sysdeps/unix/bsd/sun/m68k/__brk.S: Use #0, not POUND(0).
	* sysdeps/unix/bsd/hp/m68k/__brk.S: Use #__end instead of POUND(__end).

Fri Feb 11 00:29:45 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in (Makefile): Set objdir instead of ARCH in submake cmd.

	* time/mktime.c: Define __P if undefined.

	* assert/assert.h (__ASSERT_FUNCTION): Check __GNUC_MINOR__<6 if
	defined(__cplusplus).

Thu Feb 10 00:52:31 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/sysv/__sigact.c: Use __sigismember and
	__sigemptyset on sa_mask instead of assuming it's an int.

	* sysdeps/unix/sysv/sysv4/sigset.h (__sigismember): Declare arg
	SET to be a pointer to const.

	* sysdeps/posix/__sigpause.c: Convert MASK to a sigset_t with a loop.

	* sysdeps/posix/__sigblock.c: When sigset_t==mask, take address of
	SET or OSET, cast to int *, and dereference.
	* sysdeps/posix/__sigstmsk.c: Likewise.
	* sysdeps/posix/__sigvec.c: Likewise.

	Add the -lrpcsvc library of XDR routines for standard SunRPC protocols.
	* sunrpc/Makefile (install-lib): Define to include librpcsvc.a.
	(rpcsvc-objs): New variable.
	(extra-objs): Add $(rpcsvc-objs).
	($(objpfxlibrpcsvc.a): New target.
	($(objpfx)x%.o): New rule to rpcgen XDR routines.

Wed Feb  9 11:59:33 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* time/zic.c (mkdirs): Reapply fix to avoid writing into passed ptr.

	* sunrpc/Makefile (distribute): Add etc.rpc.
	($(includedir)/bootparam_prot.h): Change target to
	$(includedir)/rpcsvc/bootparam_prot.h and dep to
	$(includedir)/rpcsvc/bootparam.h.
	(install-others): Change reference.

	* sunrpc/rpc_util.h: Comment out bogus decl of sprintf.

	* Makerules ($(libc.a)(__.SYMDEF)): Depend on lib-noranlib instead
	of $(+libobjs); this way makes the parent do subdir_lib.

	* sysdeps/unix/sysv/sysv4/sigset.h: Protect types with #ifndef
	_SIGSET_H_types.  Protect rest with #if !defined (_SIGSET_H_fns)
	&& defined (_SIGNAL_H).

Tue Feb  8 19:00:42 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Version 1.07.3.

	* sysdeps/unix/sysv/sysv4/sigset.h: Fix typos (omitted __s).

Mon Feb  7 14:31:00 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Makerules ($(libc.a)): Depend on $(libc.a)(__.SYMDEF); no commands.
	($(+libobjs)): Remove static pattern rule.
	(ar-it): Target removed.
	Replace with pattern rule to catch %(*.o) for all $(objects).
	($(libc.a)(__.SYMDEF)): New target.
	(lib-noranlib, $(libdir)/lib$(libprefix)c.a): Don't depend on ar-it.

	* sysdeps/unix/sparc/sysdep.h (PSEUDO): Add nop after jmp; the
	next insn is most likely a retl, which causes interesting behavior.

	* stdio/vfprintf.c: Pass WORKEND+1 to _itoa, not WORKEND.
	Subtract one from result of _itoa when setting W.

	* time/{africa,asia,australasia,backward,europe,leapseconds,
	northamerica,southamerica,zic.c}: New code and data from ADO.

Sun Feb  6 13:55:27 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sunrpc: New directory; code from Sun's RPCSRC-4.0.
	* sysdeps/unix/inet/Subdirs: Add sunrpc.
	* inet/netdb.h: #include <rpc/netdb.h> at end.

	* Make-dist ($(tardir).tar): Use -v when extracting from dist.tar
	and pipe output to doschk.

	* Makeconfig (etcdir): New variable.
	(localtime-file): Use that in default value.

	* Makerules (depend-$(subdir)): Include dep files for all .o files
	listed in $(extra-objs).

	* posix/sys/types.h (NFDBITS): #define to __NFDBITS.

	* inet/netinet/in.h (INADDR_LOOPBACK): Don't define if already
	defined; avoids changing source which defines it before including this.
	(struct sockaddr_in): Rename `__pad' member to `sin_zero'; some
	code wants to bzero the area just for paranoia.

	Make cleaning targets only remove common (not specific to one
	subdir) generated files if run from the parent directory.
	* Makefile (parent-clean): Remove $(common-generated) also.
	* sysdeps/unix/Makefile (local_lim.h, sys/param.h, errnos.h,
	ioctls.h, syscall.h): Append to $(common-generated), not $(generated).
	* sysdeps/posix/Makefile (stdio_lim.h): Likewise.

	* signal/signal.h: Declare psignal here.
	* stdio/stdio.h: Not here.

	* stdio/stdio.h [__OPTIMIZE__] (vprintf, vfscanf, vscanf,
	vsscanf): Define as extern inline functions instead of macros.

	* configure.in (names): Check existence of implied dirs and warn
	for absentees.

Sat Feb  5 13:38:26 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Version 1.07.2.

	* resource/sys/resource.h (RUSAGE_SELF, RUSAGE_CHILDREN): #define
	to self for things that test #ifdef.

	* sysdeps/unix/common/Dist: Remove bsd_getgrp.S.

	* sysdeps/unix/Makefile: Don't include param.h.dep ifdef no_deps.

	* Makerules (vpath %.h): Use $(common-objpfx) in place of $(objpfx).

	* sysdeps/unix/bsd/i386/__vfork.S: Decrement R1 and AND it with R0
	to avoid the test and branch.

	* sysdeps/unix/bsd/getprio.S, sysdeps/unix/bsd/setprio.S,
	sysdeps/unix/bsd/__setreuid.S, sysdeps/unix/bsd/__setregid.S: Moved to
	sysdeps/unix/common.

	* sysdeps/unix/reboot.S: New file.

	* sysdeps/unix/sysv/sysv4/solaris2/signum.h: New file.
	* sysdeps/unix/sysv/sysv4/signum.h: New file.
	* sysdeps/unix/sysv/sysv4/sigset.h: New file.
	* sysdeps/unix/sysv/sysv4/sigaction.h (struct sigaction): Swap
	positions of sa_flags and sa_mask members (sa_flags is first now).
	(SA_NOCLDWAIT): Renamed from SA_NOSCLDWAIT.

	* sysdeps/unix/bsd/init-posix.c (_posix_start_time): Initialize it.

	* Makerules (open-check-inhibit-asm): Use : for empty commands in case.

	* time/leapseconds: New version from ADO, adds 1994 leap second.

Thu Feb  3 02:15:30 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/bsd/ulimit.c: Define ulimit instead of __ulimit.

Wed Feb  2 16:56:29 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/sysv/sco3.2.4/sigsuspend.S: Moved to unix/sysv/sysv4.
	Replaced with #include of that file.

	* sysdeps/unix/sysv/sysv4/solaris2/sigaltstack.S: Moved to 
	sysdeps/unix/sysv/sysv4/sigaltstk.S.

	* sysdeps/unix/sysv/sysv4/i386/__lstat.S: Syscall lxstat, not xlstat.
	* sysdeps/unix/sysv/sysv4/i386/__fstat.S: Syscall fxstat, not xfstat.

Tue Feb  1 18:22:21 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* stdio/_itoa.c, stdio/_itoa.h: New files.
	* stdio/Makefile (routines): Add _itoa.
	(distribute): Add _itoa.h.
	* stdio/vfprintf.c: Use _itoa instead of doing it by hand.

	* sysdeps/unix/sparc/vfork.S: Add nop after jmp.  Bad delay slot,
	no pipeline.
	* sysdeps/unix/bsd/ultrix4/mips/vfork.S: Likewise.

Mon Jan 31 19:33:04 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* assert/assert.c (__assert_fail): Take 4th arg FUNCTION; if it is
	not null, print it in the message.  Also declare __NORETURN.
	* assert/assert.h (__assert_fail): Update decl; also add __NORETURN.
	(__ASSERT_FUNCTION): #define to be __PRETTY_FUNCTION__ for GCC>=2.4.
	(assert): Pass __ASSERT_FUNCTION to __assert_fail.

	* sysdeps/unix/bsd/sun/sparc/vfork.S: Moved to sysdeps/unix/sparc.
	Use C_SYMBOL_NAME on __vfork instead of prepending an underscore.

	* sysdeps/unix/sysv/sysv4/solaris2/{start.c,sysdep.S,sysdep.h}: Moved
	to sysdeps/unix/sysv/sysv4/solaris2/sparc.

	* sysdeps/unix/{i386,sysv/sysv4/solaris2,sysv/i386/linux,bsd/m68k,
	bsd/ultrix4/mips,bsd/vax}/sysdep.S: Don't do EWOULDBLOCK_sys->EAGAIN
	mapping #if EWOULDBLOCK_sys == EAGAIN.

	* sysdeps/unix/sparc/sysdep.h [NO_UNDERSCORES]: #define syscall_error
	to C_SYMBOL_NAME(__syscall_error).
	(PSEUDO): On error, jump to syscall_error instead of setting errno.
	* sysdeps/unix/sparc/sysdep.S: New file.

	* sysdeps/unix/sysv/sysv4/i386/__vfork.S: New file, just #include
	unix/bsd/i386 version. 

	* sysdeps/unix/bsd/i386/__vfork.S: Use `scratch' in place of %edx.

Thu Jan 27 16:46:03 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in (asm-CPPFLAGS): Add new check to see if assembling
	a .S file loses without -P.  If so, set asm-CPPFLAGS=-P in config.make.

	* configure.in (stddef.h): Print msg under --verbose.

	* manual/Makefile (subdir): Define outside of `export' directive,
	for old make.

	* time/mktime.c (search): Take new arg PRODUCER, fn to call
	instead of `localtime'.
	(_mktime_internal): New function; all code from old `mktime', but
	take 2nd arg PRODUCER and pass along to `search'.
	(mktime): Rewrite to call _mktime_internal with localtime.
	* time/Makefile (routines): Add dysize, timegm, timelocal.
	* time/time.h (_mktime_internal): Declare it.
	[__USE_MISC]: Declare timegm, timelocal, dysize.
	* time/dysize.c: New file.
	* time/timegm.c: New file.
	* time/timelocal.c: New file.

Wed Jan 26 20:06:23 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	Remove the hackery on getgroups for most systems.  It is no longer
	necessary because gid_t is now the same size as int.
	* sysdeps/unix/common/Makefile (sysdep_routines): Don't add bsd_getgrp.
	* sysdeps/unix/common/bsd_getgrp.S: File removed.
	* sysdeps/unix/common/__getgrps.S: New file.
	* sysdeps/unix/bsd/sequent/i386/__getgrps.S: New file.

	Clean up the rules for cleaning up.
	* Makerules (common-mostlyclean): New target; remove object files.
	(common-clean): New target; depend on common-mostlyclean, and
	remove dep files and generated files.
	(clean): Depend on common-clean.
	(mostlyclean): Depend on common-mostlyclean.
	* Rules (mostlyclean): Target removed.
	(clean): Target removed.
	(distclean): New target; depend on clean.
	(realclean): New target; depend on distclean.
	(subdir_distclean): New target; depend on distclean.
	(subdir_realclean): New target; depend on realclean.
	(subdir_mostlyclean): New target; depend on mostlyclean.
	* Makefile (+subdir_targets): Add subdir_distclean,
	subdir_realclean; change mostlyclean to subdir_mostlyclean.
	(parent-mostlyclean): New target; depend on common-mostlyclean and
	remove libc.a and $(install-lib).
	(parent-clean): New target; depend on parent-mostlyclean and
	common-clean, and remove sysdirs sysd-dirs sysd-Makefile.
	(clean): Depend on parent-clean and just do submake for subdirs.
	(mostlyclean): Depend on parent-clean and just do submake for subdirs.
	(distclean, realclean): Depend on parent-clean and do submake
	distclean-1 passing it variable assignment distclean-1=$@.
	(distclean-1): Depend on subdir_$(distclean-1) and remove
	$(config-generated), config.status, config.make, Makefile (if not
	in srcdir).
	* manual/Makefile (subdir_clean): Target removed.
	(subdir_%): New rule to handle all such targets.
	(distclean): Depend on clean, not mostlyclean.
	(realclean): Depend on distclean, not clean.

	* sysdeps/unix/configure (unix_generated_dirpfx): New variable.
	Use it to put created .S files in sysdeps/unix if configured in
	srcdir, else in current directory.
	(unix_generated): Prepend $unix_generated_dirpfx.
	Have generated config.make fragment prepend $(objpfx).
	* sysdeps/unix/Makefile (generated): Don't set it.
	(config-generated): Set this instead; don't prepend any directory
	prefix to $(unix-generated).

	Fixes for SVR4 wait from jmc@ksu.ksu.edu (James Michael Chacon):
	* sysdeps/unix/sysv/sysv4/siginfo.h (__siginfo_t): Add `__code'
	and `__pid' fields.
	(EXITED, KILLED, CORED, TRAPPED, STOPPED, CONTINUED): New macros.
	* sysdeps/unix/sysv/sysv4/__waitpid.c: Switch on INFOP.__code and
	construct *STAT_LOC from INFOP.__status accordingly.

	* stdlib/testsort.c (main): Use puts to add newlines to printed lines.

Tue Jan 25 14:32:01 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Version 1.07.1.

	* manual/Makefile (%.z): Change target pattern to %.gz.
	(dist): Comment out dep.  Don't really need the separate doc dist.

	* stdio/stdio.h [__OPTIMIZE__] (getchar, putchar, getdelim,
	getline, __getline): Use extern inlines instead of macros.

	* sysdeps/unix/sysv/sco3.2.4/__waitpid.S: Fix typo ($eax for %eax).

	* sysdeps/unix/siglist.c [! HAVE_GNU_LD] (_sys_siglist): #define
	to sys_siglist.
	* sysdeps/posix/__gettod.c [! HAVE_GNU_LD] (__daylight,
	__timezone, __tzname): #define to non-__ names.

	* math/math.h [__USE_BSD] (M_E, M_LOG2E, M_LOG10E, M_LN2, M-LN10,
	M_PI, M_PI_2, M_PI_4, M_1_PI, M_2_PI, M_2_SQRTPI, M_SQRT2,
	M_SQRT1_2): New macros.

Tue Jan 25 14:01:28 1994  Michael I. Bushnell  (mib at ernst.gnu.ai.mit.edu)

	* sysdeps/mach/hurd/start.c (start1): Decide separately whether to
	split argv and whether to split envp.

	* sysdeps/mach/hurd/i386/sysdep.h: File deleted.
	sysdeps/mach/i386/sysdep.h: Delete SET_SP macro.
	sysdeps/mach/hurd/start.c (_start): Don't call GET_SP; set globals
	instead of locals from exec_startup message.

	* misc/progname.c: Don't try to set
	program_invocation_name or program_invocation_short_name if argv
	or argv[0] is invalid.

Mon Jan 24 16:51:43 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/sysv/sysv4/__waitpid.c: Return INFOP.__pid instead of
	the PID we were called with.

	* sysdeps/unix/sysv/__mkdir.c (__mkdir): Restore errno before
	returning, not after (lot of good that did).

	* sysdeps/unix/bsd/ultrix4/system.c, sysdeps/unix/bsd/bsd4.4/system.c,
	sysdeps/unix/bsd/osf1/system.c, sysdeps/unix/sysv/sco3.2.4/system.c,
	sysdeps/unix/bsd/sun/sunos4/system.c, sysdeps/unix/sysv/sysv4/system.c:
	New files.  Avoid sysdeps/unix/system.c, which defines NO_WAITPID.

	* set-init.c (__libc_init): Use `n' count field instead of
	checking for null terminator.  The latter loses when there are no
	set elts at all, and only one word is allocated for __libc_subinit.

	* sysdeps/generic/waitstatus.h (__WCOREFLAG): New macro.
	* posix/sys/wait.h [__USE_BSD] (WCOREFLAG): New; define to __WCOREFLAG.

	* stdio/fileno.c (fileno): Call __stdio_check_funcs.

	* stdio/tst-fileno.c: New file.

Fri Jan 21 16:56:50 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Rules (dep-dummy-lib, make-dummy-lib): New variables.
	($(objpfx)dummy.o): New file rule.
	* posix/Makefile ($(objpfx)libposix.a): Depend on
	$(dep-dummy-lib), and use $(make-dummy-lib) for commands.
	* math/Makefile ($(objpfx)libm.a): Likewise.

	* sysdeps/unix/sysv/sysv4/i386/__stat.S: New file.
	* sysdeps/unix/sysv/sysv4/i386/__lstat.S: Likewise.
	* sysdeps/unix/sysv/sysv4/i386/__fstat.S: Likewise.

	* sysdeps/sparc/bytesex.h: New file.

Thu Jan 20 12:45:35 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/stub/syscall.c (syscall): Declare arg type as int.

Wed Jan 19 18:18:15 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Makerules ($(before-compile) rule): Protect w/`ifdef before-compile'.

	* manual/Makefile: Change all `mv' uses to `mv -f'.
	(subdir_install): Depend on stubs.

	* Makerules ($(objpfx)%.dep: %.s): Depend also on $(objpfx)dummy.dep.

Tue Jan 18 19:12:57 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* stdlib/testsort.c (main): Swap dimensions of BUFS array.

Mon Jan 17 17:31:28 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Version 1.07 released.

	* Makerules (install-lib rules): Fix typos: missing / after $(libdir).

	* posix/Makefile (lib): Depend on $(objpfx)libposix.a
	* malloc/Makefile (lib): Depend on $(objpfx)libmcheck.a.
	* math/Makefile (lib): Depend on $(objpfx)libm.a.
	* misc/Makefile (lib): Depend on $(objpfx)libbsd-compat.a.

	* sysdeps/unix/sysv/sco3.2.4/__setpgid.c: New file.

	* stdio/internals.c (flushbuf): Don't try aligned-block writing
	calculation when FP->__buffer is nil.

Mon Jan 17 17:27:56 1994  Jim Meyering  (meyering@comco.com)

	* sysdeps/generic/memcmp.c [!_LIBC]: Include <sys/types.h> for
	definition of size_t.

Mon Jan 17 17:13:11 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/sysv/sco3.2.4/syscall.h:	Add SYS_[gs]etitimer and
	SYS_pgrpsys (from scottb).

	* sysdeps/unix/configure: Check for getitimer and setitimer syscalls.

	* sysdeps/unix/bsd/sequent/i386/syscall.S: New file from jason.

Sun Jan 16 00:41:03 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* string/strerror.c (strerror): Declare BUF to be array of char.

	* Version 1.06.13.

Sat Jan 15 17:27:26 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* stdlib/testsort.c (main): Rewrite not to read any input; instead
	generate some random alphabetic strings.

	* stdlib/Makefile (testsort.input): Rules removed.

	* sysdeps/unix/sysv/i386/__sigret.S: New file.

	* stdio/Makefile (distribute): Add mpn-copy.mk.
	Remove 68k rules; include mpn-copy.mk for dir names needing
	translation, and rewrite no-68k rules to be generic for the rest.
	(mpn-copy-sysdep): New variable.
	(mpn-stuff): Include $(mpn-copy-sysdep).
	(clean-mpn): Use rm -f.

	* configure.in (machine): Match m68... and m88..., not mc[68]8....

	* stdio/printf_fp.c: For length arg to __mpn_extract_double, pass
	actual number of limbs allocated for F, not LDBL_MANT_DIG.

Fri Jan 14 19:09:29 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/i386/sysdep.S: Fixed typo: `movl', not `move'.

	* sysdeps/unix/sysv/sco3.2.4/__sysconf.S: Swap args in cmpl insn.

Thu Jan 13 17:09:19 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Version 1.06.12.

	* sysdeps/mips/sqrt.c: File removed.  Ian says only the r[46]00
	have `sqrt.d' and GCC open codes it anyway.  Perhaps someday
	Brendan will be able to explain his rationale for writing this. :(

Tue Jan 11 18:10:17 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* posix/sys/wait.h (__WAIT_STATUS, __WAIT_STATUS_DEFN): Use snazzy
	version only for GCC >= 2.6 (was 2.4); 2.5.7 produces bad code on
	sparc when the union arg type is used.

	* Makeconfig (libprefix): New variable.
	* Makerules ($(libdir)/libc.a, install): Insert $(libprefix)
	between `lib' and `c' in the file name.
	[install-lib] (install-lib.a, install-lib-non.a): New variables
	separate out $(install-lib) elts which do or don't match lib%.a.
	($(libdir)/...): Split into two rules for above two cases.  Put
	$(libprefix) on installed files; for lib%.a insert it before %
	rather than at beginning of file name.

	* Version 1.06.11.

	* Makerules (compilation rules): Move directoryless rules (for
	finding sources in .) before include sysd-rules.  Omit rules to
	compile from sources in $(objpfx) if not using $(objdir).

	* sysdeps/stub/errlist.c [! HAVE_GNU_LD]: #define _sys_errlist to
	sys_errlist and _sys_nerr to sys_nerr.

Mon Jan 10 15:01:32 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* time/Makefile (z.%): In generated rules, depend on yearistype.
	(tzcompile): Pass -y flag with file name of yearistype.

Sun Jan  9 17:51:43 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* misc/bsd-compat.c (longjmp): Use __NORETURN in type.

	* sysdeps/ieee754/dbl2mpn.c [N == 2]: For denormal, when
	RES_PTR[1] is zero, return 1 instead of 2.

Sun Jan  9 13:10:25 1994  Torbjorn Granlund  (tege@adder.cygnus.com)

	* stdio/printf_fp.c: Solve 10+ problems.
	* ieee754/dbl2mpn.c: Correctly detect denorms.  Get the denom
	exponent right.

Sun Jan  9 00:40:48 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/ieee754/dbl2mpn.c: Test BITS_PER_MP_LIMB and handle
	either 32 or 64; #error if not one of those.

	* sysdeps/stub/udiv_qrnnd.c: Renamed from udiv_qrnnd.S.

Sat Jan  8 00:25:15 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Version 1.06.10.

	* Makerules ($(libdir)/libc.a): Depend on subdir_install.

Thu Jan  6 02:17:07 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Makerules ($(bindir)/$(install)): Use $(INSTALL_PROGRAM), not
	$(INSTALL).
	($(libdir)/libc.a): Don't depend on lib-noranlib; on libobjs and
	ar-it instead.  Run ranlib on target after installing.
	(installdirs): Target removed; deps on it removed.
	(install-{bin,lib,data,headers,others,no-libc.a}): Renamed to
	`install-*-nosubdir'.
	(install-%): New pattern rule.
	(install): Depend only on install-no-libc.a-nosubdir.
	* Rules (subdir_install): Depend on lib-noranlib and stubs.
	* Makefile (headers): Remove stubs.h.
	(install-others): Define to include $(includedir)/stubs.h.
	($(includedir)/stubs.h): New target for $(objpfx)stubs.h rule.
	Depend only on subdir_install, and install directly.

	* Makerules (sed-remove-objpfx): Require SPC before $(objpfx) to match.

	* time/zic.c (mkdirs): Duplicate passed string in allocated memory
	and free it when done.

	* dirent/dirent.h [__USE_BSD || __USE_MISC]: Get size_t from stddef.h.

	* sysdeps/ieee754/dbl2mpn.c: For zero value, return 1 limb not 0.

	* Makerules (make-dummy-dep): Use filter-out to invert sense of
	wildcard match, so we produce a command if $@ does *not* exist.c

	* stdio/Makefile (routines): Add dbl2mpn.

Wed Jan  5 17:52:43 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/unix/i386/sysdep.S (syscall_error): Reverse args in
	`cmpl' insn; non-GNU assembler is feeble-minded.

Mon Jan  3 18:53:45 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* configure.in (sysnames): Remove / before $mach; it is prepended
	already by the loop constructing $mach from $machine.

Tue Dec 28 07:38:23 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* stdio/Makefile [gmp-srcdir] (clean-mpn): New target.

	* configure.in (machine): Turn i[34]86 into i386/&, sparc* into
	sparc/&, m68k into m68k/mc68020, mc680?0 into m68k/&, mips or
	r2000 into mips/r3000, r[34]000 into mips/&.
	(mach): New variable; processed from $machine as $base from $base_os.
	Use that in place of $machine in loop finding sysdep directories.

	* stdio/Makefile (aux): Add mp_clz_tab.
	(mpn-copy): Add mp_clz_tab.c.
	(mpn-routines): Add udiv_qrnnd.
	(mpn-sysdep): Look for .s files too.
	* sysdeps/stub/udiv_qrnnd.S: New file.

Sat Dec 25 00:20:07 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Version 1.06.9.

	* Makefile (distribute): Add install.sh.
	* install.sh: New file.

	* sysdeps/i386/Makefile: New file.
	(asm-CPPFLAGS): Add -DGAS_SYNTAX.

	* stdio/printf_fp.c: Major rewrite of sysdeps/generic/printf_fp.c,
	working with the fractional parts as multiprecision integers
	instead of doubles, using mpn functions from GNU MP.  Done with
	much help from tege@cygnus.com.
	* sysdeps/generic/printf_fp.c, sysdeps/ieee754/printf_fp.c,
	sysdeps/m68k/fpu/printf_fp.c: Files removed.

Fri Dec 24 23:09:44 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* sysdeps/stub/dbl2mpn.c, sysdeps/iee754/dbl2mpn.c: New files.
	* sysdeps/stub/asm.h: New file.
	* sysdeps/m68k/add_n.S, sysdeps/m68k/addmul_1.S,
	sysdeps/m68k/mul_1.S, sysdeps/m68k/sub_n.S,
	sysdeps/m68k/submul_1.S, sysdeps/m68k/asm.h,
	sysdeps/generic/add_1.c, sysdeps/generic/add_n.c,
	sysdeps/generic/addmul_1.c, sysdeps/generic/cmp.c,
	sysdeps/generic/divmod.c, sysdeps/generic/divmod_1.c,
